---------------------
PatchSet 3162 
Date: 2004/01/04 05:34:35
Author: andersen
Branch: HEAD
Tag: uClibc_0_9_26 **FUNKY**
Log:
Fix grammar

Members: 
	docs/uclibc.org/news.html:1.8->1.9 

---------------------
PatchSet 3163 
Date: 2004/01/04 05:46:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
spell 'pthread' properly

Members: 
	docs/uclibc.org/news.html:1.9->1.10 

---------------------
PatchSet 3164 
Date: 2004/01/04 05:49:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix paragraph seperation

Members: 
	docs/uclibc.org/news.html:1.10->1.11 

---------------------
PatchSet 3165 
Date: 2004/01/04 09:32:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Bump .deb version

Members: 
	debian/changelog:1.19->1.20 

---------------------
PatchSet 3166 
Date: 2004/01/04 09:35:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Implement res_search and res_querydomain based on netbsd code,
but remove support for host aliases (the HOSTALIASES env variable)
which looks like a very bad idea.
 -Erik

Members: 
	libc/inet/resolv.c:1.50->1.51 

---------------------
PatchSet 3167 
Date: 2004/01/06 01:05:12
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Some badly behaved arches fail to provide a PAGE_SIZE define

Members: 
	ldso/include/ldso.h:1.2->1.3 

---------------------
PatchSet 3168 
Date: 2004/01/09 09:13:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
As mjn3 noticed, 64 bit arches should select UCLIBC_HAS_LFS

Members: 
	extra/Configs/Config.alpha:1.15->1.16 
	extra/Configs/Config.sh:1.46->1.47 

---------------------
PatchSet 3169 
Date: 2004/01/12 11:07:02
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Oops... Seems I forgot an else...

Members: 
	libc/unistd/Makefile:1.36->1.37 

---------------------
PatchSet 3170 
Date: 2004/01/13 05:58:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup dated comments

Members: 
	Makefile:1.242->1.243 

---------------------
PatchSet 3171 
Date: 2004/01/13 10:26:56
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Add another devfs subdir to the list of checked subdirs.

Members: 
	libc/termios/ttyname.c:1.12->1.13 

---------------------
PatchSet 3172 
Date: 2004/01/14 06:30:58
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Add a dummy (always fails) wcsftime.  This is needed for the libstdc++ locale
implementation to build.  Later this month I'll add a functional wcsftime.

Members: 
	include/wchar.h:1.5->1.6 
	libc/misc/time/Makefile:1.35->1.36 
	libc/misc/time/time.c:1.19->1.20 

---------------------
PatchSet 3173 
Date: 2004/01/14 09:14:47
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Ok.. we need to link with libgcc.a for some archs.  I haven't looked at
all cases, but the archs I've looked at do build the needed routines as
PIC so we should be ok.

Members: 
	libc/Makefile:1.33->1.34 

---------------------
PatchSet 3174 
Date: 2004/01/14 10:31:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use the gcc 3.4 -funit-at-a-time optimization when available

Members: 
	Rules.mak:1.161->1.162 

---------------------
PatchSet 3175 
Date: 2004/01/14 22:37:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Include missing errno.h header (as noted by Alan Hourihane).
Fix uninitialized pthread mutex used to lock the list of aligned
memory blocks.

Members: 
	libc/stdlib/malloc-simple/alloc.c:1.13->1.14 

---------------------
PatchSet 3176 
Date: 2004/01/16 00:44:34
Author: davidm
Branch: HEAD
Tag: (none) 
Log:

Make sure we remove -fomit-frame-pointer from the ldso build. It's
inclusion will cause the loader to crash when jumping to the application.

The reason is due to the START macro having a "leave" instruction included
to fixup the stack before starting the app.

Members: 
	ldso/ldso/Makefile:1.51->1.52 

---------------------
PatchSet 3177 
Date: 2004/01/16 00:46:39
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Link with libfloat if necessary.

Members: 
	libc/Makefile:1.34->1.35 

---------------------
PatchSet 3178 
Date: 2004/01/16 11:49:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Minor updates from linux 2.6.1

Members: 
	extra/config/Kconfig-language.txt:1.2->1.3 
	extra/config/conf.c:1.4->1.5 

---------------------
PatchSet 3179 
Date: 2004/01/16 12:38:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup selection of endianness, since select does not work on choice
items, we have to declare what endianness cpus are capable of supporting
and work using dependancies.

Members: 
	extra/Configs/Config.arm:1.40->1.41 
	extra/Configs/Config.h8300:1.18->1.19 
	extra/Configs/Config.i960:1.14->1.15 
	extra/Configs/Config.microblaze:1.5->1.6 
	extra/Configs/Config.mips:1.39->1.40 
	extra/Configs/Config.sparc:1.16->1.17 
	extra/Configs/Config.v850:1.7->1.8 

---------------------
PatchSet 3180 
Date: 2004/01/16 12:43:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
s/UCLIBC_HAS_MMU/ARCH_HAS_MMU/g

Members: 
	extra/Configs/Config.alpha:1.17->1.18 
	extra/Configs/Config.cris:1.11->1.12 
	extra/Configs/Config.in.arch:1.13->1.14 
	extra/Configs/Config.powerpc:1.34->1.35 
	extra/Configs/Config.sh:1.48->1.49 
	libc/inet/rpc/rcmd.c:1.9->1.10 
	libc/sysdeps/linux/common/bits/posix_opt.h:1.2->1.3 
	libc/unistd/daemon.c:1.7->1.8 
	libpthread/linuxthreads/manager.c:1.7->1.8 

---------------------
PatchSet 3181 
Date: 2004/01/16 12:49:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Minor updates from linux 2.6.1

Members: 
	extra/config/confdata.c:1.9->1.10 

---------------------
PatchSet 3182 
Date: 2004/01/16 13:38:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup selection of endianness, since select does not work on choice
items, we have to declare what endianness cpus are capable of supporting
and work using dependancies.

Members: 
	extra/Configs/Config.alpha:1.16->1.17 
	extra/Configs/Config.cris:1.10->1.11 
	extra/Configs/Config.e1:1.6->1.7 
	extra/Configs/Config.i386:1.37->1.38 
	extra/Configs/Config.in.arch:1.12->1.13 
	extra/Configs/Config.m68k:1.35->1.36 
	extra/Configs/Config.powerpc:1.33->1.34 
	extra/Configs/Config.sh:1.47->1.48 

---------------------
PatchSet 3183 
Date: 2004/01/16 13:42:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
s/UCLIBC_HAS_MMU/ARCH_HAS_MMU/g

Members: 
	Makefile:1.243->1.244 
	extra/Configs/Config.i386:1.38->1.39 
	extra/Configs/Config.in:1.43->1.44 
	libc/stdlib/malloc/malloc.h:1.18->1.19 
	libc/stdlib/malloc-simple/alloc.c:1.14->1.15 
	libc/sysdeps/linux/arm/crt0.S:1.20->1.21 
	libc/sysdeps/linux/common/syscalls.c:1.125->1.126 
	libc/sysdeps/linux/m68k/Makefile:1.32->1.33 
	libc/unistd/Makefile:1.37->1.38 
	libc/unistd/exec.c:1.1->1.2 
	libpthread/linuxthreads/internals.h:1.6->1.7 
	libpthread/linuxthreads/ptfork.c:1.2->1.3 
	libpthread/linuxthreads/pthread.c:1.11->1.12 
	libutil/Makefile:1.22->1.23 

---------------------
PatchSet 3184 
Date: 2004/01/16 18:52:51
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
We need to link with libgcc.a when creating shared libs, in order to
avoid problems 'hidden symbol' problems.   Also handle -lfloat for the
soft-float arm case.

Members: 
	ldso/libdl/Makefile:1.33->1.34 
	libcrypt/Makefile:1.25->1.26 
	libintl/Makefile:1.5->1.6 
	libm/Makefile:1.39->1.40 
	libnsl/Makefile:1.6->1.7 
	libpthread/Makefile:1.27->1.28 
	libresolv/Makefile:1.16->1.17 
	libutil/Makefile:1.23->1.24 

---------------------
PatchSet 3185 
Date: 2004/01/17 14:39:40
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Prevent runaway asserts, which can happen if there's a problem with
stdio or locales.

Members: 
	libc/misc/assert/__assert.c:1.7->1.8 

---------------------
PatchSet 3186 
Date: 2004/01/17 14:45:55
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Add __data_start needed by boehm garbage collector, in turn needed by libgcj.

Members: 
	libc/sysdeps/linux/i386/crt0.S:1.21->1.22 

---------------------
PatchSet 3187 
Date: 2004/01/20 17:38:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

> Is there anything I can do/provide that would assist in the solving of
> this problem on PowerPC? I'm still concerned about my lack of flash space...

Try this path. It fixes the recent ldso problems for me on my mpc860 board.
You should be able to use ldso without the dcbx patch to the kernel now.

Please report back.

 Jocke

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.29->1.30 

---------------------
PatchSet 3188 
Date: 2004/01/20 17:44:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Paul Mundt writes:

The current behavior of the powerpc boot1_arch.h seems somewhat broken.
Currently room is made on the stack pointer for the link register, but the link
register is never actually pushed onto it. glibc bears the following comments:

    /* Call _dl_start with one parameter pointing at argc */
            mr      r3,r1
    /* (we have to frob the stack pointer a bit to allow room for
       _dl_start to save the link register).  */

followed by the -16 add to r1. Despite the fact that r1 is modified, the link
register is never actually pushed onto r1, thus the adjustment is completely
superfluous.

There's two possible fixes for this, either saving the link register in the way
that glibc does, or getting rid of the r1 adjustment. As I'm not sure if saving
the link register will actually break the _dl_boot2 callin, both options will
probably want to be played with.

The following bit of inline assembly in the attached patch builds cleanly for
me with gcc 3.3 on darwin, but I'm not able to test it any further beyond that.

Members: 
	ldso/ldso/powerpc/boot1_arch.h:1.4->1.5 
	ldso/ldso/powerpc/dl-startup.h:1.4->1.5 

---------------------
PatchSet 3189 
Date: 2004/01/20 18:00:16
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
As noted by Doru Petrescu, there was a spurious line that was using
_dl_debug_addr prior to checking if it was NULL.

Members: 
	ldso/libdl/dlib.c:1.32->1.33 
	ldso/libdl/libdl.c:1.32->1.33 

---------------------
PatchSet 3190 
Date: 2004/01/20 21:28:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
support building the uClibc utils for the host system...

Members: 
	utils/Makefile:1.10->1.11 

---------------------
PatchSet 3191 
Date: 2004/01/20 21:36:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Erik is an idiot

Members: 
	utils/Makefile:1.11->1.12 

---------------------
PatchSet 3192 
Date: 2004/01/21 20:14:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Massive formatting cleanup, making it easier to parse

Members: 
	libc/sysdeps/linux/common/syscalls.c:1.126->1.127 

---------------------
PatchSet 3193 
Date: 2004/01/21 20:27:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Move poll to its own file, rather than being only half in its own file

Members: 
	libc/sysdeps/linux/common/poll.c:1.1->1.2 
	libc/sysdeps/linux/common/syscalls.c:1.127->1.128 

---------------------
PatchSet 3194 
Date: 2004/01/21 21:06:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add poll

Members: 
	libc/sysdeps/linux/common/Makefile:1.95->1.96 

---------------------
PatchSet 3195 
Date: 2004/01/21 22:27:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Split up syscalls.c, since it had grown to be quite large and ugly.
 -Erik

Members: 
	libc/misc/sysvipc/ftok.c:1.3->1.4 
	libc/misc/sysvipc/ipc.h:1.2->1.3 
	libc/misc/sysvipc/msgq.c:1.2->1.3 
	libc/misc/sysvipc/shm.c:1.5->1.6 
	libc/sysdeps/linux/common/list_syscalls.sh:1.1->1.2(DEAD) 
	libc/sysdeps/linux/common/str_syscalls.sh:1.5->1.6(DEAD) 
	libc/sysdeps/linux/common/syscalls.c:1.128->1.129(DEAD) 
	libc/sysdeps/linux/common/unified_syscall_i386.h:1.6->1.7(DEAD) 
	libc/sysdeps/linux/common/xstatconv.h:1.2->1.3 
	libc/sysdeps/linux/i960/_mmap.S:1.1->1.2(DEAD) 
	libc/sysdeps/linux/i960/mmap.S:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/_mmap.c:1.1->1.2(DEAD) 
	libc/sysdeps/linux/microblaze/mmap.c:INITIAL->1.1 
	libc/sysdeps/linux/mips/_mmap.c:1.3->1.4(DEAD) 
	libc/sysdeps/linux/mips/mmap.c:INITIAL->1.1 
	libc/sysdeps/linux/powerpc/_mmap.c:1.5->1.6(DEAD) 
	libc/sysdeps/linux/powerpc/mmap.c:INITIAL->1.1 
	libc/sysdeps/linux/sh/_mmap.c:1.5->1.6(DEAD) 
	libc/sysdeps/linux/sh/mmap.c:INITIAL->1.1 
	libc/sysdeps/linux/v850/_mmap.c:1.4->1.5(DEAD) 
	libc/sysdeps/linux/v850/mmap.c:INITIAL->1.1 

---------------------
PatchSet 3196 
Date: 2004/01/21 22:30:52
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
ignore host binaries

Members: 
	utils/.cvsignore:1.2->1.3 

---------------------
PatchSet 3197 
Date: 2004/01/21 23:27:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Split up syscalls.c, since it had grown to be quite large and ugly.
 -Erik

Members: 
	libc/misc/sysvipc/sem.c:1.4->1.5 
	libc/sysdeps/linux/common/Makefile:1.96->1.97 
	libc/sysdeps/linux/common/__rt_sigtimedwait.c:INITIAL->1.1 
	libc/sysdeps/linux/common/__socketcall.c:INITIAL->1.1 
	libc/sysdeps/linux/common/__syscall_fcntl.c:INITIAL->1.1 
	libc/sysdeps/linux/common/__syscall_fcntl64.c:INITIAL->1.1 
	libc/sysdeps/linux/common/__syscall_ipc.c:INITIAL->1.1 
	libc/sysdeps/linux/common/__syscall_rt_sigaction.c:INITIAL->1.1 
	libc/sysdeps/linux/common/__syscall_sigaction.c:INITIAL->1.1 
	libc/sysdeps/linux/common/_exit.c:1.1->1.2 
	libc/sysdeps/linux/common/access.c:INITIAL->1.1 
	libc/sysdeps/linux/common/acct.c:INITIAL->1.1 
	libc/sysdeps/linux/common/adjtimex.c:INITIAL->1.1 
	libc/sysdeps/linux/common/alarm.c:INITIAL->1.1 
	libc/sysdeps/linux/common/bdflush.c:INITIAL->1.1 
	libc/sysdeps/linux/common/capget.c:INITIAL->1.1 
	libc/sysdeps/linux/common/capset.c:INITIAL->1.1 
	libc/sysdeps/linux/common/chdir.c:INITIAL->1.1 
	libc/sysdeps/linux/common/chmod.c:INITIAL->1.1 
	libc/sysdeps/linux/common/chown.c:INITIAL->1.1 
	libc/sysdeps/linux/common/chroot.c:INITIAL->1.1 
	libc/sysdeps/linux/common/close.c:INITIAL->1.1 
	libc/sysdeps/linux/common/delete_module.c:INITIAL->1.1 
	libc/sysdeps/linux/common/dup.c:INITIAL->1.1 
	libc/sysdeps/linux/common/dup2.c:INITIAL->1.1 
	libc/sysdeps/linux/common/execve.c:INITIAL->1.1 
	libc/sysdeps/linux/common/fchdir.c:INITIAL->1.1 
	libc/sysdeps/linux/common/fchmod.c:INITIAL->1.1 
	libc/sysdeps/linux/common/fchown.c:INITIAL->1.1 
	libc/sysdeps/linux/common/fdatasync.c:INITIAL->1.1 
	libc/sysdeps/linux/common/flock.c:INITIAL->1.1 
	libc/sysdeps/linux/common/fork.c:INITIAL->1.1 
	libc/sysdeps/linux/common/fstat.c:INITIAL->1.1 
	libc/sysdeps/linux/common/fstat64.c:INITIAL->1.1 
	libc/sysdeps/linux/common/fstatfs.c:INITIAL->1.1 
	libc/sysdeps/linux/common/fsync.c:INITIAL->1.1 
	libc/sysdeps/linux/common/ftruncate.c:INITIAL->1.1 
	libc/sysdeps/linux/common/get_kernel_syms.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getegid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/geteuid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getgid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getgroups.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getitimer.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getpgid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getpgrp.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getpid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getppid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getpriority.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getresgid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getresuid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getrlimit.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getrusage.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getsid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/gettimeofday.c:INITIAL->1.1 
	libc/sysdeps/linux/common/getuid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/init_module.c:INITIAL->1.1 
	libc/sysdeps/linux/common/ioctl.c:1.1->1.2 
	libc/sysdeps/linux/common/ioperm.c:INITIAL->1.1 
	libc/sysdeps/linux/common/iopl.c:INITIAL->1.1 
	libc/sysdeps/linux/common/kill.c:INITIAL->1.1 
	libc/sysdeps/linux/common/klogctl.c:INITIAL->1.1 
	libc/sysdeps/linux/common/lchown.c:INITIAL->1.1 
	libc/sysdeps/linux/common/link.c:INITIAL->1.1 
	libc/sysdeps/linux/common/lseek.c:INITIAL->1.1 
	libc/sysdeps/linux/common/lstat.c:INITIAL->1.1 
	libc/sysdeps/linux/common/lstat64.c:INITIAL->1.1 
	libc/sysdeps/linux/common/madvise.c:INITIAL->1.1 
	libc/sysdeps/linux/common/mkdir.c:INITIAL->1.1 
	libc/sysdeps/linux/common/mknod.c:1.3->1.4 
	libc/sysdeps/linux/common/mlock.c:INITIAL->1.1 
	libc/sysdeps/linux/common/mlockall.c:INITIAL->1.1 
	libc/sysdeps/linux/common/mmap.c:INITIAL->1.1 
	libc/sysdeps/linux/common/modify_ldt.c:INITIAL->1.1 
	libc/sysdeps/linux/common/mount.c:INITIAL->1.1 
	libc/sysdeps/linux/common/mprotect.c:INITIAL->1.1 
	libc/sysdeps/linux/common/mremap.c:INITIAL->1.1 
	libc/sysdeps/linux/common/msync.c:INITIAL->1.1 
	libc/sysdeps/linux/common/munlock.c:INITIAL->1.1 
	libc/sysdeps/linux/common/munlockall.c:INITIAL->1.1 
	libc/sysdeps/linux/common/munmap.c:INITIAL->1.1 
	libc/sysdeps/linux/common/nanosleep.c:INITIAL->1.1 
	libc/sysdeps/linux/common/nice.c:INITIAL->1.1 
	libc/sysdeps/linux/common/open.c:INITIAL->1.1 
	libc/sysdeps/linux/common/pause.c:INITIAL->1.1 
	libc/sysdeps/linux/common/personality.c:INITIAL->1.1 
	libc/sysdeps/linux/common/pipe.c:INITIAL->1.1 
	libc/sysdeps/linux/common/pivot_root.c:INITIAL->1.1 
	libc/sysdeps/linux/common/prctl.c:INITIAL->1.1 
	libc/sysdeps/linux/common/query_module.c:INITIAL->1.1 
	libc/sysdeps/linux/common/quotactl.c:INITIAL->1.1 
	libc/sysdeps/linux/common/read.c:INITIAL->1.1 
	libc/sysdeps/linux/common/readlink.c:INITIAL->1.1 
	libc/sysdeps/linux/common/readv.c:INITIAL->1.1 
	libc/sysdeps/linux/common/reboot.c:INITIAL->1.1 
	libc/sysdeps/linux/common/rename.c:INITIAL->1.1 
	libc/sysdeps/linux/common/rmdir.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sched_get_priority_max.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sched_get_priority_min.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sched_getparam.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sched_getscheduler.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sched_rr_get_interval.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sched_setparam.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sched_setscheduler.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sched_yield.c:INITIAL->1.1 
	libc/sysdeps/linux/common/select.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sendfile.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setdomainname.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setfsgid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setfsuid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setgid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setgroups.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sethostname.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setitimer.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setpgid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setpriority.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setregid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setresgid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setresuid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setreuid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setrlimit.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setsid.c:INITIAL->1.1 
	libc/sysdeps/linux/common/settimeofday.c:INITIAL->1.1 
	libc/sysdeps/linux/common/setuid.c:1.2->1.3 
	libc/sysdeps/linux/common/sigaltstack.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sigpending.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sigprocmask.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sigsuspend.c:INITIAL->1.1 
	libc/sysdeps/linux/common/ssp.c:1.1->1.2 
	libc/sysdeps/linux/common/stat.c:INITIAL->1.1 
	libc/sysdeps/linux/common/stat64.c:INITIAL->1.1 
	libc/sysdeps/linux/common/statfs.c:INITIAL->1.1 
	libc/sysdeps/linux/common/stime.c:INITIAL->1.1 
	libc/sysdeps/linux/common/swapoff.c:INITIAL->1.1 
	libc/sysdeps/linux/common/swapon.c:INITIAL->1.1 
	libc/sysdeps/linux/common/symlink.c:INITIAL->1.1 
	libc/sysdeps/linux/common/syscalls.h:INITIAL->1.1 
	libc/sysdeps/linux/common/sysctl.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sysfs.c:INITIAL->1.1 
	libc/sysdeps/linux/common/sysinfo.c:INITIAL->1.1 
	libc/sysdeps/linux/common/time.c:INITIAL->1.1 
	libc/sysdeps/linux/common/times.c:INITIAL->1.1 
	libc/sysdeps/linux/common/truncate.c:INITIAL->1.1 
	libc/sysdeps/linux/common/umask.c:INITIAL->1.1 
	libc/sysdeps/linux/common/umount.c:INITIAL->1.1 
	libc/sysdeps/linux/common/umount2.c:INITIAL->1.1 
	libc/sysdeps/linux/common/uname.c:INITIAL->1.1 
	libc/sysdeps/linux/common/unlink.c:INITIAL->1.1 
	libc/sysdeps/linux/common/uselib.c:INITIAL->1.1 
	libc/sysdeps/linux/common/ustat.c:INITIAL->1.1 
	libc/sysdeps/linux/common/utime.c:INITIAL->1.1 
	libc/sysdeps/linux/common/utimes.c:INITIAL->1.1 
	libc/sysdeps/linux/common/vhangup.c:INITIAL->1.1 
	libc/sysdeps/linux/common/wait4.c:INITIAL->1.1 
	libc/sysdeps/linux/common/write.c:INITIAL->1.1 
	libc/sysdeps/linux/common/writev.c:INITIAL->1.1 
	libc/sysdeps/linux/powerpc/ioctl.c:1.1->1.2 

---------------------
PatchSet 3198 
Date: 2004/01/21 23:45:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Sort all the files

Members: 
	libc/sysdeps/linux/common/Makefile:1.97->1.98 

---------------------
PatchSet 3199 
Date: 2004/01/22 00:44:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Some minor debian junk I had sitting in my tree

Members: 
	debian/.cvsignore:1.1->1.2 
	debian/uclibc-dev.postinst:INITIAL->1.1 
	debian/uclibc-dev.prerm:INITIAL->1.1 
	debian/uclibc.postinst:1.1->1.2 
	debian/uclibc.prerm:INITIAL->1.1 
	debian/uclibc.shlibs:1.1->1.2 

---------------------
PatchSet 3200 
Date: 2004/01/24 07:40:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oleksandr G. Zhadan writes:

Hi Eric,

The attached diff file includes BUS_ISA fix for kernel since 2.4.23/

Kind regards,

Oleks

Members: 
	libc/sysdeps/linux/arm/ioperm.c:1.5->1.6 

---------------------
PatchSet 3201 
Date: 2004/01/24 07:59:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Hi again

I have done some serious clenup of powerpc/elfinterp.c

- Make it look more like glibc.
- Performance modifictions.
- Fixed a few bugs in _dl_do_reloc(). These seem not to have affected
  anything, but this how glibc do it.

      Jocke

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.30->1.31 

---------------------
PatchSet 3202 
Date: 2004/01/24 08:33:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Imre Sunyi writes:

Hi Erik

I have corrected a bug in uClibc/libc/inet/resolv.c in function
__dns_lookup(). Have attaced a txt file with my diffs regarding to
uClibc 0.9.26.

If two nameservers are included in /etc/resolv.conf and the first one is
wrong and the secondary is correct the algorithm never
looked up the secondary one. Please review my diff and feel free to
submit the patch onto your CVS.

If reading manual page resolv.conf(5) under nameserver and how the
algorithm should work the previous dns_lookup did not fully followed
that.

Regards

Imre Sunyi

Members: 
	libc/inet/resolv.c:1.51->1.52 

---------------------
PatchSet 3203 
Date: 2004/01/27 06:36:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Hi Erik

I have had some fun trying to optimize memcpy, memset and memmove for
PPC. There are only boot tested, but  I don't expect any problems :)

Read the comments in powerpc/string.c for more info.
Patch is relative to libc/string

 Jocke

Members: 
	libc/string/powerpc/Makefile:INITIAL->1.1 

---------------------
PatchSet 3204 
Date: 2004/01/27 07:36:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Hi Erik

I have had some fun trying to optimize memcpy, memset and memmove for
PPC. There are only boot tested, but  I don't expect any problems :)

Read the comments in powerpc/string.c for more info.
Patch is relative to libc/string

 Jocke

Members: 
	libc/string/Makefile:1.59->1.60 
	libc/string/powerpc/string.c:INITIAL->1.1 

---------------------
PatchSet 3205 
Date: 2004/01/27 07:37:12
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Joakim Tjernlund to get rid of an annoying warning.

Members: 
	ldso/ldso/powerpc/boot1_arch.h:1.5->1.6 
	ldso/ldso/powerpc/dl-startup.h:1.5->1.6 

---------------------
PatchSet 3206 
Date: 2004/01/29 08:20:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Joakim Tjernlund:

Removed R_PPC_NONE and R_PPC_REL24 as these does not seem to be used.
Corrected R_PPC_ADDR32 and R_PPC_JMP_SLOT

Members: 
	ldso/ldso/powerpc/dl-sysdep.h:1.8->1.9 
	ldso/ldso/powerpc/ld_sysdep.h:1.8->1.9 

---------------------
PatchSet 3207 
Date: 2004/01/29 08:59:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup silly typo

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.31->1.32 

---------------------
PatchSet 3208 
Date: 2004/01/29 10:44:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Eliminate separate passes for _dl_copy_fixups() and _dl_fixup(), and
do both operations in a single pass.

Members: 
	ldso/include/dl-elf.h:1.4->1.5 
	ldso/include/ld_elf.h:1.4->1.5 
	ldso/ldso/dl-elf.c:1.54->1.55 
	ldso/ldso/ldso.c:1.78->1.79 
	ldso/ldso/readelflib1.c:1.54->1.55 
	ldso/libdl/dlib.c:1.33->1.34 
	ldso/libdl/libdl.c:1.33->1.34 

---------------------
PatchSet 3209 
Date: 2004/01/29 10:48:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Here is the cleaned up laze reloc patch.
Summary:
 - Minor cleanup.
 - disable the "if (finaladdr <= 0x01fffffc || finaladdr >= 0xfe000000)"
   test since it almost never triggered.
 - Optimized the lazy relocs handling.

Would be great if you could commit ASAP.

 Jocke

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.32->1.33 

---------------------
PatchSet 3210 
Date: 2004/01/29 11:42:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Scrub up use of ELF_USES_RELOCA and eliminte some unsightly ifdefs

Members: 
	ldso/include/dl-elf.h:1.5->1.6 
	ldso/include/ld_elf.h:1.5->1.6 
	ldso/include/ldso.h:1.3->1.4 
	ldso/ldso/dl-elf.c:1.55->1.56 
	ldso/ldso/ldso.c:1.79->1.80 
	ldso/ldso/readelflib1.c:1.55->1.56 

---------------------
PatchSet 3211 
Date: 2004/01/29 12:18:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Modify interfaces for _dl_parse_relocation_information()
_dl_parse_lazy_relocation_information() and _dl_parse_copy_information()
so they are all consistant, allowing for future consolidation.

Trim some trailing whitespace as well.

Members: 
	ldso/include/dl-elf.h:1.6->1.7 
	ldso/include/ld_elf.h:1.6->1.7 
	ldso/ldso/dl-elf.c:1.56->1.57 
	ldso/ldso/readelflib1.c:1.56->1.57 
	ldso/ldso/arm/elfinterp.c:1.17->1.18 
	ldso/ldso/cris/elfinterp.c:1.6->1.7 
	ldso/ldso/i386/elfinterp.c:1.27->1.28 
	ldso/ldso/m68k/elfinterp.c:1.14->1.15 
	ldso/ldso/mips/elfinterp.c:1.7->1.8 
	ldso/ldso/powerpc/elfinterp.c:1.33->1.34 
	ldso/ldso/sh/elfinterp.c:1.7->1.8 
	ldso/ldso/sh64/elfinterp.c:1.1->1.2 
	ldso/ldso/sparc/elfinterp.c:1.13->1.14 

---------------------
PatchSet 3212 
Date: 2004/01/30 20:11:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Paul Mundt, lethal at linux-sh dot org writes:

Boredom got the better of me, here's strlen() for sh64..

Members: 
	libc/string/sh64/strlen.S:INITIAL->1.1 

---------------------
PatchSet 3213 
Date: 2004/01/30 20:34:03
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

> Not there yet, but the interfaces are much closer now...
> Heading to bed though, since its 5:30am.  :-)

This works, but I discovered something "funny". For all
relocs but COPY you can use scope instead of scope->dyn->symbol_scope
and it is much faster to do that. Search for "Funny" in the patch
to see what I mean. Probably I probably broke something, please let me
know if it works for you too.

I think I am done with ldso now. Has been fun and I hope to
actually use uClibc/busybox soon in a project.

Ohh, there is one thing left, double sized PLT entries, but maybe these
aren't needed in uClibc?

 Sweet dreams
              Jocke

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.34->1.35 

---------------------
PatchSet 3214 
Date: 2004/01/30 21:10:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Andrew May writes:

Here are some simple fixes for things that broke for PPC with
the recent syscall cleanup. I am not sure they are correct but
they seem pretty trivial.

Members: 
	libc/sysdeps/linux/powerpc/ioctl.c:1.2->1.3 

---------------------
PatchSet 3215 
Date: 2004/01/30 21:11:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Paul Mundt, lethal at linux-sh dot org writes:

Boredom got the better of me, here's strlen() for sh64..

Members: 
	libc/string/sh64/Makefile:1.1->1.2 

---------------------
PatchSet 3216 
Date: 2004/01/30 21:13:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add missing abort instruction for powerpc

Members: 
	libc/stdlib/abort.c:1.14->1.15 

---------------------
PatchSet 3217 
Date: 2004/01/30 22:09:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Andrew May writes:

Here are some simple fixes for things that broke for PPC with
the recent syscall cleanup. I am not sure they are correct but
they seem pretty trivial.

Members: 
	libc/sysdeps/linux/common/modify_ldt.c:1.1->1.2 
	libc/sysdeps/linux/powerpc/Makefile:1.29->1.30 

---------------------
PatchSet 3218 
Date: 2004/01/31 03:02:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Paul Mundt, lethal at linux-sh dot org,
add sh/sh64: ABORT_INSTRUCTION definitions

Members: 
	libc/stdlib/abort.c:1.15->1.16 

---------------------
PatchSet 3219 
Date: 2004/01/31 03:15:07
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Revert to scope as used by original code for now, just in case.
I still don't have a good handle on why and when the different
scope values should be used.

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.35->1.36 

---------------------
PatchSet 3220 
Date: 2004/02/01 08:30:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Jakub Bogusz writes:

Hello,

the attached patch fixes ldso compilation on sparc-linux (at least with
sparc32 userland). It was made against uClibc 0.9.21, but it's still OK
with 0.9.26.

There were three problems:
- missing __NR_getpid definition
- conflicting prototypes in elfinterp.c
- syntax error (missing semicolon) in ldso.c

With this patch shared libraries and ldso can be built on sparc.

It contains also ldso.c syntax fix for m68k - there was the same
mistake two lines earlier; but I didn't test build on m68k.

Members: 
	ldso/ldso/ldso.c:1.80->1.81 
	ldso/ldso/sparc/dl-syscalls.h:1.5->1.6 
	ldso/ldso/sparc/ld_syscalls.h:1.5->1.6 

---------------------
PatchSet 3221 
Date: 2004/02/01 11:10:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
The code for checking the rpath was not finding the rpath
value correctly, since it forgot to lookup the correct value
in the string table.

Members: 
	utils/ldd.c:1.3->1.4 

---------------------
PatchSet 3222 
Date: 2004/02/02 22:27:22
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Use the correct configuration test define.

Members: 
	include/printf.h:1.2->1.3 

---------------------
PatchSet 3223 
Date: 2004/02/03 16:33:50
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Today's Toni's birthday.  Seems an appropriate day to add this.

Members: 
	DEDICATION.mjn3:INITIAL->1.1 

---------------------
PatchSet 3224 
Date: 2004/02/04 10:24:12
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use a static const char array for static strings

Members: 
	ldso/ldso/dl-elf.c:1.57->1.58 
	ldso/ldso/readelflib1.c:1.57->1.58 

---------------------
PatchSet 3225 
Date: 2004/02/05 01:38:27
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Allow building on 64 bit archs.  Hopefully the last cvs activity this
stuff will see other than "delete".

Members: 
	extra/locale/gen_wctype.c:1.4->1.5 

---------------------
PatchSet 3226 
Date: 2004/02/05 01:54:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup a badly merged update
 -Erik

Members: 
	ldso/ldso/mips/elfinterp.c:1.8->1.9 

---------------------
PatchSet 3227 
Date: 2004/02/05 02:17:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use 'mmap.c' instead of '_mmap.c'

Members: 
	libc/sysdeps/linux/microblaze/Makefile:1.5->1.6 
	libc/sysdeps/linux/mips/Makefile:1.37->1.38 
	libc/sysdeps/linux/sh/Makefile:1.31->1.32 
	libc/sysdeps/linux/v850/Makefile:1.18->1.19 

---------------------
PatchSet 3228 
Date: 2004/02/05 14:53:22
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Patch from Alan Hourihane <alanh@fairlite.demon.co.uk> for building alpha.

Members: 
	libc/sysdeps/linux/alpha/brk.S:1.2->1.3 
	libc/sysdeps/linux/common/llseek.c:1.2->1.3 

---------------------
PatchSet 3229 
Date: 2004/02/06 06:07:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Sigh.  The 2.6.x kernel removed '__kernel_dev_t' and renamed it as
'__kernel_old_dev_t'.  And of course there is no good way to know
which is in use except checking linux/version.h.  Grumble.

This is rather lame, but for now, define __kernel_old_dev_t to be
the same as __kernel_dev_t.  This will want to be revisited soon.
 -Erik

Members: 
	libc/sysdeps/linux/alpha/bits/kernel_types.h:1.3->1.4 
	libc/sysdeps/linux/arm/bits/kernel_types.h:1.3->1.4 
	libc/sysdeps/linux/e1/bits/kernel_types.h:1.1->1.2 
	libc/sysdeps/linux/i386/bits/kernel_types.h:1.3->1.4 
	libc/sysdeps/linux/m68k/bits/kernel_types.h:1.3->1.4 
	libc/sysdeps/linux/microblaze/bits/kernel_types.h:1.1->1.2 
	libc/sysdeps/linux/mips/bits/kernel_types.h:1.5->1.6 
	libc/sysdeps/linux/powerpc/bits/kernel_types.h:1.3->1.4 
	libc/sysdeps/linux/sh/bits/kernel_types.h:1.3->1.4 
	libc/sysdeps/linux/sh64/bits/kernel_types.h:1.1->1.2 
	libc/sysdeps/linux/sparc/bits/kernel_types.h:1.3->1.4 
	libc/sysdeps/linux/v850/bits/kernel_types.h:1.7->1.8 

---------------------
PatchSet 3230 
Date: 2004/02/06 06:09:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix completely hosed up formatting

Members: 
	libc/sysdeps/linux/cris/bits/kernel_types.h:1.2->1.3 

---------------------
PatchSet 3231 
Date: 2004/02/06 07:07:07
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Sigh.  The 2.6.x kernel removed '__kernel_dev_t' and renamed it as
'__kernel_old_dev_t'.  And of course there is no good way to know
which is in use except checking linux/version.h.  Grumble.

This is rather lame, but for now, define __kernel_old_dev_t to be
the same as __kernel_dev_t.  This will want to be revisited soon.
 -Erik

Members: 
	libc/sysdeps/linux/cris/bits/kernel_types.h:1.1->1.2 
	libc/sysdeps/linux/h8300/bits/kernel_types.h:1.1->1.2 

---------------------
PatchSet 3232 
Date: 2004/02/06 11:11:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove trailing whitespace

Members: 
	ldso/ldso/dl-elf.c:1.58->1.59 
	ldso/ldso/readelflib1.c:1.58->1.59 

---------------------
PatchSet 3233 
Date: 2004/02/06 11:12:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Trim trailing whitespace

Members: 
	ldso/include/dl-string.h:1.2->1.3 
	ldso/include/ld_string.h:1.2->1.3 

---------------------
PatchSet 3234 
Date: 2004/02/07 09:53:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use unsigned char * pointers

Members: 
	ldso/ldso/dl-elf.c:1.59->1.60 
	ldso/ldso/ldso.c:1.81->1.82 
	ldso/ldso/readelflib1.c:1.59->1.60 

---------------------
PatchSet 3235 
Date: 2004/02/07 09:54:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Yet more consistancy fixups

Members: 
	ldso/ldso/ldso.c:1.82->1.83 

---------------------
PatchSet 3236 
Date: 2004/02/07 10:12:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Step one, begin shuffling things around a bit

Members: 
	ldso/include/dl-elf.h:1.7->1.8 
	ldso/include/ld_elf.h:1.7->1.8 
	ldso/include/ldso.h:1.4->1.5 
	ldso/ldso/Makefile:1.52->1.53 
	ldso/ldso/dl-elf.c:1.60->1.61 
	ldso/ldso/ldso.c:1.83->1.84 
	ldso/ldso/readelflib1.c:1.60->1.61 
	ldso/libdl/dlib.c:1.34->1.35 
	ldso/libdl/libdl.c:1.34->1.35 

---------------------
PatchSet 3237 
Date: 2004/02/07 10:40:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Split off the stuff that cannot use function into its own file,
to make it easier to treat it specially while not bothering the
rest of the code with the same constraints.

Members: 
	ldso/Makefile:1.26->1.27 
	ldso/include/dl-syscall.h:1.1->1.2 
	ldso/include/ld_syscall.h:1.1->1.2 
	ldso/ldso/Makefile:1.53->1.54 
	ldso/ldso/dl-startup.c:INITIAL->1.1 
	ldso/ldso/ldso.c:1.84->1.85 
	ldso/ldso/startup.c:INITIAL->1.1 
	ldso/ldso/arm/boot1_arch.h:1.4->1.5 
	ldso/ldso/arm/dl-startup.h:1.4->1.5 
	ldso/ldso/cris/boot1_arch.h:1.3->1.4 
	ldso/ldso/cris/dl-startup.h:1.3->1.4 
	ldso/ldso/i386/boot1_arch.h:1.2->1.3 
	ldso/ldso/i386/dl-startup.h:1.2->1.3 
	ldso/ldso/i386/elfinterp.c:1.28->1.29 
	ldso/ldso/m68k/boot1_arch.h:1.2->1.3 
	ldso/ldso/m68k/dl-startup.h:1.2->1.3 
	ldso/ldso/mips/boot1_arch.h:1.6->1.7 
	ldso/ldso/mips/dl-startup.h:1.6->1.7 
	ldso/ldso/powerpc/boot1_arch.h:1.6->1.7 
	ldso/ldso/powerpc/dl-startup.h:1.6->1.7 
	ldso/ldso/sh/boot1_arch.h:1.3->1.4 
	ldso/ldso/sh/dl-startup.h:1.3->1.4 
	ldso/ldso/sh64/boot1_arch.h:1.1->1.2 
	ldso/ldso/sh64/dl-startup.h:1.1->1.2 
	ldso/ldso/sparc/boot1_arch.h:1.2->1.3 
	ldso/ldso/sparc/dl-startup.h:1.2->1.3 

---------------------
PatchSet 3238 
Date: 2004/02/07 11:30:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove unneeded forward declaration

Members: 
	ldso/ldso/ldso.c:1.85->1.86 

---------------------
PatchSet 3239 
Date: 2004/02/07 12:05:16
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Hi again

All dltest* and test* programs pass for me.
uClibc ld.so resolves according to the OLD weak symbol handling.

I have tried to use the new scheme as well, but that segfaults in all
cases but test3.

Members: 
	ldso/ldso/dl-hash.c:1.14->1.15 
	ldso/ldso/hash.c:1.14->1.15 

---------------------
PatchSet 3240 
Date: 2004/02/07 12:26:09
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Restore the library entry point so it works.  It does have
to be arch specific to work properly.

Members: 
	ldso/ldso/dl-startup.c:1.1->1.2 
	ldso/ldso/startup.c:1.1->1.2 
	ldso/ldso/arm/boot1_arch.h:1.5->1.6 
	ldso/ldso/arm/dl-startup.h:1.5->1.6 
	ldso/ldso/cris/boot1_arch.h:1.4->1.5 
	ldso/ldso/cris/dl-startup.h:1.4->1.5 
	ldso/ldso/i386/boot1_arch.h:1.3->1.4 
	ldso/ldso/i386/dl-startup.h:1.3->1.4 
	ldso/ldso/m68k/boot1_arch.h:1.3->1.4 
	ldso/ldso/m68k/dl-startup.h:1.3->1.4 
	ldso/ldso/mips/boot1_arch.h:1.7->1.8 
	ldso/ldso/mips/dl-startup.h:1.7->1.8 
	ldso/ldso/powerpc/boot1_arch.h:1.7->1.8 
	ldso/ldso/powerpc/dl-startup.h:1.7->1.8 
	ldso/ldso/sh/boot1_arch.h:1.4->1.5 
	ldso/ldso/sh/dl-startup.h:1.4->1.5 
	ldso/ldso/sh64/boot1_arch.h:1.2->1.3 
	ldso/ldso/sh64/dl-startup.h:1.2->1.3 
	ldso/ldso/sparc/boot1_arch.h:1.3->1.4 
	ldso/ldso/sparc/dl-startup.h:1.3->1.4 

---------------------
PatchSet 3241 
Date: 2004/02/07 20:08:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Thanks to Joakim's recent paches, we can now remove the FIXME

Members: 
	ldso/libdl/dlib.c:1.35->1.36 
	ldso/libdl/libdl.c:1.35->1.36 

---------------------
PatchSet 3242 
Date: 2004/02/08 07:57:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add some permissions when creating the logfile

Members: 
	ldso/ldso/ldso.c:1.86->1.87 

---------------------
PatchSet 3243 
Date: 2004/02/08 10:57:59
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleanup whitespace and formatting

Members: 
	ldso/ldso/dl-elf.c:1.61->1.62 
	ldso/ldso/dl-hash.c:1.15->1.16 
	ldso/ldso/dl-startup.c:1.2->1.3 
	ldso/ldso/hash.c:1.15->1.16 
	ldso/ldso/ldso.c:1.87->1.88 
	ldso/ldso/readelflib1.c:1.61->1.62 
	ldso/ldso/startup.c:1.2->1.3 

---------------------
PatchSet 3244 
Date: 2004/02/08 10:59:52
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Move _dl_printf and _dl_malloc to ldso, which is a more sensible
location for this stuff

Members: 
	ldso/ldso/dl-elf.c:1.62->1.63 
	ldso/ldso/ldso.c:1.88->1.89 
	ldso/ldso/readelflib1.c:1.62->1.63 

---------------------
PatchSet 3245 
Date: 2004/02/09 06:10:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Nicolas Pitre writes:

Hello Erik,

My patch adding ARM assembly soft-float routines to gcc also changes the
default FPA float word ordering for the saner VFP word ordering which is
also the order anyone would expect on a little endian machine.

Problem is that uClibc curently hardwire floats to big endian (FPA) ordering
in all cases.

Please consider the attached patch to fix this problem.


Nicolas

Members: 
	libm/math_private.h:1.2->1.3 

---------------------
PatchSet 3246 
Date: 2004/02/10 06:50:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup the definition of _dl_open, and move some bits back where they were,
till I properly finish the next step in my evil plan.

Members: 
	ldso/include/dl-syscall.h:1.2->1.3 
	ldso/include/ld_syscall.h:1.2->1.3 
	ldso/ldso/dl-elf.c:1.63->1.64 
	ldso/ldso/ldso.c:1.89->1.90 
	ldso/ldso/readelflib1.c:1.63->1.64 

---------------------
PatchSet 3247 
Date: 2004/02/10 06:54:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
oops, manditory forgotten patch

Members: 
	ldso/ldso/dl-elf.c:1.64->1.65 
	ldso/ldso/readelflib1.c:1.64->1.65 

---------------------
PatchSet 3248 
Date: 2004/02/10 08:26:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Rework file naming, aiming for at least a vague level of consistancy

Members: 
	ldso/include/ld_elf.h:1.8->1.9(DEAD) 
	ldso/include/ld_hash.h:1.2->1.3(DEAD) 
	ldso/include/ld_string.h:1.3->1.4(DEAD) 
	ldso/include/ld_syscall.h:1.3->1.4(DEAD) 
	ldso/ldso/hash.c:1.16->1.17(DEAD) 
	ldso/ldso/readelflib1.c:1.65->1.66(DEAD) 
	ldso/ldso/startup.c:1.3->1.4(DEAD) 
	ldso/ldso/arm/boot1_arch.h:1.6->1.7(DEAD) 
	ldso/ldso/arm/ld_syscalls.h:1.6->1.7(DEAD) 
	ldso/ldso/arm/ld_sysdep.h:1.7->1.8(DEAD) 
	ldso/ldso/cris/boot1_arch.h:1.5->1.6(DEAD) 
	ldso/ldso/cris/ld_syscalls.h:1.3->1.4(DEAD) 
	ldso/ldso/cris/ld_sysdep.h:1.3->1.4(DEAD) 
	ldso/ldso/i386/boot1_arch.h:1.4->1.5(DEAD) 
	ldso/ldso/i386/ld_syscalls.h:1.8->1.9(DEAD) 
	ldso/ldso/i386/ld_sysdep.h:1.9->1.10(DEAD) 
	ldso/ldso/m68k/boot1_arch.h:1.4->1.5(DEAD) 
	ldso/ldso/m68k/ld_syscalls.h:1.7->1.8(DEAD) 
	ldso/ldso/m68k/ld_sysdep.h:1.4->1.5(DEAD) 
	ldso/ldso/mips/README:1.3->1.4 
	ldso/ldso/mips/boot1_arch.h:1.8->1.9(DEAD) 
	ldso/ldso/mips/ld_syscalls.h:1.5->1.6(DEAD) 
	ldso/ldso/mips/ld_sysdep.h:1.7->1.8(DEAD) 
	ldso/ldso/powerpc/boot1_arch.h:1.8->1.9(DEAD) 
	ldso/ldso/powerpc/ld_syscalls.h:1.4->1.5(DEAD) 
	ldso/ldso/powerpc/ld_sysdep.h:1.9->1.10(DEAD) 
	ldso/ldso/sh/boot1_arch.h:1.5->1.6(DEAD) 
	ldso/ldso/sh/ld_syscalls.h:1.2->1.3(DEAD) 
	ldso/ldso/sh/ld_sysdep.h:1.8->1.9(DEAD) 
	ldso/ldso/sh64/boot1_arch.h:1.3->1.4(DEAD) 
	ldso/ldso/sh64/ld_syscalls.h:1.1->1.2(DEAD) 
	ldso/ldso/sh64/ld_sysdep.h:1.1->1.2(DEAD) 
	ldso/ldso/sparc/boot1_arch.h:1.4->1.5(DEAD) 
	ldso/ldso/sparc/ld_syscalls.h:1.6->1.7(DEAD) 
	ldso/ldso/sparc/ld_sysdep.h:1.5->1.6(DEAD) 
	ldso/ldso/sparc/resolve.S:1.2->1.3 
	ldso/libdl/dlib.c:1.36->1.37(DEAD) 

---------------------
PatchSet 3249 
Date: 2004/02/10 08:40:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
clean trailing whitespace

Members: 
	utils/bswap.h:1.1->1.2 

---------------------
PatchSet 3250 
Date: 2004/02/10 09:26:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Rework file naming, aiming for at least a vague level of consistancy

Members: 
	ldso/Makefile:1.27->1.28 
	ldso/include/dl-elf.h:1.8->1.9 
	ldso/include/dl-string.h:1.3->1.4 
	ldso/include/dl-syscall.h:1.3->1.4 
	ldso/include/ldso.h:1.5->1.6 
	ldso/ldso/.cvsignore:1.7->1.8 
	ldso/ldso/Makefile:1.54->1.55 
	ldso/ldso/dl-startup.c:1.3->1.4 
	ldso/ldso/ldso.c:1.90->1.91 
	ldso/ldso/cris/dl-sysdep.h:1.3->1.4 
	ldso/libdl/Makefile:1.34->1.35 
	ldso/libdl/libdl.c:1.36->1.37 

---------------------
PatchSet 3251 
Date: 2004/02/10 09:40:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
clean trailing whitespace

Members: 
	utils/readsoname.h:1.1->1.2 

---------------------
PatchSet 3252 
Date: 2004/02/10 09:41:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup header file naming

Members: 
	utils/ldconfig.c:1.2->1.3 
	utils/readsoname.c:1.1->1.2 

---------------------
PatchSet 3253 
Date: 2004/02/10 11:47:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix function prototype to match the official ELF standard hash function

Members: 
	ldso/include/dl-hash.h:1.2->1.3 
	ldso/ldso/dl-hash.c:1.16->1.17 

---------------------
PatchSet 3254 
Date: 2004/02/10 13:31:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Eliminate the PIE support option, and simply support that all the time

Members: 
	ldso/ldso/dl-startup.c:1.4->1.5 
	ldso/ldso/ldso.c:1.91->1.92 

---------------------
PatchSet 3255 
Date: 2004/02/10 20:52:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Do not include the create_module syscall if it is not present

Members: 
	libc/sysdeps/linux/common/create_module.c:1.8->1.9 

---------------------
PatchSet 3256 
Date: 2004/02/11 02:48:13
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update TODO list with some items for 1.0

Members: 
	TODO:1.44->1.45 

---------------------
PatchSet 3257 
Date: 2004/02/11 03:00:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
mention valgrind/atexit annoyance

Members: 
	TODO:1.45->1.46 

---------------------
PatchSet 3258 
Date: 2004/02/11 11:03:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
yet another todo item

Members: 
	TODO:1.46->1.47 

---------------------
PatchSet 3259 
Date: 2004/02/11 16:56:14
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix bug from the syscall reorganization, detected by python's test_poll.py.
The #ifdef __NR_poll test was failing because it was done before any includes.
Hence, the emulation was always being used.

NOTE: The emulation fails a couple of tests in test_poll.py!

Members: 
	libc/sysdeps/linux/common/poll.c:1.2->1.3 

---------------------
PatchSet 3260 
Date: 2004/02/11 22:48:40
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
New stdio core.  Should be more maintainable.  Fixes a couple of bugs.
  Codepaths streamlined.  Improved performance for nonthreaded apps
  when linked with a thread-enabled libc.
Minor iconv bug and some locale/thread related startup issues fixed.
  These showed up in getting a gcj-compiled java helloworld app running.
Removed some old extension functions... _stdio_fdout and _stdio_fsfopen.

Members: 
	libc/misc/assert/__assert.c:1.8->1.9 
	libc/misc/wchar/Makefile:1.9->1.10 
	libc/misc/wchar/wchar.c:1.12->1.13 
	libc/misc/wchar/wstdio.c:1.5->1.6 
	libc/stdio/_READ.c:INITIAL->1.1 
	libc/stdio/_WRITE.c:INITIAL->1.1 
	libc/stdio/__fbufsize.c:INITIAL->1.1 
	libc/stdio/__flbf.c:INITIAL->1.1 
	libc/stdio/__fpending.c:INITIAL->1.1 
	libc/stdio/__fpurge.c:INITIAL->1.1 
	libc/stdio/__freadable.c:INITIAL->1.1 
	libc/stdio/__freading.c:INITIAL->1.1 
	libc/stdio/__fsetlocking.c:INITIAL->1.1 
	libc/stdio/__fwritable.c:INITIAL->1.1 
	libc/stdio/__fwriting.c:INITIAL->1.1 
	libc/stdio/_adjust_pos.c:INITIAL->1.1 
	libc/stdio/_cs_funcs.c:INITIAL->1.1 
	libc/stdio/_flushlbf.c:INITIAL->1.1 
	libc/stdio/_fopen.c:INITIAL->1.1 
	libc/stdio/_fpmaxtostr.c:INITIAL->1.1 
	libc/stdio/_fwrite.c:INITIAL->1.1 
	libc/stdio/_load_inttype.c:INITIAL->1.1 
	libc/stdio/_rfill.c:INITIAL->1.1 
	libc/stdio/_stdio.c:INITIAL->1.1 
	libc/stdio/_store_inttype.c:INITIAL->1.1 
	libc/stdio/_trans2r.c:INITIAL->1.1 
	libc/stdio/_trans2w.c:INITIAL->1.1 
	libc/stdio/_uintmaxtostr.c:INITIAL->1.1 
	libc/stdio/_wcommit.c:INITIAL->1.1 
	libc/stdio/_wfwrite.c:INITIAL->1.1 
	libc/stdio/asprintf.c:INITIAL->1.1 
	libc/stdio/clearerr.c:INITIAL->1.1 
	libc/stdio/ctermid.c:1.1->1.2 
	libc/stdio/dprintf.c:INITIAL->1.1 
	libc/stdio/fclose.c:INITIAL->1.1 
	libc/stdio/fcloseall.c:INITIAL->1.1 
	libc/stdio/fdopen.c:INITIAL->1.1 
	libc/stdio/feof.c:INITIAL->1.1 
	libc/stdio/ferror.c:INITIAL->1.1 
	libc/stdio/fflush.c:INITIAL->1.1 
	libc/stdio/fgetc.c:INITIAL->1.1 
	libc/stdio/fgetpos.c:INITIAL->1.1 
	libc/stdio/fgets.c:INITIAL->1.1 
	libc/stdio/fgetwc.c:INITIAL->1.1 
	libc/stdio/fgetws.c:INITIAL->1.1 
	libc/stdio/fileno.c:INITIAL->1.1 
	libc/stdio/flockfile.c:INITIAL->1.1 
	libc/stdio/fmemopen.c:INITIAL->1.1 
	libc/stdio/fopen.c:INITIAL->1.1 
	libc/stdio/fopencookie.c:INITIAL->1.1 
	libc/stdio/fprintf.c:INITIAL->1.1 
	libc/stdio/fputc.c:INITIAL->1.1 
	libc/stdio/fputs.c:INITIAL->1.1 
	libc/stdio/fputwc.c:INITIAL->1.1 
	libc/stdio/fputws.c:INITIAL->1.1 
	libc/stdio/fread.c:INITIAL->1.1 
	libc/stdio/freopen.c:INITIAL->1.1 
	libc/stdio/fseeko.c:INITIAL->1.1 
	libc/stdio/fsetpos.c:INITIAL->1.1 
	libc/stdio/ftello.c:INITIAL->1.1 
	libc/stdio/ftrylockfile.c:INITIAL->1.1 
	libc/stdio/funlockfile.c:INITIAL->1.1 
	libc/stdio/fwide.c:INITIAL->1.1 
	libc/stdio/fwprintf.c:INITIAL->1.1 
	libc/stdio/fwrite.c:INITIAL->1.1 
	libc/stdio/getchar.c:INITIAL->1.1 
	libc/stdio/getdelim.c:1.9->1.10 
	libc/stdio/getline.c:1.8->1.9 
	libc/stdio/gets.c:INITIAL->1.1 
	libc/stdio/getw.c:1.2->1.3 
	libc/stdio/getwchar.c:INITIAL->1.1 
	libc/stdio/old_vfprintf.c:1.9->1.10 
	libc/stdio/open_memstream.c:INITIAL->1.1 
	libc/stdio/perror.c:1.4->1.5 
	libc/stdio/popen.c:1.10->1.11 
	libc/stdio/printf.c:1.49->1.50 
	libc/stdio/putchar.c:INITIAL->1.1 
	libc/stdio/puts.c:INITIAL->1.1 
	libc/stdio/putw.c:1.2->1.3 
	libc/stdio/putwchar.c:INITIAL->1.1 
	libc/stdio/remove.c:1.3->1.4 
	libc/stdio/rewind.c:INITIAL->1.1 
	libc/stdio/scanf.c:1.33->1.34 
	libc/stdio/setbuf.c:INITIAL->1.1 
	libc/stdio/setbuffer.c:INITIAL->1.1 
	libc/stdio/setlinebuf.c:INITIAL->1.1 
	libc/stdio/setvbuf.c:INITIAL->1.1 
	libc/stdio/snprintf.c:INITIAL->1.1 
	libc/stdio/sprintf.c:INITIAL->1.1 
	libc/stdio/stdio.c:1.75->1.76(DEAD) 
	libc/stdio/swprintf.c:INITIAL->1.1 
	libc/stdio/ungetc.c:INITIAL->1.1 
	libc/stdio/ungetwc.c:INITIAL->1.1 
	libc/stdio/vasprintf.c:INITIAL->1.1 
	libc/stdio/vdprintf.c:INITIAL->1.1 
	libc/stdio/vfprintf.c:INITIAL->1.1 
	libc/stdio/vprintf.c:INITIAL->1.1 
	libc/stdio/vsnprintf.c:INITIAL->1.1 
	libc/stdio/vsprintf.c:INITIAL->1.1 
	libc/stdio/vswprintf.c:INITIAL->1.1 
	libc/stdio/vwprintf.c:INITIAL->1.1 
	libc/stdio/wprintf.c:INITIAL->1.1 
	libc/stdlib/ptsname.c:1.8->1.9 
	libc/stdlib/stdlib.c:1.12->1.13 
	libc/sysdeps/linux/common/bits/uClibc_locale.h:1.12->1.13 
	libc/sysdeps/linux/common/bits/uClibc_uintmaxtostr.h:INITIAL->1.1 
	libpthread/linuxthreads/lockfile.c:1.3->1.4 

---------------------
PatchSet 3261 
Date: 2004/02/11 23:18:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add our own copies of the include/scsi header files, per what glibc
does, rather than depending on the kernel header files.
 -Erik

Members: 
	include/scsi/scsi.h:INITIAL->1.1 
	include/scsi/scsi_ioctl.h:INITIAL->1.1 
	include/scsi/sg.h:INITIAL->1.1 

---------------------
PatchSet 3262 
Date: 2004/02/11 23:38:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Paul Mundt lethal at linux-sh dot org writes:

We can't use trapa #0xff on sh2, the only permissible trapa ranges are
32 to 63. On SH-2, we use trapa32 to issue a break in the same way that
trapa #0xff is used on SH-3/4. This behavior is implementation specific,
but is what is used in sh-ipl+g, linux, eCos, uITRON, etc. so we follow
suit here.

Members: 
	libc/stdlib/abort.c:1.17->1.18 

---------------------
PatchSet 3263 
Date: 2004/02/11 23:48:39
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
New stdio core.  Should be more maintainable.  Fixes a couple of bugs.
  Codepaths streamlined.  Improved performance for nonthreaded apps
  when linked with a thread-enabled libc.
Minor iconv bug and some locale/thread related startup issues fixed.
  These showed up in getting a gcj-compiled java helloworld app running.
Removed some old extension functions... _stdio_fdout and _stdio_fsfopen.

Members: 
	include/stdio.h:1.29->1.30 
	include/wchar.h:1.6->1.7 
	libc/inet/addr.c:1.14->1.15 
	libc/misc/locale/locale.c:1.18->1.19 
	libc/misc/time/time.c:1.20->1.21 
	libc/pwd_grp/pwd_grp.c:1.5->1.6 
	libc/stdio/Makefile:1.42->1.43 
	libc/stdio/_stdio.h:INITIAL->1.1 
	libc/stdlib/abort.c:1.16->1.17 
	libc/string/wstring.c:1.18->1.19 
	libc/sysdeps/linux/common/bits/uClibc_stdio.h:1.15->1.16 
	libpthread/linuxthreads/pthread.c:1.12->1.13 

---------------------
PatchSet 3264 
Date: 2004/02/12 00:18:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add our own copies of the include/scsi header files, per what glibc
does, rather than depending on the kernel header files.
 -Erik

Members: 
	Makefile:1.244->1.245 
	extra/scripts/fix_includes.sh:1.10->1.11 

---------------------
PatchSet 3265 
Date: 2004/02/12 00:28:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add missing mips specific include/sys/user.h

Members: 
	libc/sysdeps/linux/mips/sys/user.h:INITIAL->1.1 

---------------------
PatchSet 3266 
Date: 2004/02/12 06:59:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
More todo list updates

Members: 
	TODO:1.47->1.48 

---------------------
PatchSet 3267 
Date: 2004/02/12 08:51:21
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Based on a problem report and patch from Florian Schirmer, fix a compile
problem with mips -- contrary to my expectation gcc on mips _always_ defines
__PIC__ which breaks the assumption inherent in my code.  This should fix
things up.

Members: 
	ldso/libdl/Makefile:1.35->1.36 
	ldso/libdl/libdl.c:1.37->1.38 

---------------------
PatchSet 3268 
Date: 2004/02/13 00:03:48
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Oops.. The custom stream funcs should only be compiled if wanted.

Members: 
	libc/stdio/Makefile:1.43->1.44 

---------------------
PatchSet 3269 
Date: 2004/02/13 09:51:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Avoid potential double free when locate_library_file() is used
on fully resolved names

Members: 
	utils/ldd.c:1.4->1.5 

---------------------
PatchSet 3270 
Date: 2004/02/13 10:39:59
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleanup whitespace and formatting

Members: 
	utils/ldd.c:1.5->1.6 

---------------------
PatchSet 3271 
Date: 2004/02/13 10:52:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix the annoying "not a dynamic executable" problem when running ldd
on libuClibc

Members: 
	utils/ldd.c:1.6->1.7 

---------------------
PatchSet 3272 
Date: 2004/02/13 10:56:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
A better fix...

Members: 
	utils/ldd.c:1.7->1.8 

---------------------
PatchSet 3273 
Date: 2004/02/13 11:01:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Another little touch up to avoid problems...

Members: 
	utils/ldd.c:1.8->1.9 

---------------------
PatchSet 3274 
Date: 2004/02/13 11:05:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Done free path if it equals not_found
Remember to flose an fopened file

Members: 
	utils/ldd.c:1.9->1.10 

---------------------
PatchSet 3275 
Date: 2004/02/13 11:11:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Yet more fixups..

Members: 
	utils/ldd.c:1.10->1.11 

---------------------
PatchSet 3276 
Date: 2004/02/14 11:30:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Hi it is me again.

This is the latest ldso patch. the NEW weak symbol handling works now
with a little special handling in _dl_find_hash(). You get to chose
if you want the new or old handling :)

There was 2 missing _dl_check_if_named_library_is_loaded() calls in _dlopen().

I then disabled the _dl_check_if_named_library_is_loaded() in dl-elf.c since
it is rendundant.

Question, why does some _dl_linux_resolver(), like i386, have 2 calls
to _dl_find_hash()? I think that is wrong, isn't it?

I really hope you can check this out soon ...

Members: 
	ldso/include/dl-elf.h:1.9->1.10 
	ldso/include/dl-hash.h:1.3->1.4 
	ldso/ldso/dl-elf.c:1.65->1.66 
	ldso/ldso/dl-hash.c:1.17->1.18 
	ldso/ldso/dl-startup.c:1.5->1.6 
	ldso/ldso/ldso.c:1.92->1.93 
	ldso/ldso/arm/dl-sysdep.h:1.7->1.8 
	ldso/ldso/arm/elfinterp.c:1.18->1.19 
	ldso/ldso/cris/dl-sysdep.h:1.4->1.5 
	ldso/ldso/cris/elfinterp.c:1.7->1.8 
	ldso/ldso/i386/dl-sysdep.h:1.9->1.10 
	ldso/ldso/i386/elfinterp.c:1.29->1.30 
	ldso/ldso/m68k/dl-sysdep.h:1.4->1.5 
	ldso/ldso/m68k/elfinterp.c:1.15->1.16 
	ldso/ldso/mips/dl-sysdep.h:1.7->1.8 
	ldso/ldso/mips/elfinterp.c:1.9->1.10 
	ldso/ldso/powerpc/dl-sysdep.h:1.9->1.10 
	ldso/ldso/powerpc/elfinterp.c:1.36->1.37 
	ldso/ldso/sh/dl-sysdep.h:1.8->1.9 
	ldso/ldso/sh/elfinterp.c:1.8->1.9 
	ldso/ldso/sh64/dl-sysdep.h:1.1->1.2 
	ldso/ldso/sh64/elfinterp.c:1.2->1.3 
	ldso/ldso/sparc/dl-sysdep.h:1.5->1.6 
	ldso/ldso/sparc/elfinterp.c:1.14->1.15 
	ldso/libdl/libdl.c:1.38->1.39 

---------------------
PatchSet 3277 
Date: 2004/02/14 11:53:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Give gcc branch prediction some hits on obviously unlikely branches

Members: 
	ldso/ldso/arm/elfinterp.c:1.19->1.20 
	ldso/ldso/cris/elfinterp.c:1.8->1.9 
	ldso/ldso/i386/elfinterp.c:1.30->1.31 
	ldso/ldso/m68k/elfinterp.c:1.16->1.17 
	ldso/ldso/mips/elfinterp.c:1.10->1.11 
	ldso/ldso/powerpc/elfinterp.c:1.37->1.38 
	ldso/ldso/sh/elfinterp.c:1.9->1.10 
	ldso/ldso/sh64/elfinterp.c:1.3->1.4 
	ldso/ldso/sparc/elfinterp.c:1.15->1.16 

---------------------
PatchSet 3278 
Date: 2004/02/14 11:57:41
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix this as should have been done a long time ago...

Members: 
	ldso/ldso/Makefile:1.55->1.56 

---------------------
PatchSet 3279 
Date: 2004/02/14 12:33:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Atsushi Nemoto writes:

Also, if you are to enable SUPPORT_LD_DEBUG on MIPS, I think this
patch is needed too.

Members: 
	ldso/ldso/mips/elfinterp.c:1.11->1.12 

---------------------
PatchSet 3280 
Date: 2004/02/14 12:48:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
No point in including debug info for ldso.  It isn't helpful to do so
since gdb can't do anything for us.

Members: 
	ldso/ldso/Makefile:1.56->1.57 

---------------------
PatchSet 3281 
Date: 2004/02/14 21:02:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update FAQ a bit

Members: 
	docs/uclibc.org/FAQ.html:1.24->1.25 

---------------------
PatchSet 3282 
Date: 2004/02/14 21:24:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add some padding on the bottom

Members: 
	docs/uclibc.org/FAQ.html:1.25->1.26 

---------------------
PatchSet 3283 
Date: 2004/02/15 07:52:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use the generic fork implementation on sh64

Members: 
	libc/sysdeps/linux/sh64/fork.c:1.1->1.2(DEAD) 

---------------------
PatchSet 3284 
Date: 2004/02/15 08:02:54
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup fork implementation to provide the __libc_fork symbol

Members: 
	libc/sysdeps/linux/cris/fork.c:1.1->1.2 

---------------------
PatchSet 3285 
Date: 2004/02/15 08:43:03
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cris can use the generic vfork

Members: 
	libc/sysdeps/linux/cris/vfork.c:1.1->1.2(DEAD) 

---------------------
PatchSet 3286 
Date: 2004/02/15 08:47:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Mips can use the generic vfork

Members: 
	libc/sysdeps/linux/mips/vfork.c:1.2->1.3(DEAD) 

---------------------
PatchSet 3287 
Date: 2004/02/15 08:52:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use the generic fork implementation on sh64

Members: 
	libc/sysdeps/linux/sh64/Makefile:1.6->1.7 

---------------------
PatchSet 3288 
Date: 2004/02/15 08:54:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oops.

Members: 
	libc/sysdeps/linux/sparc/fork.S:1.3->1.4 

---------------------
PatchSet 3289 
Date: 2004/02/15 09:02:54
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup fork implementation to provide the __libc_fork symbol

Members: 
	libc/sysdeps/linux/sparc/fork.S:1.2->1.3 

---------------------
PatchSet 3290 
Date: 2004/02/15 09:34:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
This should not be inlined.  This should probably use a
weak alias as well...

Members: 
	libc/sysdeps/linux/e1/vfork.c:1.1->1.2 

---------------------
PatchSet 3291 
Date: 2004/02/15 09:35:42
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Generic fork works.  Use it instead since this didn't handle errno_location.

Members: 
	libc/sysdeps/linux/mips/fork.S:1.3->1.4(DEAD) 

---------------------
PatchSet 3292 
Date: 2004/02/15 09:43:03
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cris can use the generic vfork

Members: 
	libc/sysdeps/linux/cris/Makefile:1.12->1.13 

---------------------
PatchSet 3293 
Date: 2004/02/15 09:47:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Mips can use the generic vfork

Members: 
	libc/sysdeps/linux/mips/Makefile:1.38->1.39 

---------------------
PatchSet 3294 
Date: 2004/02/15 10:35:42
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Generic fork works.  Use it instead since this didn't handle errno_location.

Members: 
	libc/sysdeps/linux/mips/Makefile:1.39->1.40 

---------------------
PatchSet 3295 
Date: 2004/02/17 06:37:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Provide the ldso syscalls and string funcs earlier in the list

Members: 
	ldso/include/ldso.h:1.6->1.7 

---------------------
PatchSet 3296 
Date: 2004/02/17 06:38:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Do not duplicate stuff from ldso.h

Members: 
	ldso/ldso/arm/dl-syscalls.h:1.6->1.7 

---------------------
PatchSet 3297 
Date: 2004/02/17 07:02:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
When doing _dl_mmap to obtain a bit of anonymous memory, use a much more
sensible -1 fd, rather than pretending to work off of fd 0, which makes
absolutely no sense.

Members: 
	ldso/ldso/dl-elf.c:1.66->1.67 
	ldso/ldso/dl-startup.c:1.6->1.7 

---------------------
PatchSet 3298 
Date: 2004/02/17 07:33:12
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Kill off an arm specific hack, that fostered three other arch specific
hacks.  Just check for the elf magic string one byte at a time....

Members: 
	ldso/ldso/dl-startup.c:1.7->1.8 
	ldso/ldso/arm/dl-startup.h:1.6->1.7 

---------------------
PatchSet 3299 
Date: 2004/02/17 09:40:47
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Sigh... Fall back to alloca() if munmap is broken (uClinux).

Members: 
	libc/unistd/exec.c:1.2->1.3 

---------------------
PatchSet 3300 
Date: 2004/02/17 09:55:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Seperate out the startup stuff from the non-startup stuff.
Begin converting some big ugly macros to inline functions
instead

Members: 
	ldso/ldso/m68k/dl-sysdep.h:1.5->1.6 
	ldso/ldso/sh/dl-sysdep.h:1.9->1.10 

---------------------
PatchSet 3301 
Date: 2004/02/17 10:49:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup fdatasync on alpha, thanks to Alan Hourihane

Members: 
	libc/sysdeps/linux/common/fdatasync.c:1.1->1.2 

---------------------
PatchSet 3302 
Date: 2004/02/17 10:55:54
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Seperate out the startup stuff from the non-startup stuff.
Begin converting some big ugly macros to inline functions
instead

Members: 
	ldso/ldso/arm/dl-startup.h:1.7->1.8 
	ldso/ldso/arm/dl-sysdep.h:1.8->1.9 
	ldso/ldso/cris/dl-startup.h:1.5->1.6 
	ldso/ldso/cris/dl-sysdep.h:1.5->1.6 
	ldso/ldso/i386/dl-startup.h:1.4->1.5 
	ldso/ldso/i386/dl-sysdep.h:1.10->1.11 
	ldso/ldso/m68k/dl-startup.h:1.4->1.5 
	ldso/ldso/mips/dl-startup.h:1.8->1.9 
	ldso/ldso/mips/dl-sysdep.h:1.8->1.9 
	ldso/ldso/powerpc/dl-startup.h:1.8->1.9 
	ldso/ldso/powerpc/dl-sysdep.h:1.10->1.11 
	ldso/ldso/sh/dl-startup.h:1.5->1.6 
	ldso/ldso/sh64/dl-startup.h:1.3->1.4 
	ldso/ldso/sh64/dl-sysdep.h:1.2->1.3 
	ldso/ldso/sparc/dl-startup.h:1.4->1.5 
	ldso/ldso/sparc/dl-sysdep.h:1.6->1.7 

---------------------
PatchSet 3303 
Date: 2004/02/17 11:25:03
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup support for gcc 2.95

Members: 
	ldso/include/ldso.h:1.7->1.8 

---------------------
PatchSet 3304 
Date: 2004/02/18 00:15:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Alexandre Oliva writes:

While testing the FR-V code with GCC mainline, I ran into some
problems in the RPC code.  It relies on a GCC extension that is no
longer available, namely, the result of a cast is no longer considered
an lvalue.

This patch enables the code to compile.  I haven't been able to test
RPC though, especially in a multi-threaded environment.

Members: 
	include/rpc/xdr.h:1.5->1.6 
	libc/inet/rpc/auth_none.c:1.6->1.7 
	libc/inet/rpc/clnt_raw.c:1.7->1.8 
	libc/inet/rpc/clnt_simple.c:1.9->1.10 
	libc/inet/rpc/svc.c:1.10->1.11 
	libc/inet/rpc/svc_raw.c:1.7->1.8 

---------------------
PatchSet 3305 
Date: 2004/02/18 01:15:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Alexandre Oliva writes:

While testing the FR-V code with GCC mainline, I ran into some
problems in the RPC code.  It relies on a GCC extension that is no
longer available, namely, the result of a cast is no longer considered
an lvalue.

This patch enables the code to compile.  I haven't been able to test
RPC though, especially in a multi-threaded environment.

Members: 
	libc/inet/rpc/clnt_perror.c:1.9->1.10 
	libc/inet/rpc/svc_simple.c:1.8->1.9 

---------------------
PatchSet 3306 
Date: 2004/02/18 07:04:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Alexandre Oliva writes:

This patch adds code to uClibc to support a new ABI designed for the
FR-V architecture, that enables text segments of executables and
shared libraries to be shared by multiple processes on an OS such as
uClinux, that can run on FR-V processors without an MMU.

Patches for binutils and GCC have just been posted in the
corresponding mailing lists.  The binutils patch was approved,
but there's one additional patch pending review, that I posted
this week.  An updated GCC patch will be posted to
gcc-patches@gcc.gnu.org as soon as I complete testing (I used a
known-good compiler to test the uClibc patch below).

Since the existing dynamic loader code didn't support independent
relocation of segments, it required changes that were somewhat
extensive.  I've added a number of new machine-specific macros to try
to keep the platform and ABI-specific details outside the generic
code.  I hope this is not a problem.

Members: 
	libc/sysdeps/linux/frv/__longjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/frv/dl-iterate-phdr.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/frv/bits/endian.h:INITIAL->1.1 
	libc/sysdeps/linux/frv/bits/fcntl.h:INITIAL->1.1 
	libc/sysdeps/linux/frv/bits/kernel_types.h:INITIAL->1.1 
	libc/sysdeps/linux/frv/bits/mman.h:INITIAL->1.1 
	libc/sysdeps/linux/frv/bits/setjmp.h:INITIAL->1.1 
	libc/sysdeps/linux/frv/bits/stackinfo.h:INITIAL->1.1 
	libc/sysdeps/linux/frv/bits/wordsize.h:INITIAL->1.1 
	libc/sysdeps/linux/frv/sys/procfs.h:INITIAL->1.1 
	libc/sysdeps/linux/frv/sys/ptrace.h:INITIAL->1.1 

---------------------
PatchSet 3307 
Date: 2004/02/18 07:18:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup naming of '_mmap' to 'mmap' so it will properly override
the symbol in common.

Members: 
	libc/sysdeps/linux/frv/_mmap.c:1.1->1.2(DEAD) 
	libc/sysdeps/linux/frv/mmap.c:INITIAL->1.1 

---------------------
PatchSet 3308 
Date: 2004/02/18 08:04:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Alexandre Oliva writes:

This patch adds code to uClibc to support a new ABI designed for the
FR-V architecture, that enables text segments of executables and
shared libraries to be shared by multiple processes on an OS such as
uClinux, that can run on FR-V processors without an MMU.

Patches for binutils and GCC have just been posted in the
corresponding mailing lists.  The binutils patch was approved,
but there's one additional patch pending review, that I posted
this week.  An updated GCC patch will be posted to
gcc-patches@gcc.gnu.org as soon as I complete testing (I used a
known-good compiler to test the uClibc patch below).

Since the existing dynamic loader code didn't support independent
relocation of segments, it required changes that were somewhat
extensive.  I've added a number of new machine-specific macros to try
to keep the platform and ABI-specific details outside the generic
code.  I hope this is not a problem.

Members: 
	Rules.mak:1.162->1.163 
	extra/Configs/Config.frv:INITIAL->1.1 
	extra/Configs/Config.frv.default:INITIAL->1.1 
	extra/Configs/Config.in:1.44->1.45 
	include/elf.h:1.10->1.11 
	ldso/ldso/frv/dl-startup.h:INITIAL->1.1 
	ldso/ldso/frv/dl-syscalls.h:INITIAL->1.1 
	ldso/ldso/frv/dl-sysdep.h:INITIAL->1.1 
	ldso/ldso/frv/elfinterp.c:INITIAL->1.1 
	ldso/ldso/frv/resolve.S:INITIAL->1.1 
	libc/sysdeps/linux/frv/Makefile:INITIAL->1.1 
	libc/sysdeps/linux/frv/__init_brk.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/_mmap.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/brk.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/clone.S:INITIAL->1.1 
	libc/sysdeps/linux/frv/crt0.S:INITIAL->1.1 
	libc/sysdeps/linux/frv/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/frv/crtn.S:INITIAL->1.1 
	libc/sysdeps/linux/frv/crtreloc.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/sbrk.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/sysdep.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/vfork.S:INITIAL->1.1 
	libc/sysdeps/linux/frv/bits/elf-fdpic.h:INITIAL->1.1 
	libc/sysdeps/linux/frv/bits/kernel_stat.h:INITIAL->1.1 
	libc/sysdeps/linux/frv/bits/syscalls.h:INITIAL->1.1 
	libc/sysdeps/linux/frv/sys/ucontext.h:INITIAL->1.1 
	libpthread/linuxthreads/sysdeps/frv/pt-machine.h:INITIAL->1.1 

---------------------
PatchSet 3309 
Date: 2004/02/18 08:12:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Minor change to better match recent changes to other arches

Members: 
	ldso/ldso/frv/dl-startup.h:1.1->1.2 
	ldso/ldso/frv/dl-sysdep.h:1.1->1.2 

---------------------
PatchSet 3310 
Date: 2004/02/18 08:18:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup naming of '_mmap' to 'mmap' so it will properly override
the symbol in common.

Members: 
	libc/sysdeps/linux/frv/Makefile:1.1->1.2 

---------------------
PatchSet 3311 
Date: 2004/02/19 02:36:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update the x86 processor listing a bit, to preempt further questions
about the best settings the AMD Elan and the VIA Nehemiah.

Members: 
	extra/Configs/Config.i386:1.39->1.40 

---------------------
PatchSet 3312 
Date: 2004/02/19 03:36:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update the x86 processor listing a bit, to preempt further questions
about the best settings the AMD Elan and the VIA Nehemiah.

Members: 
	Rules.mak:1.163->1.164 

---------------------
PatchSet 3313 
Date: 2004/02/20 02:32:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
When doing symbol lookups on functions

Members: 
	ldso/ldso/ldso.c:1.93->1.94 

---------------------
PatchSet 3314 
Date: 2004/02/20 02:36:23
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Patch by Joakim Tjernlund <joakim.tjernlund@lumentis.se>, which got
mips mostly working.  From there, I tracked the bash failure to a
bad _dl_atexit address and Erik took it from there.

Members: 
	ldso/ldso/mips/elfinterp.c:1.12->1.13 

---------------------
PatchSet 3315 
Date: 2004/02/20 02:40:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Slightly cleaner formatting

Members: 
	ldso/include/dl-elf.h:1.10->1.11 

---------------------
PatchSet 3316 
Date: 2004/02/20 02:59:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
___brk_addr and __environ are not functions.  Finding the broken
lookup on 'atexit' got me excited and I started fixing the same
problem elsewhere.  Except these were correct as-was, and were
not a problem....

Members: 
	ldso/ldso/ldso.c:1.94->1.95 

---------------------
PatchSet 3317 
Date: 2004/02/20 03:05:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Joakim Tjernlund:

white space cleanup and optimize the inner loop in dl_find_hash.

Members: 
	ldso/ldso/dl-hash.c:1.18->1.19 

---------------------
PatchSet 3318 
Date: 2004/02/20 03:09:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Per discussion with Joakim Tjernlund, all the horrible weak declarations junk
in libdl pointing to the local 'foobar' function is garbage.  This cleans all
that up and makes the code much less horrible.  Now it is only really really
ugly (which is a marked improvement),

Members: 
	ldso/libdl/libdl.c:1.39->1.40 

---------------------
PatchSet 3319 
Date: 2004/02/20 03:37:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Sigh.  I switched the values...

Members: 
	ldso/include/dl-elf.h:1.11->1.12 

---------------------
PatchSet 3320 
Date: 2004/03/06 00:18:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
note that syscall on mips needs to be fixed

Members: 
	TODO:1.48->1.49 

---------------------
PatchSet 3321 
Date: 2004/03/06 18:44:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update with the contents of a very helpful comparison of
interfaces vs SuSv3 from heukelum at freemail dot nl

Members: 
	docs/uClibc_vs_SuSv3.txt:1.4->1.5 

---------------------
PatchSet 3322 
Date: 2004/03/08 20:57:21
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix comment

Members: 
	utils/ldd.c:1.11->1.12 

---------------------
PatchSet 3323 
Date: 2004/03/09 21:57:12
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update todo list indicating the items remaining before 0.9.27

Members: 
	TODO:1.49->1.50 

---------------------
PatchSet 3324 
Date: 2004/03/09 22:33:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
More detail about malloc-simple

Members: 
	extra/Configs/Config.in:1.45->1.46 

---------------------
PatchSet 3325 
Date: 2004/03/10 20:43:23
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Bug fix: gethostbyname2_r would fail if /etc/host was missing.
Bug fix: gethostbyname_r checked errno without first setting it to a
         known value.

Members: 
	libc/inet/resolv.c:1.52->1.53 

---------------------
PatchSet 3326 
Date: 2004/03/11 09:10:53
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Rewrite the err/warn functions as they were broken (__noreturn__ funcs
were returning).  Anyway, also make them threadsafe and smaller.  The
error.c file still needs work.

Members: 
	libc/misc/error/Makefile:1.2->1.3 
	libc/misc/error/err.c:INITIAL->1.1 
	libc/misc/error/error.c:1.3->1.4 

---------------------
PatchSet 3327 
Date: 2004/03/11 23:21:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cope gracefully with missing module syscalls

Members: 
	libc/sysdeps/linux/common/create_module.c:1.9->1.10 

---------------------
PatchSet 3328 
Date: 2004/03/12 00:21:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cope gracefully with missing module syscalls

Members: 
	libc/sysdeps/linux/common/delete_module.c:1.1->1.2 
	libc/sysdeps/linux/common/init_module.c:1.1->1.2 
	libc/sysdeps/linux/common/query_module.c:1.1->1.2 

---------------------
PatchSet 3329 
Date: 2004/03/18 08:00:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Hi

I just noticed that gcc has an "b"(Address base register) operand that
will match all "r" registers but r0. It is a better fix then adding
r0 to the clobber list.

What do you think?

Members: 
	ldso/ldso/powerpc/dl-startup.h:1.9->1.10 

---------------------
PatchSet 3330 
Date: 2004/03/18 10:12:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Reduce memory used by static buffers and allocate that memory dynamicly
instead.  Based on an initial patch from Tobias Anderberg, but reworked.  I
asked Tobias to look into doing something more like what is done in busybox,
but that proved to be a pain.

One possible concern is that these buffers will probably show up as
memory leaks i.e. with valgrind.  Perhaps we should add in an atexit
call to free this memory right after we allocate it?

Members: 
	libc/inet/getproto.c:1.6->1.7 
	libc/misc/mntent/mntent.c:1.6->1.7 

---------------------
PatchSet 3331 
Date: 2004/03/18 10:28:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Based on a patch from Alexandre Oliva, remove all reference to 'bzero' (which
is not a SuSv3 symbol).  Rather than using __bzero internally per Alexandre's
original patch, use memset instead.

Members: 
	libc/inet/rpc/bindresvport.c:1.9->1.10 
	libc/inet/rpc/clnt_generic.c:1.7->1.8 
	libc/inet/rpc/pmap_rmt.c:1.11->1.12 
	libc/inet/rpc/svc_simple.c:1.9->1.10 
	libc/inet/rpc/svc_tcp.c:1.8->1.9 
	libc/inet/rpc/svc_udp.c:1.7->1.8 
	libc/inet/rpc/xdr_array.c:1.8->1.9 
	libc/inet/rpc/xdr_reference.c:1.7->1.8 
	libc/sysdeps/linux/common/poll.c:1.3->1.4 

---------------------
PatchSet 3332 
Date: 2004/03/18 10:38:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Supply '__bzero' with 'bzero' as just a weak alias (since it is not SuSv3)

Members: 
	libc/string/arm/bzero.S:1.1->1.2 
	libc/string/powerpc/string.c:1.1->1.2 

---------------------
PatchSet 3333 
Date: 2004/03/18 10:41:12
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Alexandre Oliva writes:

I added this function after I posted the last version of the FR-V
patch.  Add syscall.c.

Members: 
	libc/sysdeps/linux/frv/syscall.c:INITIAL->1.1 

---------------------
PatchSet 3334 
Date: 2004/03/18 10:43:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Alexandre Oliva writes:

This patch arranges for the .so files in say /usr/lib to be soft links
to ../../lib, instead of to /some/arbitrary/pathname/lib.  This
enables seamless relocation of a toolchain containing the development
and run time trees in a sys-root.

Members: 
	extra/scripts/relative_path.sh:INITIAL->1.1 

---------------------
PatchSet 3335 
Date: 2004/03/18 11:12:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Reduce memory used by static buffers and allocate that memory dynamicly
instead.  Based on an initial patch from Tobias Anderberg, but reworked.  I
asked Tobias to look into doing something more like what is done in busybox,
but that proved to be a pain.

One possible concern is that these buffers will probably show up as
memory leaks i.e. with valgrind.  Perhaps we should add in an atexit
call to free this memory right after we allocate it?

Members: 
	libc/inet/getnetent.c:1.5->1.6 
	libc/inet/getservice.c:1.8->1.9 
	libc/misc/ttyent/getttyent.c:1.3->1.4 

---------------------
PatchSet 3336 
Date: 2004/03/18 11:17:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Look in /usr/X11R6/lib as well

Members: 
	ldso/ldso/dl-elf.c:1.67->1.68 
	utils/ldd.c:1.12->1.13 

---------------------
PatchSet 3337 
Date: 2004/03/18 11:28:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Based on a patch from Alexandre Oliva, remove all reference to 'bzero' (which
is not a SuSv3 symbol).  Rather than using __bzero internally per Alexandre's
original patch, use memset instead.

Members: 
	libc/string/wstring.c:1.19->1.20 
	libutil/logout.c:1.1->1.2 

---------------------
PatchSet 3338 
Date: 2004/03/18 11:41:12
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Alexandre Oliva writes:

I added this function after I posted the last version of the FR-V
patch.  Add syscall.c.

Members: 
	libc/sysdeps/linux/frv/Makefile:1.2->1.3 

---------------------
PatchSet 3339 
Date: 2004/03/18 11:43:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Alexandre Oliva writes:

This patch arranges for the .so files in say /usr/lib to be soft links
to ../../lib, instead of to /some/arbitrary/pathname/lib.  This
enables seamless relocation of a toolchain containing the development
and run time trees in a sys-root.

Members: 
	Makefile:1.245->1.246 

---------------------
PatchSet 3340 
Date: 2004/03/19 12:03:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Based on a patch from Alexandre Oliva, allow uClibc to compile
with __NR_mmap is not available (i.e. only __NR_mmap2)

Members: 
	ldso/include/dl-syscall.h:1.4->1.5 
	libc/sysdeps/linux/common/mmap.c:1.1->1.2 

---------------------
PatchSet 3341 
Date: 2004/03/19 19:38:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Stefan Holst to fix argv[0]

Members: 
	libc/sysdeps/linux/sparc/crt0.c:1.4->1.5 

---------------------
PatchSet 3342 
Date: 2004/03/19 20:53:54
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Per patch from Stefan Holst, do not try to compile these
syscalls if they are not supported.

Members: 
	libc/sysdeps/linux/common/getresgid.c:1.1->1.2 
	libc/sysdeps/linux/common/getresuid.c:1.1->1.2 
	libc/sysdeps/linux/common/setresgid.c:1.1->1.2 
	libc/sysdeps/linux/common/setresuid.c:1.1->1.2 

---------------------
PatchSet 3343 
Date: 2004/03/24 21:21:07
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
glibc does not provide pppio.h, and our doing so conflicts
with the ppp package

Members: 
	include/net/pppio.h:1.2->1.3(DEAD) 

---------------------
PatchSet 3344 
Date: 2004/04/06 12:19:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a bug noticed by Oleg I. Vdovikin, oleg at cs dot msu dot su.
This code in uClibc would attempt to set the default facility if
none was specified.  Except none being specified is 0, which is
also LOG_KERN, therefore klogd could never get kernel messages
logged as LOG_KERN.

Members: 
	libc/misc/syslog/syslog.c:1.12->1.13 

---------------------
PatchSet 3345 
Date: 2004/04/14 16:21:27
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix typo.

Members: 
	libc/sysdeps/linux/common/bits/uClibc_stdio.h:1.16->1.17 

---------------------
PatchSet 3346 
Date: 2004/04/20 06:27:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
We don't need these...

Members: 
	libpthread/linuxthreads/ChangeLog:1.1->1.2(DEAD) 
	libpthread/linuxthreads_db/ChangeLog:1.2->1.3(DEAD) 

---------------------
PatchSet 3347 
Date: 2004/04/20 06:32:52
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cope with gcc 3.4's more aggressive persuit of attribute unused

Members: 
	include/features.h:1.57->1.58 
	ldso/ldso/arm/dl-startup.h:1.8->1.9 
	ldso/ldso/cris/dl-startup.h:1.6->1.7 
	ldso/ldso/frv/elfinterp.c:1.1->1.2 
	ldso/ldso/i386/dl-startup.h:1.5->1.6 
	ldso/ldso/m68k/dl-startup.h:1.5->1.6 
	ldso/ldso/mips/dl-startup.h:1.9->1.10 
	ldso/ldso/powerpc/dl-startup.h:1.10->1.11 
	ldso/ldso/sh/dl-startup.h:1.6->1.7 
	ldso/ldso/sh64/dl-startup.h:1.4->1.5 
	ldso/ldso/sparc/dl-startup.h:1.5->1.6 
	libc/inet/rpc/clnt_perror.c:1.10->1.11 
	libc/sysdeps/linux/alpha/bits/atomicity.h:1.1->1.2 
	libc/sysdeps/linux/arm/bits/atomicity.h:1.1->1.2 
	libc/sysdeps/linux/common/bits/atomicity.h:1.1->1.2 
	libc/sysdeps/linux/i386/bits/atomicity.h:1.1->1.2 
	libc/sysdeps/linux/i386/bits/mathinline.h:1.3->1.4 
	libc/sysdeps/linux/m68k/bits/atomicity.h:1.1->1.2 
	libc/sysdeps/linux/mips/bits/atomicity.h:1.1->1.2 
	libc/sysdeps/linux/powerpc/bits/atomicity.h:1.1->1.2 
	libc/sysdeps/linux/sh/bits/machine-gmon.h:1.2->1.3 
	libc/sysdeps/linux/sparc/bits/atomicity.h:1.1->1.2 
	libpthread/linuxthreads_db/td_thr_tls_get_addr.c:1.1->1.2 

---------------------
PatchSet 3348 
Date: 2004/04/20 17:09:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Mention uwoody

Members: 
	docs/uclibc.org/news.html:1.11->1.12 

---------------------
PatchSet 3349 
Date: 2004/04/20 17:15:53
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix grammar and spelling

Members: 
	docs/uclibc.org/news.html:1.12->1.13 

---------------------
PatchSet 3350 
Date: 2004/04/20 18:51:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
blah

Members: 
	docs/uclibc.org/news.html:1.13->1.14 

---------------------
PatchSet 3351 
Date: 2004/04/23 21:39:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
It turns out that asm/reg.h is missing from the 2.6.x kernel headers,
which prevents libthread_db (used by gdb) from compiling.  Include a
copy within include/sys/user.h for mips, per what was done in glibc.

Members: 
	libc/sysdeps/linux/mips/sys/user.h:1.1->1.2 

---------------------
PatchSet 3352 
Date: 2004/04/30 22:20:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
These headers should not be included in uClibc -- they should be
part of the ppp instead.

Members: 
	include/net/slcompress.h:1.3->1.4(DEAD) 
	include/net/vjcompress.h:1.3->1.4(DEAD) 

---------------------
PatchSet 3353 
Date: 2004/04/30 22:59:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Minor .deb updates

Members: 
	debian/changelog:1.20->1.21 
	debian/rules:1.30->1.31 

---------------------
PatchSet 3354 
Date: 2004/05/05 06:56:03
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Jeroen Dobbelaere writes:

Because variables are linked to fixed registers, there is a problem in :
     (*__errno_location())=(-_r0);

As __errno_location() uses r0 to return the address of the errno location,
the negated address will be assigned instead of the error code.

Attached patch will resolve this.

Members: 
	libc/sysdeps/linux/arm/syscall.c:1.2->1.3 

---------------------
PatchSet 3355 
Date: 2004/05/05 06:56:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix screwed up formatting

Members: 
	libc/sysdeps/linux/arm/syscall.c:1.3->1.4 

---------------------
PatchSet 3356 
Date: 2004/05/06 09:16:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Alexandre Oliva writes:

The vfork() wrapper defined in libpthread, that's used to run
pthread_atfork()-registered handlers, is not only a very bad idea,
it's broken and useless.  Here's the rationale:

[---------snip----------]

Since the implementation as it stands is broken (linking a program
that vfork()s and exec()s on the child and wait()s on the parent works
unless you happen to link with libpthread), and I can't think of
any workable solution, I suggest that we simply remove the vfork()
overrider in the non-MMU case.  Yes, we might lose some small amount
of functionality here, but it's not like people running uClinux expect
anything resembling actual fork() to work.

Members: 
	libpthread/linuxthreads/ptfork.c:1.3->1.4 

---------------------
PatchSet 3357 
Date: 2004/05/07 05:26:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Change the global 'buf' to 'servbuf' since some functions in here use
a local named 'buf' and we want to avoid shadowing that.

Members: 
	libc/inet/getservice.c:1.9->1.10 

---------------------
PatchSet 3358 
Date: 2004/05/07 06:52:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
UCLIBC_COMPLETELY_PIC does nothing, so kill it

Members: 
	extra/Configs/Config.frv:1.1->1.2 
	extra/Configs/Config.frv.default:1.1->1.2 
	extra/Configs/Config.in:1.46->1.47 

---------------------
PatchSet 3359 
Date: 2004/05/07 10:00:36
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Add missing include.

Members: 
	libc/inet/getnetent.c:1.6->1.7 

---------------------
PatchSet 3360 
Date: 2004/05/07 10:19:14
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix a couple of issues in configurations I hadn't tested.

Members: 
	libc/stdio/_stdio.h:1.1->1.2 
	libc/sysdeps/linux/common/bits/uClibc_stdio.h:1.17->1.18 

---------------------
PatchSet 3361 
Date: 2004/05/07 10:22:52
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
"Fix" this so that at least things will link when threading is disabled.
Also fix the sizeof() issue since the change to a dynamicly allocated buf.
Note!  This is still broken wrt threading, but so is the glibc version.
I'm just commiting this for new until I can test my rewrite.

Members: 
	libc/misc/ttyent/getttyent.c:1.4->1.5 

---------------------
PatchSet 3362 
Date: 2004/05/07 10:30:59
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Patch from Yoshinori Sato <ysato@users.sourceforge.jp>.

Members: 
	libc/sysdeps/linux/common/bits/machine-gmon.h:1.1->1.2 

---------------------
PatchSet 3363 
Date: 2004/05/07 10:53:57
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Peter Mazinger asked for this several months ago.

Members: 
	include/elf.h:1.11->1.12 

---------------------
PatchSet 3364 
Date: 2004/05/08 05:12:14
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Change clock() to allow wrapping.
Add timegm() function.
Make lookup_tzname() static (as it should have been).
Have strftime() get timezone information from the passed struct
  for the %z and %Z conversions when using struct tm extensions.

Members: 
	include/time.h:1.11->1.12 
	libc/misc/time/time.c:1.21->1.22 

---------------------
PatchSet 3365 
Date: 2004/05/08 05:20:24
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Obligatory forgotten file...

Members: 
	libc/misc/time/Makefile:1.36->1.37 

---------------------
PatchSet 3366 
Date: 2004/05/10 12:59:17
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Save r0 before modifying it.

Members: 
	ldso/ldso/cris/resolve.S:1.1->1.2 

---------------------
PatchSet 3367 
Date: 2004/05/11 07:21:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Bradley D. LaRonde, brad at laronde dot org writes:

If I change that ELF_RTYPE_CLASS_COPY to ELF_RTYPE_CLASS_PLT to tell
_dl_find_hash to ignore stubs when resolving undefined functions without
stubs, the dlopen tests all pass.  dlopen gets a pointer to the libc.so
malloc instead of a pointer to the libpthread malloc stub.  Yay!  :-)

Members: 
	ldso/ldso/mips/elfinterp.c:1.13->1.14 

---------------------
PatchSet 3368 
Date: 2004/05/11 10:45:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Purge trailing white space

Members: 
	libc/misc/internals/__uClibc_main.c:1.30->1.31 

---------------------
PatchSet 3369 
Date: 2004/05/11 11:14:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
make certain that getpagesize() returns correct the value for mips
by extracting the value from the ELF header.

Members: 
	ldso/include/ldso.h:1.8->1.9 
	ldso/ldso/dl-elf.c:1.68->1.69 
	ldso/ldso/dl-startup.c:1.8->1.9 
	ldso/ldso/ldso.c:1.95->1.96 
	libc/misc/internals/__uClibc_main.c:1.31->1.32 
	libc/sysdeps/linux/common/getpagesize.c:1.3->1.4 

---------------------
PatchSet 3370 
Date: 2004/05/11 11:35:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Setup a _dl_pagesize value for use by staticly linked apps

Members: 
	libc/misc/internals/__uClibc_main.c:1.32->1.33 

---------------------
PatchSet 3371 
Date: 2004/05/11 19:13:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
As noticed by the sharp eyed Joakim Tjernlund, I stupidly
hard coded 4096 instead of PAGE_SIZE.  Because I'm an idiot.

Members: 
	ldso/ldso/dl-startup.c:1.9->1.10 
	ldso/ldso/ldso.c:1.96->1.97 

---------------------
PatchSet 3372 
Date: 2004/05/12 22:54:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add a local '_dl_errno' to be used by syscalls in ldso, allowing
useful syscall failure diagnostics.

Members: 
	ldso/ldso/ldso.c:1.97->1.98 
	ldso/ldso/arm/dl-syscalls.h:1.7->1.8 
	ldso/ldso/cris/dl-syscalls.h:1.3->1.4 
	ldso/ldso/frv/dl-syscalls.h:1.1->1.2 
	ldso/ldso/i386/dl-syscalls.h:1.8->1.9 
	ldso/ldso/m68k/dl-syscalls.h:1.7->1.8 
	ldso/ldso/mips/dl-syscalls.h:1.5->1.6 
	ldso/ldso/powerpc/dl-syscalls.h:1.4->1.5 
	ldso/ldso/sh/dl-syscalls.h:1.2->1.3 
	ldso/ldso/sh64/dl-syscalls.h:1.1->1.2 
	ldso/ldso/sparc/dl-syscalls.h:1.6->1.7 

---------------------
PatchSet 3373 
Date: 2004/05/12 23:11:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Bradley D. LaRonde:
ld.so mprotect rwx .dyanmic segment for mips DT_DEBUG
Allow writing debug_addr into the .dynamic segment.
Even though the program header is marked RWE, the kernel
gives it to us rx.

Members: 
	ldso/ldso/dl-startup.c:1.10->1.11 

---------------------
PatchSet 3374 
Date: 2004/05/13 00:19:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Bradley D. LaRonde writes:

Oops, this adds the page alignment offset to the mprotected size.

Regards,
Brad

Members: 
	ldso/ldso/dl-startup.c:1.11->1.12 

---------------------
PatchSet 3375 
Date: 2004/05/13 05:53:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add define for SHM_HUGETLB

Members: 
	libc/sysdeps/linux/common/bits/shm.h:1.3->1.4 

---------------------
PatchSet 3376 
Date: 2004/05/13 09:23:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
update libdl so it also groks the new _dl_errno

Members: 
	ldso/libdl/libdl.c:1.40->1.41 

---------------------
PatchSet 3377 
Date: 2004/05/14 10:22:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Alexandre Oliva writes:

A program that requests __pthread_sig_debug to be blocked will
self-deadlock when it requests a thread to be created, because the
debugger (rda or gdb) will never get the signal, so it won't wake up
the pthread manager as expected.

This patch fixes it.

Members: 
	libpthread/linuxthreads/signals.c:1.4->1.5 

---------------------
PatchSet 3378 
Date: 2004/05/14 10:25:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Alexandre Oliva:

On Mar 20, 2004, Erik Andersen <andersen@codepoet.org> wrote:

> If you supply a FR-V specific link.h header into
> libc/sysdeps/linux/frv/ then you can do the same sortof
> thing that mips does i.e. with sgidefs.h in the headers
> target in libc/sysdeps/linux/mips/Makefile

Thanks, this patch implements your suggestion.

Members: 
	libc/sysdeps/linux/frv/Makefile:1.3->1.4 
	libc/sysdeps/linux/frv/link.h:INITIAL->1.1 

---------------------
PatchSet 3379 
Date: 2004/05/14 10:29:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Alexandre Oliva writes:

This patch introduces optimized versions of memcpy and memset for
frv.

Members: 
	libc/string/Makefile:1.60->1.61 
	libc/string/frv/Makefile:INITIAL->1.1 
	libc/string/frv/memcpy.S:INITIAL->1.1 
	libc/string/frv/memset.S:INITIAL->1.1 

---------------------
PatchSet 3380 
Date: 2004/05/14 10:39:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Kill off the now obsolete __libc_vfork symbol

Members: 
	libc/sysdeps/linux/arm/vfork.S:1.7->1.8 
	libc/sysdeps/linux/e1/vfork.c:1.2->1.3 
	libc/sysdeps/linux/frv/vfork.S:1.1->1.2 
	libc/sysdeps/linux/m68k/vfork.S:1.4->1.5 

---------------------
PatchSet 3381 
Date: 2004/05/14 10:51:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
__data_start needs to be added to all crt0.S files that don't currently
have it.  It is used by the boehm gc, amoung other things.

Members: 
	libc/sysdeps/linux/arm/crt0.S:1.21->1.22 
	libc/sysdeps/linux/cris/crt0.S:1.1->1.2 
	libc/sysdeps/linux/e1/crt0.S:1.1->1.2 
	libc/sysdeps/linux/frv/crt0.S:1.1->1.2 
	libc/sysdeps/linux/h8300/crt0.S:1.7->1.8 
	libc/sysdeps/linux/i386/crt0.S:1.22->1.23 
	libc/sysdeps/linux/i960/crt0.S:1.1->1.2 
	libc/sysdeps/linux/m68k/crt0.S:1.12->1.13 
	libc/sysdeps/linux/microblaze/crt0.S:1.1->1.2 
	libc/sysdeps/linux/mips/crt0.S:1.11->1.12 
	libc/sysdeps/linux/powerpc/crt0.S:1.7->1.8 
	libc/sysdeps/linux/sh/crt0.S:1.13->1.14 
	libc/sysdeps/linux/sh64/crt0.S:1.1->1.2 
	libc/sysdeps/linux/v850/crt0.S:1.7->1.8 

---------------------
PatchSet 3382 
Date: 2004/05/14 10:59:09
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Alexandre Oliva writes:

Here are a number of minor changes to FR-V-specific bits of the uClibc
port:

- I've adjusted the definition of _dl_mmap to cope with the fact that
  there will be a definition for an mmap2-only system.

- We don't have COPY relocs, so optimize the copy reloc-related code
  away.

- Change the page size to 16KiB, to match the ABI spec, and not a
  stale value I'd copied from a linker config file.  Oops.

- Fix error handling in clone and vfork; parts of the changes by David
  Howells <dhowells@redhat.com>

- Rearrange includes in crtreloc.c.

- Change the API of __syscall_error, to reduce code size.

- Improve __syscall_return in terms of code size, so as to enable
  tail-calling of __syscall_error, at least within libc.  Ideally,
  __syscall_error should be hidden within libc.so, but this didn't
  work because of libdl.  I haven't looked into why, and figured I'd
  leave it visible for now.

- Rename enumerators and macros in sys/ucontext.h to reduce namespace
  pollution.

Members: 
	ldso/ldso/frv/dl-syscalls.h:1.2->1.3 
	ldso/ldso/frv/dl-sysdep.h:1.2->1.3 
	libc/sysdeps/linux/frv/clone.S:1.1->1.2 
	libc/sysdeps/linux/frv/crtreloc.c:1.1->1.2 
	libc/sysdeps/linux/frv/sysdep.c:1.1->1.2 
	libc/sysdeps/linux/frv/vfork.S:1.2->1.3 
	libc/sysdeps/linux/frv/bits/syscalls.h:1.1->1.2 
	libc/sysdeps/linux/frv/sys/ucontext.h:1.1->1.2 

---------------------
PatchSet 3383 
Date: 2004/05/14 11:12:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Hi Erik

It seems to me that __pthread_once and __pthread_initialize_minimal could be made
WEAKs with no stub. The code in rpc_thread.c and __uClibc_main.c appears to expect this.
Also, __pthread_return_0 __pthread_return_1 and __pthread_return_void can be static, not to
pollute the name space.

  Jocke

Members: 
	libc/inet/rpc/rpc_thread.c:1.6->1.7 
	libc/misc/pthread/weaks.c:1.5->1.6 

---------------------
PatchSet 3384 
Date: 2004/05/14 19:49:40
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix changed link into the mailing list archive.

Members: 
	docs/uclibc.org/FAQ.html:1.26->1.27 

---------------------
PatchSet 3385 
Date: 2004/05/15 08:21:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cope when the __NR_get_kernel_syms is undefined (i.e. 2.6.x arm-linux)

Members: 
	libc/sysdeps/linux/common/get_kernel_syms.c:1.1->1.2 

---------------------
PatchSet 3386 
Date: 2004/05/24 10:03:59
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Removed unused file.

Members: 
	libc/sysdeps/linux/cris/crt0.S:1.2->1.3(DEAD) 

---------------------
PatchSet 3387 
Date: 2004/06/06 08:08:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
scrap the goofy time + getpid() based "randomness" and use
the real thing.

Members: 
	libc/misc/internals/tempname.c:1.6->1.7 

---------------------
PatchSet 3388 
Date: 2004/06/12 05:43:09
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oops.  Missed a spot.

Members: 
	libc/misc/internals/tempname.c:1.7->1.8 

---------------------
PatchSet 3389 
Date: 2004/06/12 05:52:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Per comments from Bernhard Rosenkraenzer, adjust gcc 3.3.x generated asm
with s/i686.get_pc_thunk.bx/get_pc_thunk_bx/g to make gcc 3.4 happy.

Members: 
	libc/sysdeps/linux/i386/crti.S:1.1->1.2 
	libc/sysdeps/linux/i386/crtn.S:1.1->1.2 

---------------------
PatchSet 3390 
Date: 2004/06/12 06:12:21
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Philip Craig at snapgear dot com writes:

Strlen was counting the last 3 bytes incorrectly for big endian arm.

Members: 
	libc/string/arm/strlen.S:1.1->1.2 

---------------------
PatchSet 3391 
Date: 2004/06/12 08:38:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Jakub Bogusz from pld-linux dot org writes:

Hello,

I managed to get ldso (and thus shared linking to uClibc) to work on
sparc (actually sparc64 kernel with 32-bit userspace), at least on
simple "hello world" program (more complex ones not tested).

Some notes on attached patch (against 0.9.26, would require some work
to apply on current CVS - but I tested 0.9.26, not CVS):

- ELF magic cannot be examined by _dl_strncmp so early, probably because of
  string constant, like on ppc/mips/sh
  (note that early SEND_STDERR still crashes when trying to do _dl_strlen
   - I suppose that string constants require relocation; but adding
   load_addr didn't help, just ELF header was displayed instead of crash)
- mmap() is syscall6 like on ppc/mips/sh, not old i386 mmap()
- for generic sparc (i.e. not sparcv8/sparcv9) gcc produces .udiv/.urem
  calls for unsigned integer / and % operators - so these operations
  must be avoided. I copied do_rem definition from arm header.
  But / and % are used also in _dl_simple_ltoa() and
  _dl_simple_ltoahex(); in ltoahex gcc optimizes it to shifts (but
  I think it's safer to use shifts explicitly, not rely on
  optimization...).
  I changed % in ltoa to do_rem, but as there was no do_div definition,
  I changed all "%d" specifiers to "%x" to avoid crashes (this changes
  wouldn't be needed if _dl_simple_ltoa() were fixed to not use
  division on sparc).
- "#define SOLARIS_COMPATIBLE" in ld_sysdep.h broke ldso on Linux
  because of redefining _dl_linux_resolve only in some places (it was
  still referenced in INIT_GOT before redefinition). So
  _dl_linux_resolve redefinition should be moved before INIT_GOT
  definition or removed.
- sparc64 kernel requires mmap() addresses to be aligned to 8192, not
  4096, otherwise mmap() call failed
- reloc_entry must be shifted by 10, not 12 (I found similar operation
  in glibc sources)

Aside of sparc-specific fixes:
- I moved some _dl_dprintf()s inside if(_dl_debug_*) conditions (to avoid
  debugging messages when LD_DEBUG is not defined)
- it seems that there was possible off-by-one in ltoa and ltoahex?
  they are called with char[22] as 1st argument, and then '\0' is stored
  in local[22] (_before_ p decrementation)... or am I missing something?
  If not, fix is included in patch.

Members: 
	ldso/include/dl-string.h:1.4->1.5 
	ldso/include/dl-syscall.h:1.5->1.6 
	ldso/ldso/dl-elf.c:1.69->1.70 
	ldso/ldso/sparc/dl-syscalls.h:1.7->1.8 
	ldso/ldso/sparc/dl-sysdep.h:1.7->1.8 
	ldso/ldso/sparc/elfinterp.c:1.16->1.17 

---------------------
PatchSet 3392 
Date: 2004/06/12 08:41:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Stephen Hemminger from osdl dot org writes:

Rather than copy more code back into the bridge-utilities, how about applying this
change to uClibc?  I hate when packages get cluttered for workarounds for other
incompatibilities.

The problem is that SIOCGIFCONF only lists interfaces that have IP addresses, so it
doesn't find the other interfaces that are being used for bridging. It could be fixed
in the kernel to return all interfaces, but then something else might break; and still
it mean a kernel update for the 2.4 users.

The whole use of ifindex in the bridge API is a bad idea. But we probably have to live
with it for compatibility.

Patch against uClibc 0.9.26

Members: 
	libc/inet/if_nametoindex.c:1.2->1.3 

---------------------
PatchSet 3393 
Date: 2004/06/19 06:28:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
note new mailing list posting policy

Members: 
	docs/uclibc.org/lists.html:1.1->1.2 

---------------------
PatchSet 3394 
Date: 2004/06/19 19:54:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Bradley D. LaRonde writes:

dl-string.h references do_rem, but do_rem is a #define in <arch>/dl-sysdep.h
which is not included by dl-sysdep.h.  This causes a problem in libdl:

    In file included from ../../ldso/include/ldso.h:27, from libdl.c:33:
    ../../ldso/include/dl-string.h: In function `_dl_simple_ltoa':
    ../../ldso/include/dl-string.h:216: warning: implicit declaration of
function `do_rem'

Include dl-sysdep.h in dl-string.h before using do_rem.

Members: 
	ldso/include/dl-string.h:1.5->1.6 

---------------------
PatchSet 3395 
Date: 2004/06/19 21:32:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Glibc does not use COPY class for SHN_COMMOM in MIPS. Make uClibc ldso
the same.

Members: 
	ldso/ldso/mips/elfinterp.c:1.14->1.15 

---------------------
PatchSet 3396 
Date: 2004/06/19 21:33:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Since MIPS don't have COPY relocs it seems apropiate to define
DL_NO_COPY_RELOCS. This will optimize dl_find_hash somewhat.

Members: 
	ldso/ldso/mips/dl-sysdep.h:1.9->1.10 

---------------------
PatchSet 3397 
Date: 2004/06/19 21:38:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Make old weak symbol handling work, if someone wants to
enable it.

Members: 
	ldso/ldso/dl-hash.c:1.19->1.20 

---------------------
PatchSet 3398 
Date: 2004/06/20 05:39:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Whine about R_PPC_REL24 relocations, and tell people to compile
shared libraries with -fPIC

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.38->1.39 

---------------------
PatchSet 3399 
Date: 2004/06/20 11:10:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Let dl-string.h include dl-sysdep.h, since it has proper include guards

Members: 
	ldso/include/dl-elf.h:1.12->1.13 

---------------------
PatchSet 3400 
Date: 2004/06/24 07:52:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Disable support for R_ARM_PC24, just like R_PPC_REL24 these should
only occur when shared libs are not compiled with -fPIC

Members: 
	ldso/ldso/arm/elfinterp.c:1.20->1.21 

---------------------
PatchSet 3401 
Date: 2004/06/27 01:16:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Hi yet again :)

in dl-startup.c when performing boot strap relocation the following test
exists to make sure that only "_dl_" symbols are relocated:
/* We only do a partial dynamic linking right now.  The user
 is not supposed to define any symbols that start with a
 '_dl', so we can do this with confidence. */
 if (!symname || !_dl_symbol(symname)) {
        continue;
 }

However on PPC(and the other archs as well I suspect) all symbols are
"_dl_" symbols so the test is never true. The test can be removed and the
whole loop simplified(smaller). This also makes it possible to
simplify elfinterp.c

This remove the scanning of ldso.so relocs, making relocation faster.

I have tested this on PPC and it works well.
Do you think this optimization will work for the other arches as well?
I can't see why not.

     Jocke

* Tested on x86, arm, mipsel, and powerpc by Erik and works nicely
 -Erik

Members: 
	ldso/ldso/dl-startup.c:1.12->1.13 
	ldso/ldso/arm/elfinterp.c:1.21->1.22 
	ldso/ldso/i386/elfinterp.c:1.31->1.32 
	ldso/ldso/mips/elfinterp.c:1.15->1.16 
	ldso/ldso/powerpc/elfinterp.c:1.39->1.40 

---------------------
PatchSet 3402 
Date: 2004/07/05 18:45:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update FAQ a bit

Members: 
	docs/uclibc.org/FAQ.html:1.27->1.28 

---------------------
PatchSet 3403 
Date: 2004/07/14 12:27:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Based on a patch from Alexandre Oliva, make sure _dl_malloc returns a nicely
aligned pointer that may be aligned up to page_size.  Also add _dl_free,

Members: 
	ldso/include/ldso.h:1.9->1.10 
	ldso/ldso/dl-elf.c:1.70->1.71 
	ldso/ldso/dl-hash.c:1.20->1.21 
	ldso/ldso/ldso.c:1.98->1.99 
	ldso/libdl/libdl.c:1.41->1.42 

---------------------
PatchSet 3404 
Date: 2004/07/14 23:07:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Sigh.  I got things working this morning, then checked stuff in from the wrong
tree.  Bad boy, No doughnut.
 -Erik

Members: 
	ldso/include/ldso.h:1.10->1.11 
	ldso/ldso/dl-elf.c:1.71->1.72 
	ldso/ldso/dl-hash.c:1.21->1.22 
	ldso/ldso/ldso.c:1.99->1.100 
	ldso/libdl/libdl.c:1.42->1.43 

---------------------
PatchSet 3405 
Date: 2004/07/15 05:54:13
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Peter Kjellerstedt at axis.com writes:

Hello,

the attached patch should bring extra/config in line
with the Linux 2.6.7 sources.

The following are the commit messages for the respective
files from the Linux bk-repository:

checklist.c:
* fix menuconfig choice item help display

confdata.c:
* config: choice fix
* kconfig: don't rename target dir when saving config

expr.c, expr.h:
* config: disable debug prints

mconf.c:
* fix menuconfig choice item help display

menu.c:
* Kconfig: use select statements

symbol.c:
* config: choice fix
* Avoid bogus warning about recursive dependencies
* c99 struct initialiser conversions

textbox.c:
* janitor: don't init statics to 0

util.c:
* fix lxdialog behaviour

//Peter

Members: 
	extra/config/checklist.c:1.1->1.2 
	extra/config/confdata.c:1.10->1.11 
	extra/config/expr.c:1.2->1.3 
	extra/config/expr.h:1.3->1.4 
	extra/config/mconf.c:1.8->1.9 
	extra/config/menu.c:1.3->1.4 
	extra/config/symbol.c:1.5->1.6 
	extra/config/textbox.c:1.1->1.2 
	extra/config/util.c:1.1->1.2 

---------------------
PatchSet 3406 
Date: 2004/07/15 07:05:07
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Yoshinori Sato to add H8/300 relocation types.

Members: 
	include/elf.h:1.12->1.13 

---------------------
PatchSet 3407 
Date: 2004/07/15 07:33:59
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
h8300 updates from Yoshinori Sato

Members: 
	libc/sysdeps/linux/h8300/Makefile:1.11->1.12 
	libc/sysdeps/linux/h8300/__longjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/h8300/brk.c:INITIAL->1.1 
	libc/sysdeps/linux/h8300/bsd-_setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/h8300/bsd-setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/h8300/clone.S:INITIAL->1.1 
	libc/sysdeps/linux/h8300/crt0.S:1.8->1.9 
	libc/sysdeps/linux/h8300/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/h8300/crtn.S:INITIAL->1.1 
	libc/sysdeps/linux/h8300/pt-machine.h:INITIAL->1.1 
	libc/sysdeps/linux/h8300/ptrace.c:1.2->1.3 
	libc/sysdeps/linux/h8300/setjmp.S:1.2->1.3 
	libc/sysdeps/linux/h8300/vfork.S:1.3->1.4 
	libc/sysdeps/linux/h8300/bits/atomicity.h:INITIAL->1.1 
	libc/sysdeps/linux/h8300/bits/huge_val.h:1.3->1.4(DEAD) 
	libc/sysdeps/linux/h8300/bits/kernel_stat.h:1.3->1.4 
	libc/sysdeps/linux/h8300/bits/kernel_types.h:1.2->1.3 
	libc/sysdeps/linux/h8300/bits/mman.h:1.3->1.4 
	libc/sysdeps/linux/h8300/bits/resource.h:1.3->1.4(DEAD) 
	libc/sysdeps/linux/h8300/bits/setjmp.h:1.3->1.4 
	libc/sysdeps/linux/h8300/bits/sigcontextinfo.h:INITIAL->1.1 
	libc/sysdeps/linux/h8300/bits/stackinfo.h:INITIAL->1.1 
	libc/sysdeps/linux/h8300/bits/syscalls.h:1.6->1.7 
	libc/sysdeps/linux/h8300/bits/wordsize.h:1.3->1.4 
	libc/sysdeps/linux/h8300/sys/procfs.h:INITIAL->1.1 

---------------------
PatchSet 3408 
Date: 2004/07/15 07:52:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Atsushi Nemoto writes:

This is a patch for uClibc/libc/sysdeps/linux/mips/sys/procfs.h pulled
from glibc CVS.

This fixes gdb with threaded application (with glibc environment).
Although debugging threaded programs seems not working on uClibc/mips
yet, this patch will be required when it becomes working.

This patch can be applied to any version of uClibc (including current
CVS).

Members: 
	libc/sysdeps/linux/mips/sys/procfs.h:1.1->1.2 

---------------------
PatchSet 3409 
Date: 2004/07/15 08:06:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use MAP_PRIVATE whenever __ARCH_HAS_MMU__ is set.
Only use MAP_SHARED when mmu-less.

Members: 
	libc/stdlib/malloc/malloc.c:1.36->1.37 
	libc/stdlib/malloc-simple/alloc.c:1.15->1.16 
	libc/stdlib/malloc-standard/malloc.c:1.1->1.2 
	libc/stdlib/malloc-standard/malloc.h:1.1->1.2 

---------------------
PatchSet 3410 
Date: 2004/07/15 08:22:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
_SC_PAGESIZE is standard.  Some ancient legacy unix variants used _SC_PAGE_SIZE
instead, but we are not such a system and should not propagate such things.

Members: 
	libpthread/linuxthreads/internals.h:1.7->1.8 

---------------------
PatchSet 3411 
Date: 2004/07/15 08:31:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
_SC_PAGESIZE is standard.  Some ancient legacy unix variants used _SC_PAGE_SIZE
instead, but we are not such a system and should not propagate such things.

Members: 
	libc/stdlib/malloc-standard/malloc.h:1.2->1.3 

---------------------
PatchSet 3412 
Date: 2004/07/15 09:09:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleanup a few of the more egregiously broken sysconf values to
actually match reality.  In particular, _SC_GETPW_R_SIZE_MAX and
_SC_GETGR_R_SIZE_MAX were causing us problems with programs such
as libglib, since they were always returning -1, which is a bit
smaller than the actual passwd and group max buffer sizes.
 -Erik

Members: 
	libc/pwd_grp/pwd_grp.c:1.6->1.7 
	libc/termios/ttyname.c:1.13->1.14 
	libc/unistd/sysconf.c:1.15->1.16 

---------------------
PatchSet 3413 
Date: 2004/07/15 09:21:07
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
update packaging a bit

Members: 
	debian/changelog:1.21->1.22 
	debian/config:1.5->1.6 
	debian/rules:1.31->1.32 

---------------------
PatchSet 3414 
Date: 2004/07/15 10:14:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleanup some cruft

Members: 
	libc/pwd_grp/Makefile:1.25->1.26 

---------------------
PatchSet 3415 
Date: 2004/07/16 11:09:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Pete Popov writes:

Hi Erik,

I'm not sure why the NIOS support is not in uClibc -- perhaps the patch
was rejected or never submitted? In any case, I'm playing with some NIOS
stuff and created this patch against 0.9.26. The work was done by
Microtronix. I'm not sure who else contributed to it. It would be great
to have the NIOS support available in uClibc so developers don't have to
go searching for these bits.

Pete

Members: 
	extra/Configs/Config.in:1.47->1.48 
	extra/Configs/Config.nios:INITIAL->1.1 
	extra/Configs/Config.nios2:INITIAL->1.1 
	include/elf.h:1.13->1.14 
	libc/sysdeps/linux/Makefile:1.21->1.22 
	libc/sysdeps/linux/nios/Makefile:INITIAL->1.1 
	libc/sysdeps/linux/nios/NM_Macros.S:INITIAL->1.1 
	libc/sysdeps/linux/nios/NR_Math1.S:INITIAL->1.1 
	libc/sysdeps/linux/nios/__longjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/nios/brk.c:INITIAL->1.1 
	libc/sysdeps/linux/nios/bsd-_setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/nios/bsd-setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/nios/clone.S:INITIAL->1.1 
	libc/sysdeps/linux/nios/crt0.S:INITIAL->1.1 
	libc/sysdeps/linux/nios/crt0.c:INITIAL->1.1 
	libc/sysdeps/linux/nios/crtbegin.c:INITIAL->1.1 
	libc/sysdeps/linux/nios/crtend.c:INITIAL->1.1 
	libc/sysdeps/linux/nios/fpu_control.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/nios/vfork.S:INITIAL->1.1 
	libc/sysdeps/linux/nios/bits/endian.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/bits/fcntl.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/bits/kernel_types.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/bits/mathdef.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/bits/mman.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/bits/resource.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/bits/setjmp.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/bits/sigcontextinfo.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/bits/stackinfo.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/bits/stat.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/bits/syscalls.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/bits/wordsize.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/sys/procfs.h:INITIAL->1.1 
	libc/sysdeps/linux/nios/sys/ucontext.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/Makefile:INITIAL->1.1 
	libc/sysdeps/linux/nios2/__longjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/nios2/brk.c:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bsd-_setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bsd-setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/nios2/clone.S:INITIAL->1.1 
	libc/sysdeps/linux/nios2/clone.c:INITIAL->1.1 
	libc/sysdeps/linux/nios2/crt0.S:INITIAL->1.1 
	libc/sysdeps/linux/nios2/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/nios2/crtn.S:INITIAL->1.1 
	libc/sysdeps/linux/nios2/fpu_control.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/nios2/syscall.c:INITIAL->1.1 
	libc/sysdeps/linux/nios2/vfork.S:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/endian.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/fcntl.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/kernel_stat.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/kernel_types.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/mathdef.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/mman.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/profil-counter.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/resource.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/setjmp.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/sigcontextinfo.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/stackinfo.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/stat.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/syscalls.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/bits/wordsize.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/sys/procfs.h:INITIAL->1.1 
	libc/sysdeps/linux/nios2/sys/ucontext.h:INITIAL->1.1 
	libpthread/linuxthreads/sysdeps/nios/pt-machine.h:INITIAL->1.1 
	libpthread/linuxthreads/sysdeps/nios2/pt-machine.h:INITIAL->1.1 

---------------------
PatchSet 3416 
Date: 2004/07/16 13:23:21
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Revert this stuff for now

Members: 
	ldso/include/ldso.h:1.11->1.12 
	ldso/ldso/dl-elf.c:1.72->1.73 
	ldso/libdl/libdl.c:1.43->1.44 

---------------------
PatchSet 3417 
Date: 2004/07/16 20:22:22
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Hide the arm libfloat support for now.  No longer needed for gcc 3.4.1 and
won't be needed for 3.3.4 either when I get some time to clean up that
toolchain which also suffers from the g++ include dir search order bug.

Members: 
	Rules.mak:1.164->1.165 

---------------------
PatchSet 3418 
Date: 2004/07/16 20:23:19
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Follow glibc's lead and add a gcc-3.4.1 required symbol to crt0.S.

Members: 
	libc/sysdeps/linux/sh/crt0.S:1.14->1.15 

---------------------
PatchSet 3419 
Date: 2004/07/17 00:39:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add sigaction for mips

Members: 
	libc/sysdeps/linux/mips/Makefile:1.40->1.41 
	libc/sysdeps/linux/mips/sigaction.c:INITIAL->1.1 

---------------------
PatchSet 3420 
Date: 2004/07/17 09:36:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update sigaction for arm

Members: 
	libc/sysdeps/linux/arm/sigaction.c:1.2->1.3 

---------------------
PatchSet 3421 
Date: 2004/07/17 22:39:13
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update todo list

Members: 
	TODO:1.50->1.51 

---------------------
PatchSet 3422 
Date: 2004/07/21 10:00:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix ftruncate64 and truncate64 for powerpc and mips
 -Erik

Members: 
	libc/sysdeps/linux/common/ftruncate64.c:1.10->1.11 
	libc/sysdeps/linux/common/truncate64.c:1.8->1.9 

---------------------
PatchSet 3423 
Date: 2004/07/26 12:36:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Support linux 2.6.x wide device major/minor numbers

Members: 
	include/sys/sysmacros.h:1.2->1.3 

---------------------
PatchSet 3424 
Date: 2004/07/27 22:48:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove all reference to __GLIBC_HAVE_LONG_LONG

Members: 
	include/stdlib.h:1.42->1.43 
	include/sys/sysmacros.h:1.3->1.4 

---------------------
PatchSet 3425 
Date: 2004/07/27 23:14:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Be certain to include sys/sysmacros.h when major() and minor()
are being used

Members: 
	libc/sysdeps/linux/common/mknod.c:1.4->1.5 
	libc/sysdeps/linux/common/ustat.c:1.1->1.2 

---------------------
PatchSet 3426 
Date: 2004/07/28 14:52:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Do not grovel about in the ELF header for the page size when
running on uClinux, which at runtime uses the FLAT file format.

Members: 
	libc/misc/internals/__uClibc_main.c:1.33->1.34 

---------------------
PatchSet 3427 
Date: 2004/07/30 00:21:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix screwed up indenting

Members: 
	ldso/libdl/libdl.c:1.44->1.45 

---------------------
PatchSet 3428 
Date: 2004/07/30 03:31:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Whitespace cleanup

Members: 
	ldso/ldso/arm/resolve.S:1.4->1.5 
	ldso/ldso/cris/resolve.S:1.2->1.3 
	ldso/ldso/frv/resolve.S:1.1->1.2 
	ldso/ldso/i386/resolve.S:1.5->1.6 
	ldso/ldso/mips/resolve.S:1.4->1.5 
	ldso/ldso/powerpc/resolve.S:1.1->1.2 
	ldso/ldso/sh64/resolve.S:1.1->1.2 

---------------------
PatchSet 3429 
Date: 2004/07/30 03:32:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Teach libdl to use normal libc symbols whenever possible, i.e. malloc
rather than _dl_malloc, fprintf rather than _dl_printf, etc.
 -Erik

Members: 
	ldso/Makefile:1.28->1.29 
	ldso/include/.cvsignore:1.1->1.2 
	ldso/include/ldso.h:1.12->1.13 
	ldso/ldso/.cvsignore:1.8->1.9 
	ldso/ldso/Makefile:1.57->1.58 
	ldso/ldso/dl-elf.c:1.73->1.74 
	ldso/ldso/ldso.c:1.100->1.101 
	ldso/libdl/Makefile:1.36->1.37 
	ldso/libdl/libdl.c:1.45->1.46 

---------------------
PatchSet 3430 
Date: 2004/07/30 19:23:54
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Some mips updates.  Add a couple of missing sys/*.h files and update a few others.

Members: 
	libc/sysdeps/linux/mips/sgidefs.h:1.1->1.2 
	libc/sysdeps/linux/mips/sys/asm.h:INITIAL->1.1 
	libc/sysdeps/linux/mips/sys/fpregdef.h:INITIAL->1.1 
	libc/sysdeps/linux/mips/sys/regdef.h:1.1->1.2 
	libc/sysdeps/linux/mips/sys/ucontext.h:1.1->1.2 

---------------------
PatchSet 3431 
Date: 2004/07/30 20:05:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
s/___brk_addr/__curbrk/g
Some utilities, such as valgrind, have a legitimate reason to know the address
of the current brk.  Since we know such utils will peek under our skirt, we
might as well give them what they expect and not use a gratuitously different
symbol name.
 -Erik

Members: 
	ldso/ldso/ldso.c:1.101->1.102 
	libc/sysdeps/linux/alpha/brk.S:1.3->1.4 
	libc/sysdeps/linux/arm/brk.c:1.1->1.2 
	libc/sysdeps/linux/common/sbrk.c:1.2->1.3 
	libc/sysdeps/linux/cris/__init_brk.c:1.2->1.3 
	libc/sysdeps/linux/cris/brk.c:1.2->1.3 
	libc/sysdeps/linux/cris/sbrk.c:1.2->1.3 
	libc/sysdeps/linux/frv/__init_brk.c:1.1->1.2 
	libc/sysdeps/linux/frv/brk.c:1.1->1.2 
	libc/sysdeps/linux/frv/sbrk.c:1.1->1.2 
	libc/sysdeps/linux/h8300/brk.c:1.1->1.2 
	libc/sysdeps/linux/i386/brk.c:1.5->1.6 
	libc/sysdeps/linux/m68k/brk.c:1.1->1.2 
	libc/sysdeps/linux/mips/brk.c:1.2->1.3 
	libc/sysdeps/linux/nios/brk.c:1.1->1.2 
	libc/sysdeps/linux/nios2/brk.c:1.1->1.2 
	libc/sysdeps/linux/powerpc/brk.S:1.3->1.4 
	libc/sysdeps/linux/sh/__init_brk.c:1.2->1.3 
	libc/sysdeps/linux/sh/brk.c:1.2->1.3 
	libc/sysdeps/linux/sh/sbrk.c:1.2->1.3 
	libc/sysdeps/linux/sh64/__init_brk.c:1.1->1.2 
	libc/sysdeps/linux/sh64/brk.c:1.1->1.2 
	libc/sysdeps/linux/sh64/sbrk.c:1.1->1.2 
	libc/sysdeps/linux/sparc/brk.c:1.1->1.2 

---------------------
PatchSet 3432 
Date: 2004/07/30 20:51:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleanup some dead wood in the header files

Members: 
	include/errno.h:1.8->1.9 
	include/features.h:1.58->1.59 
	include/inttypes.h:1.4->1.5 
	include/stdio.h:1.30->1.31 
	include/stdlib.h:1.43->1.44 
	include/string.h:1.25->1.26 
	include/unistd.h:1.25->1.26 
	include/wchar.h:1.7->1.8 
	include/sys/sysmacros.h:1.4->1.5 
	libc/sysdeps/linux/arm/bits/string.h:1.1->1.2(DEAD) 
	libc/sysdeps/linux/common/bits/string.h:1.1->1.2(DEAD) 
	libc/sysdeps/linux/common/bits/string2.h:1.1->1.2(DEAD) 
	libc/sysdeps/linux/i386/bits/string.h:1.2->1.3(DEAD) 
	libc/sysdeps/linux/sparc/bits/string.h:1.2->1.3(DEAD) 
	libpthread/linuxthreads/testrtsig.h:1.1->1.2(DEAD) 

---------------------
PatchSet 3433 
Date: 2004/07/30 20:55:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
cut-n-paste strikes again

Members: 
	include/stdio.h:1.31->1.32 

---------------------
PatchSet 3434 
Date: 2004/08/03 09:44:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
As Joakim Tjernlund rightly notes, I should have used PAGE_SIZE
not the hard coded value of 4096.

Members: 
	libc/misc/internals/__uClibc_main.c:1.34->1.35 

---------------------
PatchSet 3435 
Date: 2004/08/04 16:15:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add missing header file needed to define PAGE_SIZE

Members: 
	libc/misc/internals/__uClibc_main.c:1.35->1.36 

---------------------
PatchSet 3436 
Date: 2004/08/04 17:34:07
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
doh

Members: 
	libc/misc/internals/__uClibc_main.c:1.36->1.37 

---------------------
PatchSet 3437 
Date: 2004/08/06 16:11:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

This patch makes -fpic work for PCC and optimzes the relcation by moving the cache
flushing stuff to JMP relocs only. Actually PPCs ldso can only handle small
GOT tables(<=8192 entries)anyhow, so it makes little sense to compile PPC with -fPIC.
libuClibc shrunk from 340724 to 330780 bytes with -fpic.

Members: 
	Rules.mak:1.165->1.166 
	ldso/ldso/powerpc/dl-startup.h:1.11->1.12 

---------------------
PatchSet 3438 
Date: 2004/08/06 16:12:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

PPC32, SPARC32/64 and S390 includes the PLT in its RELA size. This caused ldso
to always do unlazy relocation of the JMPRELs. This patch fixes it.

Members: 
	ldso/ldso/dl-elf.c:1.74->1.75 
	ldso/ldso/powerpc/dl-sysdep.h:1.11->1.12 
	ldso/ldso/sparc/dl-sysdep.h:1.8->1.9 

---------------------
PatchSet 3439 
Date: 2004/08/09 08:11:53
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
This should fix the dlsym problem Peter van Hoyweghen reported.
However RTLD_LOCAL still doesn't work. Everything is RTLD_GLOBAL.

Members: 
	ldso/ldso/dl-hash.c:1.22->1.23 
	ldso/ldso/ldso.c:1.102->1.103 
	ldso/libdl/libdl.c:1.46->1.47 

---------------------
PatchSet 3440 
Date: 2004/08/09 08:28:00
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
From: uclibc-bounces@uclibc.org on behalf of Peter Kjellerstedt
[peter.kjellerstedt@axis.com]
Peter Kellerstedt writes:

May I suggest the attached patch instead?
It handles PICFLAG the same way as it was already done
for other architectures (e.g., CRIS and frv).

Members: 
	Rules.mak:1.166->1.167 

---------------------
PatchSet 3441 
Date: 2004/08/09 08:35:31
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Oops.

Members: 
	Rules.mak:1.167->1.168 

---------------------
PatchSet 3442 
Date: 2004/08/10 08:58:12
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Mike Frysinger writes:
while playing around with Gentoo on uClibc, i hit some troubles with ldconfig

first, i found that it kept trying to read 'etc/ld.so.conf' ... it didnt want
to read '/etc/ld.so.conf' ... looking at the source, the default conf file is
defined as UCLIBC_RUNTIME_PREFIX "etc/ld.so.conf" ... all fine and dandy, but
the utils/Makefile builds the .c files with this:
-DUCLIBC_RUNTIME_PREFIX=$(R_PREFIX)
i couldnt find where R_PREFIX was defined/used anywhere else, but i did find
that every other time UCLIBC_RUNTIME_PREFIX was defined, it was set like:
-DUCLIBC_RUNTIME_PREFIX=\"$(RUNTIME_PREFIX)\"
changing the utils/Makefile to be like this fixed things for me

next up, i found that i wasnt getting an /etc/ld.so.cache file when i ran
`ldconfig` ... looking at the code, USE_CACHE needs to be defined ...
Rules.mak has a line that reads LIBRARY_CACHE:=#-DUSE_CACHE by default, but
then LIBRARY_CACHE is never used anywhere :)
so the fix here is to add $(LIBRARY_CACHE) to the lines in utils/Makefile
where the .c files are compiled

perhaps a suggestion then ?  in my mind it makes sense to utilize a cache file
when running uclibc native but perhaps not while cross compiling ... so
perhaps add LIBRARY_CACHE:=-DUSE_CACHE to the section in Rules.mak where LDSO
is set to the uclibc linker (i.e. native) but set LIBRARY_CACHE:=#-DUSE_CACHE
where LDSO is the $(SYSTEM_LDSO) (i.e. cross compiling)

Applied with minor fixes.

Members: 
	utils/Makefile:1.12->1.13 

---------------------
PatchSet 3443 
Date: 2004/08/10 09:23:57
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Mike Frysinger writes:
in libdl, the XXFLAGS is set incorrectly if DODEBUG=y ... it has 'I.' added to
it instead of '-I.' ... this of course pisses of gcc :)

find attached a patch that cleans up the XXFLAGS setting so as to minimize
this kind of thing ... when asked, mjn3 said it was a kosher idea ;)

and later writes:
hmm it seems ldso also utilizes USE_CACHE in the code (but LIBRARY_CACHE never
propogates down to the Makefiles)
so the fix is to add $(LIBRARY_CACHE) while setting $(XXFLAGS)


Applied with minor fixes and also fixed up ldso/Makefile to match
libdl/Makefile.

Members: 
	ldso/ldso/Makefile:1.58->1.59 
	ldso/libdl/Makefile:1.37->1.38 

---------------------
PatchSet 3444 
Date: 2004/08/10 09:50:07
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Mike Frysinger writes:
i was sticking some libraries in non-standard (i.e. not-hardcoded) paths and
then updating ld.so.conf accordingly ... oddly though, i couldnt get binaries
that linked against those libraries to run ... `ldconfig -v` showed the
required libraries being detected/cached, so something seemed wrong ...

turns out the libraries were being tagged as LIB_ELF_LIBC0 in the cache and
the loader currently only accepts LIB_ELF_LIBC{5,6} ... since readsoname.c in
ldconfig defines needed_tab with the mapping 'libc.so.0' -> LIB_ELF_LIBC0 it
seems like the loader should accept this type too

find attached a small patch which adds LIB_ELF_LIBC0 along side
LIB_ELF_LIBC{5,6} as an accepted lib type in the loader when dealing with the
ld.so.cache file

Members: 
	ldso/ldso/dl-elf.c:1.75->1.76 

---------------------
PatchSet 3445 
Date: 2004/08/10 10:04:35
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Revmoved _dl_brkp and _dl_envp. They are not needed anymore.

Members: 
	ldso/ldso/ldso.c:1.103->1.104 

---------------------
PatchSet 3446 
Date: 2004/08/10 14:44:34
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
_dl_get_last_path_component:
  handle "" strings and optimze it.

_dl_simple_ltoa,_dl_simple_ltoahex:
 Optimize for archs which can do pre increment/decrement and load/store
 in one instruction.

Members: 
	ldso/include/dl-string.h:1.6->1.7 

---------------------
PatchSet 3447 
Date: 2004/08/10 15:06:30
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
_dl_strlen,_dl_strcat,_dl_strcpy,_dl_strcmp,_dl_strncmp,
_dl_strchr,_dl_strrchr,_dl_strstr,_dl_memcmp:
Optimize for archs which can do pre increment/decrement and load/store
in one instruction.

Members: 
	ldso/include/dl-string.h:1.7->1.8 

---------------------
PatchSet 3448 
Date: 2004/08/10 15:11:51
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
At solar's request...

Members: 
	Makefile:1.246->1.247 

---------------------
PatchSet 3449 
Date: 2004/08/10 15:12:48
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
On Monday 02 August 2004 08:44 am, Mike Frysinger wrote:
> the gethostbyname_r() call itself is not segfaulting, but the memory
> returned in the h_aliases array seems to be wrong ...

was playing around with the source today and eventually the obvious answer hit
me ... while read_etc_hosts_r() generatings an array of strings fo h_aliases
and populates it, the dns path does not :)

find attached a patch that'll actually generate the h_aliases list in the
normal dns code path ... i used the etc_hosts_r() code as a template for some
of it ...

note that this is just a simple fix ... it fills the alias list with just the
hostname gethostbyname_r was passed ... the proper fix i think would be to
parse the dns packet down in __dns_lookup() and pass the info back via the
resolv_answer struct ...
but this fix is better than the current state of things ... that is, h_aliases
currently is never initailized in the dns code path :)

Members: 
	libc/inet/resolv.c:1.53->1.54 

---------------------
PatchSet 3450 
Date: 2004/08/10 15:18:18
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Forgot _dl_memcpy in previous checkin.

Members: 
	ldso/include/dl-string.h:1.8->1.9 

---------------------
PatchSet 3451 
Date: 2004/08/10 15:25:35
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Optimze _dl_memset() for PowerPC.
Other arches may also benefit from this iff it can do
unaligned stores.

Members: 
	ldso/include/dl-string.h:1.9->1.10 

---------------------
PatchSet 3452 
Date: 2004/08/10 16:43:12
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Apparently the sigaction code added was broken, as it generated illegal
instruction errors.  Disable it for now.

Members: 
	libc/sysdeps/linux/mips/Makefile:1.41->1.42 

---------------------
PatchSet 3453 
Date: 2004/08/10 18:47:06
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix mips bug related to 2.6 headers by following glibc's lead.  Based on
the comment, newer kernels appended "64" to __NR_pread and __NR_pwrite.

Members: 
	libc/sysdeps/linux/mips/pread_write.c:1.3->1.4 

---------------------
PatchSet 3454 
Date: 2004/08/13 04:35:03
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Always include the sqrtf wrapper in libm so that we don't need to worry
about conditionally configuring something else for libstdc++.

Members: 
	libm/Makefile:1.40->1.41 

---------------------
PatchSet 3455 
Date: 2004/08/13 13:56:24
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Fix usage_count in ldso/libdl.
Don't' use atexit in libdl.
Make destrutor in libdl actually run and to dlclose all
dlopened libs.
Remove dlclosed libs from the _dl_symbol_tables list.

Members: 
	ldso/ldso/ldso.c:1.104->1.105 
	ldso/libdl/Makefile:1.38->1.39 
	ldso/libdl/libdl.c:1.47->1.48 

---------------------
PatchSet 3456 
Date: 2004/08/13 23:39:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup PAGE_SIZE problems
 -Erik

Members: 
	ldso/include/ldso.h:1.13->1.14 
	ldso/ldso/frv/dl-syscalls.h:1.3->1.4 
	libc/misc/internals/__uClibc_main.c:1.37->1.38 
	libc/stdlib/malloc/malloc.h:1.19->1.20 
	libc/sysdeps/linux/alpha/bits/uClibc_page.h:INITIAL->1.1 
	libc/sysdeps/linux/alpha/sys/user.h:1.1->1.2 
	libc/sysdeps/linux/common/bits/uClibc_page.h:INITIAL->1.1 
	libc/sysdeps/linux/i386/sys/user.h:1.1->1.2 
	libc/sysdeps/linux/mips/bits/uClibc_page.h:INITIAL->1.1 
	libc/sysdeps/linux/mips/sys/user.h:1.2->1.3 
	libpthread/linuxthreads/internals.h:1.8->1.9 

---------------------
PatchSet 3457 
Date: 2004/08/14 07:23:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
req_search returned garbage.  This teaches it to behave itself and
return the length and the actual dns packet as received, rather than
making stuff up.
 -Erik

Members: 
	libc/inet/resolv.c:1.54->1.55 

---------------------
PatchSet 3458 
Date: 2004/08/15 01:55:02
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Logic was reversed.

Members: 
	libc/sysdeps/linux/mips/bits/machine-gmon.h:1.2->1.3 

---------------------
PatchSet 3459 
Date: 2004/08/15 03:59:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Do not fail all lookups when /etc/resolv.conf is missing, as i.e.
checking on 127.0.0.1 is still valid w/o resolv.conf
 -Erik

Members: 
	libc/inet/resolv.c:1.55->1.56 

---------------------
PatchSet 3460 
Date: 2004/08/15 08:01:45
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Update to add missing c++ namespace support.

Members: 
	include/stdio.h:1.32->1.33 

---------------------
PatchSet 3461 
Date: 2004/08/16 19:17:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
The pagesize variable used when starting up is _not_ the same
as the _dl_pagesize global, so do not alias the global.
 -Erik

Members: 
	ldso/ldso/dl-startup.c:1.13->1.14 

---------------------
PatchSet 3462 
Date: 2004/08/16 19:21:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
The variable used to store pagesize is not the same as the
_dl_pagesize variable in ldso, so avoid aliasing.
 -Erik

Members: 
	libc/misc/internals/__uClibc_main.c:1.38->1.39 
	libc/stdlib/malloc/malloc.h:1.20->1.21 
	libc/sysdeps/linux/common/getpagesize.c:1.4->1.5 
	libpthread/linuxthreads/internals.h:1.9->1.10 

---------------------
PatchSet 3463 
Date: 2004/08/16 19:22:52
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Be a bit more prominant about the fact that setuid handling
is not quite there...

Members: 
	libc/misc/internals/__uClibc_main.c:1.39->1.40 

---------------------
PatchSet 3464 
Date: 2004/08/16 20:35:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Setup __pagesize from inside __uClibc_init(), or else when registering
dtors via atexit(), atexit may need to call realloc with __pagesize
still set to 0.  ugh.
 -Erik

Members: 
	libc/misc/internals/__uClibc_main.c:1.40->1.41 

---------------------
PatchSet 3465 
Date: 2004/08/16 22:16:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
I will always test before I commit.
I will always test before I commit.
I will always test before I commit.
 -Erik

Members: 
	libc/misc/internals/__uClibc_main.c:1.41->1.42 

---------------------
PatchSet 3466 
Date: 2004/08/16 22:55:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Audit pthread.h and exclude prototypes for pthread functions
that are not presently implemented in uClibc's libpthread.
 -Erik

Members: 
	include/pthread.h:1.4->1.5 

---------------------
PatchSet 3467 
Date: 2004/08/17 13:09:01
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Fix make clean rule.

Members: 
	ldso/Makefile:1.29->1.30 

---------------------
PatchSet 3468 
Date: 2004/08/17 13:37:48
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Let ldso decide if it should relocate itselft a second time. This
is needed if ldso should use libcs malloc whenever possible.

Fix RTLD_LAZY propagation to RTLD_NOW relocation when requested by
libdl.

Members: 
	ldso/include/dl-hash.h:1.4->1.5 
	ldso/ldso/dl-elf.c:1.76->1.77 
	ldso/ldso/ldso.c:1.105->1.106 
	ldso/ldso/arm/elfinterp.c:1.22->1.23 
	ldso/ldso/cris/elfinterp.c:1.9->1.10 
	ldso/ldso/frv/elfinterp.c:1.2->1.3 
	ldso/ldso/i386/elfinterp.c:1.32->1.33 
	ldso/ldso/m68k/elfinterp.c:1.17->1.18 
	ldso/ldso/mips/elfinterp.c:1.16->1.17 
	ldso/ldso/powerpc/elfinterp.c:1.40->1.41 
	ldso/ldso/sh/elfinterp.c:1.10->1.11 
	ldso/ldso/sh64/elfinterp.c:1.4->1.5 
	ldso/ldso/sparc/elfinterp.c:1.17->1.18 
	ldso/libdl/Makefile:1.39->1.40 
	ldso/libdl/libdl.c:1.48->1.49 

---------------------
PatchSet 3469 
Date: 2004/08/17 13:55:49
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
David McCulloug writes:
"There's a bug in the SH asm,  it calls into 'C' code without preserving
all the important scratch registers.   I have been meaning to double
check the changes as I think more registers need to be saved,  then I
was going to send it back to uClibc.  From the sound of it this isn't
your problem,  but you never know.
Attached is the patch as it stands for the loader on SH."

Glibc appears to do the same.

Members: 
	ldso/ldso/sh/resolve.S:1.4->1.5 

---------------------
PatchSet 3470 
Date: 2004/08/17 20:00:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Carl SHAW writes:

I finally tracked down the problem with SH4 shared library loading -

in file ldso/ldso/sh/dl-startup.h, the line

#define DL_BOOT(X)   static void __attribute_used__ _dl_boot2 (X)

should be

#define DL_BOOT(X)   static void* __attribute_used__ _dl_boot2 (X)

otherwise the application code will never be called and _dl_boot will
just return causing a segmentation fault.

Carl

Members: 
	ldso/ldso/sh/dl-startup.h:1.7->1.8 

---------------------
PatchSet 3471 
Date: 2004/08/18 09:26:17
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Clean up the _dl_boot code and make it similar to arm and sh.

Members: 
	ldso/ldso/powerpc/dl-startup.h:1.12->1.13 

---------------------
PatchSet 3472 
Date: 2004/08/19 08:03:58
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
This is now done in ldso.c

Members: 
	ldso/ldso/dl-startup.c:1.14->1.15 

---------------------
PatchSet 3473 
Date: 2004/08/19 08:08:27
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Oops, forgot to remove unused variable.

Members: 
	ldso/ldso/dl-startup.c:1.15->1.16 

---------------------
PatchSet 3474 
Date: 2004/08/19 08:53:29
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Move the app specific stuff from dl-startup.c to ldso.c.

Members: 
	ldso/include/ldso.h:1.14->1.15 
	ldso/ldso/dl-startup.c:1.16->1.17 
	ldso/ldso/ldso.c:1.106->1.107 

---------------------
PatchSet 3475 
Date: 2004/08/19 09:06:15
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Move "debug_addr" ptr from dl-startup.c to ldso.c

Members: 
	ldso/include/ldso.h:1.15->1.16 
	ldso/ldso/dl-startup.c:1.17->1.18 
	ldso/ldso/ldso.c:1.107->1.108 

---------------------
PatchSet 3476 
Date: 2004/08/19 09:34:11
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Remove poor man's malloc. Not needed anymore.

Members: 
	ldso/include/ldso.h:1.16->1.17 
	ldso/ldso/dl-startup.c:1.18->1.19 
	ldso/ldso/ldso.c:1.108->1.109 

---------------------
PatchSet 3477 
Date: 2004/08/19 09:52:27
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Accunt for ELF_MACHINE_PLTREL_OVERLAP when relocating ldso.

Members: 
	ldso/ldso/dl-startup.c:1.19->1.20 

---------------------
PatchSet 3478 
Date: 2004/08/19 16:44:19
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix dependencies.

Members: 
	ldso/libdl/Makefile:1.40->1.41 

---------------------
PatchSet 3479 
Date: 2004/08/19 20:21:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
'pagesize' was local to dl-startup.c.  In ldso.c we need
to use '_dl_pagesize'
 -Erik

Members: 
	ldso/ldso/ldso.c:1.109->1.110 

---------------------
PatchSet 3480 
Date: 2004/08/19 23:04:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Never directly include kernel sources

Members: 
	extra/Configs/Config.e1:1.7->1.8 
	extra/Configs/Config.m68k:1.36->1.37 

---------------------
PatchSet 3481 
Date: 2004/08/20 20:46:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Enable only for architectures where __NR_madvise is defined
 -Erik

Members: 
	libc/sysdeps/linux/common/madvise.c:1.1->1.2 

---------------------
PatchSet 3482 
Date: 2004/08/21 21:19:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Kill off all support for 'gcc -pg' / 'gprof' style profiling.  There is both a
size and performance penalty to profiling applications this way, as well as
Heisenberg effects, where the act of measuring changes what is measured.
There are better tools for doing profiling, such as OProfile, that do not
require gcc to instrument the application code.
 -Erik

Members: 
	Makefile:1.247->1.248 
	debian/config:1.6->1.7 
	docs/Glibc_vs_uClibc_Differences.txt:1.14->1.15 
	extra/Configs/Config.frv.default:1.2->1.3 
	extra/Configs/Config.in:1.48->1.49 
	include/sys/gmon.h:1.2->1.3(DEAD) 
	include/sys/gmon_out.h:1.1->1.2(DEAD) 
	libc/sysdeps/linux/alpha/__longjmp.S:1.1->1.2 
	libc/sysdeps/linux/alpha/brk.S:1.4->1.5 
	libc/sysdeps/linux/alpha/clone.S:1.1->1.2 
	libc/sysdeps/linux/alpha/divrem.h:1.1->1.2 
	libc/sysdeps/linux/alpha/setjmp.S:1.1->1.2 
	libc/sysdeps/linux/alpha/bits/machine-gmon.h:1.1->1.2(DEAD) 
	libc/sysdeps/linux/arm/Makefile:1.53->1.54 
	libc/sysdeps/linux/arm/crt0.S:1.22->1.23 
	libc/sysdeps/linux/arm/bits/machine-gmon.h:1.1->1.2(DEAD) 
	libc/sysdeps/linux/common/Makefile:1.98->1.99 
	libc/sysdeps/linux/common/gmon-start.c:1.1->1.2(DEAD) 
	libc/sysdeps/linux/common/gmon.c:1.2->1.3(DEAD) 
	libc/sysdeps/linux/common/bits/dlfcn.h:1.1->1.2 
	libc/sysdeps/linux/common/bits/machine-gmon.h:1.2->1.3(DEAD) 
	libc/sysdeps/linux/cris/sysdep.h:1.4->1.5 
	libc/sysdeps/linux/cris/bits/machine-gmon.h:1.1->1.2(DEAD) 
	libc/sysdeps/linux/frv/Makefile:1.4->1.5 
	libc/sysdeps/linux/frv/crt0.S:1.2->1.3 
	libc/sysdeps/linux/i386/Makefile:1.66->1.67 
	libc/sysdeps/linux/i386/crt0.S:1.23->1.24 
	libc/sysdeps/linux/i386/mcount.S:1.1->1.2(DEAD) 
	libc/sysdeps/linux/i386/bits/machine-gmon.h:1.2->1.3(DEAD) 
	libc/sysdeps/linux/mips/clone.S:1.2->1.3 
	libc/sysdeps/linux/mips/pipe.S:1.2->1.3 
	libc/sysdeps/linux/mips/bits/dlfcn.h:1.4->1.5 
	libc/sysdeps/linux/mips/bits/machine-gmon.h:1.3->1.4(DEAD) 
	libc/sysdeps/linux/powerpc/Makefile:1.30->1.31 
	libc/sysdeps/linux/powerpc/crt0.S:1.8->1.9 
	libc/sysdeps/linux/powerpc/mcount.S:1.2->1.3(DEAD) 
	libc/sysdeps/linux/powerpc/bits/machine-gmon.h:1.1->1.2(DEAD) 
	libc/sysdeps/linux/sh/Makefile:1.32->1.33 
	libc/sysdeps/linux/sh/crt0.S:1.15->1.16 
	libc/sysdeps/linux/sh/bits/machine-gmon.h:1.3->1.4(DEAD) 

---------------------
PatchSet 3483 
Date: 2004/08/21 21:39:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Attempt to support 'gcc -finstrument-functions', which seems much
more sane than 'gcc -pg' and seems much easier to support.
 -Erik

Members: 
	libc/sysdeps/linux/common/Makefile:1.99->1.100 
	libc/sysdeps/linux/common/noophooks.c:INITIAL->1.1 
	libc/sysdeps/linux/common/pcprofile.c:INITIAL->1.1 

---------------------
PatchSet 3484 
Date: 2004/08/21 21:42:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
The "Delete current profiling code because it is complete crap"
TODO item is now done.

Members: 
	TODO:1.51->1.52 

---------------------
PatchSet 3485 
Date: 2004/08/22 06:04:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Make the stub profiling stuff work

Members: 
	libc/sysdeps/linux/common/Makefile:1.100->1.101 
	libc/sysdeps/linux/common/pcprofile.c:1.1->1.2(DEAD) 

---------------------
PatchSet 3486 
Date: 2004/08/23 20:09:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Note a security item for the next release

Members: 
	TODO:1.52->1.53 

---------------------
PatchSet 3487 
Date: 2004/08/25 14:22:04
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Hopefully fix Laszlo and Jacobs dlopen problem.

Members: 
	ldso/ldso/ldso.c:1.110->1.111 
	ldso/libdl/libdl.c:1.49->1.50 

---------------------
PatchSet 3488 
Date: 2004/08/25 15:18:55
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Patch from Stefan Allius:
 Remove unused function parameter in ldso.
 Remove echo  option '-e' since it is not supported on Solaris.

Members: 
	ldso/include/dl-elf.h:1.13->1.14 
	ldso/ldso/dl-elf.c:1.77->1.78 
	ldso/ldso/ldso.c:1.111->1.112 
	ldso/ldso/arm/elfinterp.c:1.23->1.24 
	ldso/ldso/cris/elfinterp.c:1.10->1.11 
	ldso/ldso/frv/elfinterp.c:1.3->1.4 
	ldso/ldso/i386/elfinterp.c:1.33->1.34 
	ldso/ldso/m68k/elfinterp.c:1.18->1.19 
	ldso/ldso/mips/elfinterp.c:1.17->1.18 
	ldso/ldso/powerpc/elfinterp.c:1.41->1.42 
	ldso/ldso/sh/elfinterp.c:1.11->1.12 
	ldso/ldso/sh64/elfinterp.c:1.5->1.6 
	ldso/ldso/sparc/elfinterp.c:1.18->1.19 

---------------------
PatchSet 3489 
Date: 2004/08/25 17:24:19
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Patch by Carl SHAW <carl.shaw@st.com>...

  Below is a patch to make the pread and pwrite calls work on the SH
  architecture.  I've only tested this on the SH4 with a 2.4.24 kernel - a
  fairly recent kernel is required as the problem is partially fixed in
  the kernel itself.  For more information (in relation to glibc, but the
  problem is the same) see the thread at

  http://sourceforge.net/mailarchive/message.php?msg_id=2375908

  Someone should really test this on the SH2/3...

Members: 
	libc/sysdeps/linux/sh/Makefile:1.33->1.34 
	libc/sysdeps/linux/sh/pread_write.c:INITIAL->1.1 

---------------------
PatchSet 3490 
Date: 2004/08/25 23:10:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Joakim Tjernlund writes:

Hi Manuel & Erik

I think I know why MIPS is broken. _dl_perform_mips_global_got_relocations() is
broken. It will due to my latest changes reloctate ldso. This
function needs to die and its job should be done inside _dl_parse_relocation_information().
It is mostly a copy and paste job,

Also PERFORM_BOOTSTRAP_GOT and PERFORM_BOOTSTRAP_RELOCATION should be fixed, they
use symbols which aren't passed as arguments.

 Jocke

Members: 
	ldso/ldso/mips/elfinterp.c:1.18->1.19 

---------------------
PatchSet 3491 
Date: 2004/08/25 23:42:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Mike Frysinger writes:

i sent this earlier but perhaps people missed it the first time around :)
http://www.uclibc.org/lists/uclibc/2004-August/009544.html

basically if you try to #include <sys/ucontext.h> on arm it'll fail because
ucontext.h utilizes typedefs found in bits/sigcontext.h ... i386 already has
this fix in uClibc

find attached a trivial patch to fix this
-mike

Members: 
	libc/sysdeps/linux/arm/sys/ucontext.h:1.2->1.3 

---------------------
PatchSet 3492 
Date: 2004/08/25 23:46:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Mike Frysinger writes:

this was sent earlier in a different form:
http://www.uclibc.org/lists/uclibc/2004-January/008136.html
find attached a smaller version ... perhaps adding a fprintf to stderr before
calling abort would be nice like in the glibc patch, but whatever

glibc has since adopted a similar fix for their malloc (third hunk, line 1970)
http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/malloc/malloc.c.diff?r1=1.121&r2=1.122&cvsroot=glibc&f=h
-mike

Members: 
	libc/stdlib/malloc-standard/malloc.h:1.3->1.4 

---------------------
PatchSet 3493 
Date: 2004/08/26 09:40:08
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Stefan Allius writes:
"I fixed the _dl_parse_copy_information in the same way than for the
powerpc and it works fine for me.
You may luck at the patch for the powerpc/elfinterp.c, where I change
the paramter of a dl_dprintf statement. Now we use the same
parameters than for the relocation copy."

Arch mantainers, please do the same.
When all arches has been fixed, we can remove of _dl_parse_copy_information,
it is just a waste of CPU cycles.

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.42->1.43 
	ldso/ldso/sh/elfinterp.c:1.12->1.13 

---------------------
PatchSet 3494 
Date: 2004/08/26 11:30:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Relocations of the application's global GOT entries were not being run, and
only the global GOT entry relocations for the loaded shared libs were being
handled.  This made applications segfault when using un-fixedup symbols.  After
many hours debugging to track down the problem, this patch makes the mips port
happy again.
 -Erik

Members: 
	ldso/ldso/ldso.c:1.112->1.113 
	ldso/ldso/mips/dl-sysdep.h:1.10->1.11 
	ldso/ldso/mips/elfinterp.c:1.19->1.20 

---------------------
PatchSet 3495 
Date: 2004/08/26 14:00:04
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Added test for RTLD_GLOBAL flag in _dl_find_hash().
Fixed a bug in libdl.c where the RTLD_GLOBAL was assigned
wronly.

Members: 
	ldso/ldso/dl-hash.c:1.23->1.24 
	ldso/libdl/libdl.c:1.50->1.51 

---------------------
PatchSet 3496 
Date: 2004/08/26 14:17:08
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Let ldso find libc's malloc function and set _dl_malloc_function.
This removes some crap in libdl.c(and future libs which needs
to access ldso functions).
What do you think?

Members: 
	ldso/ldso/ldso.c:1.113->1.114 
	ldso/libdl/libdl.c:1.51->1.52 

---------------------
PatchSet 3497 
Date: 2004/08/26 17:03:07
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fixes from gentoo.

Members: 
	Rules.mak:1.168->1.169 
	extra/Configs/Config.in:1.49->1.50 
	extra/scripts/fix_includes.sh:1.11->1.12 
	include/elf.h:1.14->1.15 
	ldso/ldso/Makefile:1.59->1.60 
	test/Makefile:1.28->1.29 
	test/Rules.mak:1.25->1.26 

---------------------
PatchSet 3498 
Date: 2004/08/26 18:36:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Avoid multiple passes to perform mips GOT relocations, and do
the whole lot in a single pass.
 -Erik

Members: 
	ldso/ldso/ldso.c:1.114->1.115 
	ldso/ldso/mips/elfinterp.c:1.20->1.21 

---------------------
PatchSet 3499 
Date: 2004/08/26 18:38:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup a couple of warnings

Members: 
	ldso/ldso/ldso.c:1.115->1.116 

---------------------
PatchSet 3500 
Date: 2004/08/26 20:43:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Only print debug stuff when asked

Members: 
	ldso/ldso/mips/elfinterp.c:1.21->1.22 

---------------------
PatchSet 3501 
Date: 2004/08/26 22:07:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update TODO list a bit

Members: 
	TODO:1.53->1.54 

---------------------
PatchSet 3502 
Date: 2004/08/26 22:08:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Mention FunctionCheck

Members: 
	docs/Glibc_vs_uClibc_Differences.txt:1.15->1.16 

---------------------
PatchSet 3503 
Date: 2004/08/26 23:36:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Partial patch from Alexandre Oliva:

- adjust licensing terms of sources for crt*.o

- change the stat ABI to speed it up, matching changes in the kernel

- assorted bug-fixes, improvements and updates in the FR-V port

etc.

Members: 
	libc/sysdeps/linux/frv/Makefile:1.5->1.6 
	libc/sysdeps/linux/frv/crt0.S:1.3->1.4 
	libc/sysdeps/linux/frv/crti.S:1.1->1.2 
	libc/sysdeps/linux/frv/crtn.S:1.1->1.2 
	libc/sysdeps/linux/frv/crtreloc.c:1.2->1.3 
	libc/sysdeps/linux/frv/fstat.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/fstat64.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/lstat.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/lstat64.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/stat.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/stat64.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/xstatconv.c:INITIAL->1.1 
	libc/sysdeps/linux/frv/bits/elf-fdpic.h:1.1->1.2 
	libc/sysdeps/linux/frv/bits/kernel_stat.h:1.1->1.2 
	libc/sysdeps/linux/frv/bits/stat.h:INITIAL->1.1 
	libc/sysdeps/linux/frv/bits/syscalls.h:1.2->1.3 
	libc/sysdeps/linux/frv/bits/uClibc_page.h:INITIAL->1.1 
	libpthread/linuxthreads/sysdeps/frv/pt-machine.h:1.1->1.2 

---------------------
PatchSet 3504 
Date: 2004/08/26 23:37:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Alexandre Oliva to update the frv default config

Members: 
	extra/Configs/Config.frv.default:1.3->1.4 

---------------------
PatchSet 3505 
Date: 2004/08/26 23:39:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Partial patch from Alexandre Oliva to update the frv port

Members: 
	ldso/ldso/frv/dl-inlines.h:INITIAL->1.1 
	ldso/ldso/frv/dl-sysdep.h:1.3->1.4 
	ldso/ldso/frv/elfinterp.c:1.4->1.5 

---------------------
PatchSet 3506 
Date: 2004/08/27 08:46:19
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
As Mike Frysinger notes, this code is still needed. I
misread this code and removed it, sorry.

I printed the values of _dl_brkp and _dl_envp in ldso and
got this when executing:
ls:
   __curbrk: 0x300c16e0
   __environ: 0x1008372c
ldd:
  __curbrk: 0x300776e0
  __environ: 0x3007759c

why is__environ in the app when executing ls but not ldd?

Members: 
	ldso/ldso/ldso.c:1.116->1.117 

---------------------
PatchSet 3507 
Date: 2004/08/27 09:15:11
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Forgot to commit this file. Patch from Stefan Allius.

Members: 
	ldso/Makefile:1.30->1.31 

---------------------
PatchSet 3508 
Date: 2004/08/27 11:08:35
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
#include "dl-startup.c into ldso.c, making ldso one compilation unit.
Now all functions and vaiables can be made static to reduce relocs.
Basicly, all variables should be merged into one struct variable
and then export that struct. Exported functions should be exported
as functions pointers in the above struct. This will reduce the
number of relocs inside ldso to a handful.

Add -Bsymbolic to linker for ldso. This will resolve all functions
(all JMP_SLOT goes away) and the remaining relocs are transformed into
RELATIVE relocs.

Members: 
	ldso/ldso/Makefile:1.60->1.61 
	ldso/ldso/ldso.c:1.117->1.118 

---------------------
PatchSet 3509 
Date: 2004/08/27 15:14:55
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Preliminary PIE support for powerpc, i386 was used as template.
Requested by Peter Mazinger. Testing wanted.

Members: 
	libc/sysdeps/linux/powerpc/Makefile:1.31->1.32 
	libc/sysdeps/linux/powerpc/crt0.S:1.9->1.10 

---------------------
PatchSet 3510 
Date: 2004/08/28 21:09:16
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
solar asked that this bit be reverted.

Members: 
	extra/Configs/Config.in:1.50->1.51 

---------------------
PatchSet 3511 
Date: 2004/08/30 07:40:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Mention kernel abi selection

Members: 
	TODO:1.54->1.55 

---------------------
PatchSet 3512 
Date: 2004/08/30 11:37:47
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Typo fix from Peter Mazinger.

Members: 
	libc/sysdeps/linux/powerpc/crt0.S:1.10->1.11 

---------------------
PatchSet 3513 
Date: 2004/08/31 08:45:03
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Dont mess with __curbrk in ldso

Members: 
	ldso/ldso/ldso.c:1.118->1.119 

---------------------
PatchSet 3514 
Date: 2004/08/31 08:49:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Restore item I erronenously removed, mention mips string funcs

Members: 
	TODO:1.55->1.56 

---------------------
PatchSet 3515 
Date: 2004/09/02 07:12:10
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Remove unused variables. From Peter Mazinger.

Members: 
	ldso/include/ldso.h:1.17->1.18 
	ldso/libdl/libdl.c:1.52->1.53 

---------------------
PatchSet 3516 
Date: 2004/09/02 14:34:53
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix a couple of symbol name issues.

Members: 
	libc/string/wstring.c:1.20->1.21 

---------------------
PatchSet 3517 
Date: 2004/09/02 14:39:36
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Add a couple of mips-specific string funcs.
Port the generic optimized string funcs from glibc, with some tweaks
  to cut their size a little.  The main change is making memmove
  call memcpy for forward copying to trim redundant code.
Make use of both the generic and arch-specific speed-optimized string
  funcs configurable.  Arch-specific take precedence over generic,
  and generic takes precedence over basic size-optimized uClibc funcs.

Members: 
	extra/Configs/Config.in:1.51->1.52 
	libc/string/Makefile:1.61->1.62 
	libc/string/generic/Makefile:INITIAL->1.1 
	libc/string/generic/bp-checks.h:INITIAL->1.1 
	libc/string/generic/memchr.c:INITIAL->1.1 
	libc/string/generic/memcmp.c:INITIAL->1.1 
	libc/string/generic/memcopy.h:INITIAL->1.1 
	libc/string/generic/memcpy.c:INITIAL->1.1 
	libc/string/generic/memmem.c:INITIAL->1.1 
	libc/string/generic/memmove.c:INITIAL->1.1 
	libc/string/generic/mempcpy.c:INITIAL->1.1 
	libc/string/generic/memrchr.c:INITIAL->1.1 
	libc/string/generic/memset.c:INITIAL->1.1 
	libc/string/generic/pagecopy.h:INITIAL->1.1 
	libc/string/generic/rawmemchr.c:INITIAL->1.1 
	libc/string/generic/strcat.c:INITIAL->1.1 
	libc/string/generic/strchr.c:INITIAL->1.1 
	libc/string/generic/strchrnul.c:INITIAL->1.1 
	libc/string/generic/strcmp.c:INITIAL->1.1 
	libc/string/generic/strcpy.c:INITIAL->1.1 
	libc/string/generic/strcspn.c:INITIAL->1.1 
	libc/string/generic/strlen.c:INITIAL->1.1 
	libc/string/generic/strncat.c:INITIAL->1.1 
	libc/string/generic/strncmp.c:INITIAL->1.1 
	libc/string/generic/strncpy.c:INITIAL->1.1 
	libc/string/generic/strnlen.c:INITIAL->1.1 
	libc/string/generic/strrchr.c:INITIAL->1.1 
	libc/string/generic/strsep.c:INITIAL->1.1 
	libc/string/generic/strspn.c:INITIAL->1.1 
	libc/string/generic/strstr.c:INITIAL->1.1 
	libc/string/generic/strtok_r.c:INITIAL->1.1 
	libc/string/mips/Makefile:INITIAL->1.1 
	libc/string/mips/memcpy.S:INITIAL->1.1 
	libc/string/mips/memset.S:INITIAL->1.1 
	libc/string/mips/sysdep.h:INITIAL->1.1 

---------------------
PatchSet 3518 
Date: 2004/09/03 21:17:09
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
First attempt to fix the INIT/FINI ordering. Fingers crossed :)

Members: 
	ldso/include/dl-hash.h:1.5->1.6 
	ldso/include/ldso.h:1.18->1.19 
	ldso/ldso/ldso.c:1.119->1.120 
	ldso/libdl/libdl.c:1.53->1.54 

---------------------
PatchSet 3519 
Date: 2004/09/07 08:30:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add missing imaxdiv and lldiv needed for SuSv3.  Adjust ldiv to
match glibc's quotient truncation behavior.

Members: 
	libc/stdlib/Makefile:1.55->1.56 
	libc/stdlib/ldiv.c:1.2->1.3 
	libc/stdlib/lldiv.c:INITIAL->1.1 

---------------------
PatchSet 3520 
Date: 2004/09/07 08:36:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use a more appealing name, matching the function prototype

Members: 
	ldso/libdl/libdl.c:1.54->1.55 

---------------------
PatchSet 3521 
Date: 2004/09/07 08:40:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
First pass prototype removals from auditing header files:
a.out.h to libgen.h (omitting complex.h for a later separate
effort for the math stuff)

Members: 
	include/dirent.h:1.8->1.9 
	include/dlfcn.h:1.2->1.3 
	include/elf.h:1.15->1.16 
	include/fcntl.h:1.5->1.6 
	include/grp.h:1.4->1.5 

---------------------
PatchSet 3522 
Date: 2004/09/07 08:44:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
The 'Somebody Else's Problem Field' was just activated

Members: 
	include/langinfo.h:1.7->1.8 

---------------------
PatchSet 3523 
Date: 2004/09/07 08:53:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
uClibc gettext support is under development and really shouldn't
be used by the unsuspecting masses quite yet.

Members: 
	extra/Configs/Config.in:1.52->1.53 
	include/libintl.h:1.2->1.3 

---------------------
PatchSet 3524 
Date: 2004/09/07 09:04:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
We do not use dl_iterate_phdr, so no need to define it

Members: 
	include/link.h:1.3->1.4 
	ldso/ldso/frv/dl-sysdep.h:1.4->1.5 
	ldso/ldso/frv/elfinterp.c:1.5->1.6 

---------------------
PatchSet 3525 
Date: 2004/09/07 09:17:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Audit and scrub malloc.h, which was a mess

Members: 
	include/malloc.h:1.4->1.5 

---------------------
PatchSet 3526 
Date: 2004/09/07 10:34:09
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove stale leftovers

Members: 
	libc/inet/resolv.c:1.56->1.57 

---------------------
PatchSet 3527 
Date: 2004/09/07 10:34:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Implement gethostent_r

Members: 
	libc/inet/resolv.c:1.57->1.58 

---------------------
PatchSet 3528 
Date: 2004/09/07 10:37:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Audit and disable unimplemented stuff

Members: 
	include/netdb.h:1.9->1.10 

---------------------
PatchSet 3529 
Date: 2004/09/07 11:13:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Yet another bit of joy for mjn3

Members: 
	include/nl_types.h:1.2->1.3 

---------------------
PatchSet 3530 
Date: 2004/09/07 11:24:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Disable prototypes for unimplemented functions

Members: 
	include/printf.h:1.3->1.4 

---------------------
PatchSet 3531 
Date: 2004/09/08 03:07:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Doh!  As noted by Mike Frysinger I was too agressive at culling stuff

Members: 
	include/netdb.h:1.10->1.11 

---------------------
PatchSet 3532 
Date: 2004/09/08 09:43:24
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Second attempt to fix the INIT/FINI order. This time I think I got it right :)
This needs testing with apps that have complex dependencies.

Members: 
	ldso/include/dl-hash.h:1.6->1.7 
	ldso/include/ldso.h:1.19->1.20 
	ldso/ldso/ldso.c:1.120->1.121 
	ldso/libdl/libdl.c:1.55->1.56 

---------------------
PatchSet 3533 
Date: 2004/09/08 20:13:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup URL

Members: 
	docs/uclibc.org/cvs_write.html:1.5->1.6 

---------------------
PatchSet 3534 
Date: 2004/09/10 21:30:26
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Hide some x86-specific devel asserts.

Members: 
	libc/misc/locale/locale.c:1.19->1.20 

---------------------
PatchSet 3535 
Date: 2004/09/16 13:07:01
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Don't allow undefined global symbols to pass(all archs needs fixing).
If you are using buildroot and soft floating point, you may have to
rebuild the libm.so library, copy it to staging_dir/lib and rebuild
your application.

Cleanups as well.

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.43->1.44 

---------------------
PatchSet 3536 
Date: 2004/09/17 09:11:53
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Don't allow undefined global symbols to pass(all archs needs fixing,
but powerpc).
If you are using buildroot and soft floating point, you may have to
rebuild the libm.so library, copy it to staging_dir/lib and rebuild
your application.

Move handling of R_386_COPY back into _dl_do_reloc(all archs should
do this). Adjust the first argument to _dl_memcpy as it looks wrong
to have symtab[symtab_index].st_value as destination for the mem copy.

Members: 
	ldso/ldso/i386/elfinterp.c:1.34->1.35 

---------------------
PatchSet 3537 
Date: 2004/09/17 12:19:35
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Bugfix: Add r_addend to final address. The r_addend is mostly zero
but can be nonzero for JMP relocs as well.
All Rela arches need to do this, test and send a patch :)

Remove unneeded test in R_PPC_COPY.

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.44->1.45 

---------------------
PatchSet 3538 
Date: 2004/09/17 12:41:36
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Formatting cleanups from Peter Kellerstedt.

Members: 
	ldso/ldso/i386/elfinterp.c:1.35->1.36 

---------------------
PatchSet 3539 
Date: 2004/09/17 15:57:20
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Added back dl_iterate_phdr in ldso(with some small changes).
Someone needs to test if it works to build and run gcj.

Members: 
	include/link.h:1.4->1.5 
	ldso/ldso/dl-elf.c:1.78->1.79 

---------------------
PatchSet 3540 
Date: 2004/09/23 06:56:59
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Make powerpc look more like the other archs.

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.45->1.46 

---------------------
PatchSet 3541 
Date: 2004/09/23 07:00:39
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Don't allow undefined global symbols to pass.
Move COPY relocs back to _dl_do_reloc().

Members: 
	ldso/ldso/arm/elfinterp.c:1.24->1.25 
	ldso/ldso/frv/elfinterp.c:1.6->1.7 
	ldso/ldso/m68k/elfinterp.c:1.19->1.20 
	ldso/ldso/sh/elfinterp.c:1.13->1.14 
	ldso/ldso/sh64/elfinterp.c:1.6->1.7 
	ldso/ldso/sparc/elfinterp.c:1.19->1.20 

---------------------
PatchSet 3542 
Date: 2004/09/23 07:05:32
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Make do_rem() safe. From Peter Kjellerstedt.

Members: 
	ldso/ldso/arm/dl-sysdep.h:1.9->1.10 
	ldso/ldso/cris/dl-sysdep.h:1.6->1.7 
	ldso/ldso/frv/dl-sysdep.h:1.5->1.6 
	ldso/ldso/i386/dl-sysdep.h:1.11->1.12 
	ldso/ldso/mips/dl-sysdep.h:1.11->1.12 
	ldso/ldso/powerpc/dl-sysdep.h:1.12->1.13 
	ldso/ldso/sh64/dl-sysdep.h:1.3->1.4 
	ldso/ldso/sparc/dl-sysdep.h:1.9->1.10 

---------------------
PatchSet 3543 
Date: 2004/09/23 07:08:41
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
White space and printouts cleanup. From Peter Kjellerstedt.

Members: 
	ldso/ldso/i386/elfinterp.c:1.36->1.37 

---------------------
PatchSet 3544 
Date: 2004/09/23 07:15:24
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Don't allow undefined global symbols to pass.
Move COPY relocs back to _dl_do_reloc().
White space cleanup.

Members: 
	ldso/ldso/cris/elfinterp.c:1.11->1.12 

---------------------
PatchSet 3545 
Date: 2004/09/23 07:23:26
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Add bswap_64 macro and uClibc_page.h. From Peter Kjellerstedt.

Members: 
	libc/sysdeps/linux/cris/bits/byteswap.h:1.2->1.3 
	libc/sysdeps/linux/cris/bits/uClibc_page.h:INITIAL->1.1 

---------------------
PatchSet 3546 
Date: 2004/09/27 09:40:55
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Remove /usr/X11R6/lib from default list.
Move /lib and /usr/lib first in ld.so.cache.
Ignore duplicate /lib and /usr/lib in ld.so.conf

Members: 
	utils/ldconfig.c:1.3->1.4 

---------------------
PatchSet 3547 
Date: 2004/09/28 07:29:13
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Make ldd work for ET_DYN executables. From Peter Mazinger.

Members: 
	utils/ldd.c:1.13->1.14 

---------------------
PatchSet 3548 
Date: 2004/09/28 07:56:49
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Remove /usr/X11R6/lib from search path.
Search  in UCLIBC_RUNTIME_PREFIX"lib" before
UCLIBC_RUNTIME_PREFIX"usr/lib".

X11 users should enable USE_CACHE in Rules.mak, add
/usr/X11R6/lib to /etc/ld.so.conf and run ldconfig.

Members: 
	ldso/ldso/dl-elf.c:1.79->1.80 
	utils/ldd.c:1.14->1.15 

---------------------
PatchSet 3549 
Date: 2004/09/28 08:55:06
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Oops, typo.
Thanks to Peter Kjellerstedt.

Members: 
	utils/ldd.c:1.15->1.16 

---------------------
PatchSet 3550 
Date: 2004/09/28 13:13:44
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Atsushi Nemoto writes:
Hi.  I found a mismatch between uClibc and kernel in semctl definition.

In uClibc/libc/misc/sysvipc/sem.c:

static inline _syscall4(int, __semctl, int, semid, int, semnum, int, cmd, union semun *, arg);
...
int semctl(int semid, int semnum, int cmd, ...)
...
    arg = va_arg (ap, union semun);
...
    return __semctl(semid, semnum, cmd, &arg);

But kernel's semctl is:

asmlinkage long sys_semctl (int semid, int semnum, int cmd, union semun arg)

The last argument is an union semun itself, not a pointer to the
union.

Here is a patch.

Members: 
	libc/misc/sysvipc/sem.c:1.5->1.6 

---------------------
PatchSet 3551 
Date: 2004/10/03 07:51:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
This patch from Mike Frysinger, extended from an earlier patch from Peter S.
Mazinger implements the changes suggested by me on the uclibc list.

On Tuesday 28 September 2004 02:24 pm, Erik Andersen wrote:
> What I think should be done is
>
>     *) Someone that cares about USE_CACHE should fix that option
>         up to be sure it works, and give it a proper config entry
>         in extra/Configs/Config.in, and rename it to something
>         more appropriate such as LDSO_CACHE_SUPPORT.
>
>     *) When LDSO_CACHE_SUPPORT=n, UCLIBC_RUNTIME_PREFIX /usr/X11R6/lib
>         should be included in the default library search path in
>         dl-elf.c, ldd, and ldconfig.
>
>     *) When LDSO_CACHE_SUPPORT=y, UCLIBC_RUNTIME_PREFIX /usr/X11R6/lib
>         should be excluded from the default library search path in
>         dl-elf.c, ldd, and ldconfig, and those wishing to include
>         X11 stuff should add that into /etc/ld.so.conf and re-run
>         ldconfig.
>
>     *) At present, LDSO_CONF and LDSO_CACHE use the same names
>         and same structure as glibc.  This precludes
>         LDSO_CACHE_SUPPORT being uses in any sane fashion on a
>         dial glibc and uClibc system.  Just as it was necessary
>         for use to use a different name for 'libuClibc' rather
>         than 'libc', and 'ld-uClibc.so.0' rather than
>         'ld-linux.so.2' it seems that these configuration files
>         really ought to be given different names.
>

Members: 
	Rules.mak:1.169->1.170 
	extra/Configs/Config.in:1.53->1.54 
	ldso/include/dl-elf.h:1.14->1.15 
	ldso/ldso/Makefile:1.61->1.62 
	ldso/ldso/dl-elf.c:1.80->1.81 
	ldso/libdl/Makefile:1.41->1.42 
	ldso/libdl/libdl.c:1.56->1.57 
	utils/Makefile:1.13->1.14 
	utils/dl-cache.h:INITIAL->1.1 
	utils/ldconfig.c:1.4->1.5 
	utils/ldd.c:1.16->1.17 

---------------------
PatchSet 3552 
Date: 2004/10/05 11:51:58
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Peter Kjellerstedt writes:
After the addition of a configuration option for
enabling the support of /etc/ld.so.cache, I thought
it might be a good idea to add one for the support
of the /etc/ld.so.preload file too. So here it is.

While doing this, I also noticed that the dynamic
linker would hang indefinitely if either LD_PRELOAD
or /etc/ld.so.preload contained a library which was
already loaded, so I made a patch for that too.

And of course, I could not resist from doing a little
clean up of comments and indentation, so here is a
patch for that too.

Members: 
	extra/Configs/Config.in:1.54->1.55 
	ldso/ldso/ldso.c:1.121->1.122 

---------------------
PatchSet 3553 
Date: 2004/10/05 12:06:40
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Peter S. Mazinger writes:
Hello!

The attached patches remove unneeded -D<somedefine>, and uses instead
#ifdef __somedefine__

Members: 
	utils/Makefile:1.14->1.15 
	utils/ldd.c:1.17->1.18 

---------------------
PatchSet 3554 
Date: 2004/10/06 06:51:37
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
PIE option correction for Config.in. From Peter Mazinger.

Members: 
	extra/Configs/Config.in:1.55->1.56 

---------------------
PatchSet 3555 
Date: 2004/10/06 06:59:56
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Remove unneeded -D<somedefine>, and use instead #ifdef __somedefine__
From Peter Mazinger.

Members: 
	ldso/ldso/Makefile:1.62->1.63 
	ldso/ldso/dl-elf.c:1.81->1.82 
	ldso/ldso/dl-startup.c:1.20->1.21 
	ldso/ldso/ldso.c:1.122->1.123 

---------------------
PatchSet 3556 
Date: 2004/10/06 07:34:13
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Puts common defines into dl-defs.h (in ldso/include) from dl-elf.h and
dl-cache.h and make use of it. Also disables the lib-path-redundancy check
for the case the cache is not used. Makes use of _PRELOAD_FILE_SUPPORT.
From Peter Mazinger.

Members: 
	extra/Configs/Config.in:1.56->1.57 
	ldso/include/dl-defs.h:INITIAL->1.1 
	ldso/include/dl-elf.h:1.15->1.16 
	ldso/ldso/dl-elf.c:1.82->1.83 
	utils/Makefile:1.15->1.16 
	utils/dl-cache.h:1.1->1.2 
	utils/ldconfig.c:1.5->1.6 
	utils/ldd.c:1.18->1.19 

---------------------
PatchSet 3557 
Date: 2004/10/06 11:34:32
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Peter S. Mazinger writes:
Hello!

Here is the modified unsecvars patch that applies to cvs.

Members: 
	ldso/include/unsecvars.h:INITIAL->1.1 
	ldso/ldso/ldso.c:1.123->1.124 

---------------------
PatchSet 3558 
Date: 2004/10/06 11:45:22
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Peter S. Mazinger writes:
The attached patches make iconv use XXFLAGS and adapts ldd.host to cvs.

Members: 
	utils/Makefile:1.16->1.17 

---------------------
PatchSet 3559 
Date: 2004/10/06 12:51:12
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Add type libc0 to cache_print().
Always strip trailing slaches(/) from paths read from ld.so.conf.

Members: 
	utils/ldconfig.c:1.6->1.7 

---------------------
PatchSet 3560 
Date: 2004/10/06 13:08:47
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Don't complain if ld.so.cache is missing.

Members: 
	ldso/ldso/dl-elf.c:1.83->1.84 

---------------------
PatchSet 3561 
Date: 2004/10/06 13:23:13
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Peter S. Mazinger writes:
Corrects libpthread_db name (I do not know why libpthread_db.so uses
libpthread_db.so.1 instead of libpthread_db.so.$(MAJOR_VERSION) as soname)

Note by Jocke:
I don't known either but until then this is the right thing to do.

Members: 
	libpthread/Makefile:1.28->1.29 

---------------------
PatchSet 3562 
Date: 2004/10/06 19:13:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove empty file

Members: 
	utils/dl-cache.h:1.2->1.3(DEAD) 

---------------------
PatchSet 3563 
Date: 2004/10/07 01:53:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
uClibc does not support getutent_r, getutid_r, and getutline_r,
and SuSv3 does not require r specify them.  So kill the prototypes.

Members: 
	include/utmp.h:1.6->1.7 

---------------------
PatchSet 3564 
Date: 2004/10/07 02:18:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
implement SuSv3 required ualarm()

Members: 
	libc/unistd/ualarm.c:INITIAL->1.1 

---------------------
PatchSet 3565 
Date: 2004/10/07 02:42:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove unimplemented non-SuSv3 function prototypes

Members: 
	include/unistd.h:1.26->1.27 

---------------------
PatchSet 3566 
Date: 2004/10/07 02:45:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove ucontext.h.  We do not implement any of these functions.

Members: 
	include/ucontext.h:1.3->1.4(DEAD) 

---------------------
PatchSet 3567 
Date: 2004/10/07 03:01:54
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Hide a bunch of unimplemented time function prototypes, and
mark them as mjn3's problem.  :-)

Members: 
	include/time.h:1.12->1.13 

---------------------
PatchSet 3568 
Date: 2004/10/07 09:20:09
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add ualarm.c

Members: 
	libc/unistd/Makefile:1.38->1.39 

---------------------
PatchSet 3569 
Date: 2004/10/07 13:48:19
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Remove usage of _dl_parse_copy_information() from generic code.
Remove definition of _dl_parse_copy_information() for powerpc.
Remaining archs can do the same.
Make debugging output of "relocation processing: xxx" a bit more sane.

Members: 
	ldso/include/dl-elf.h:1.16->1.17 
	ldso/include/dl-hash.h:1.7->1.8 
	ldso/ldso/dl-elf.c:1.84->1.85 
	ldso/ldso/ldso.c:1.124->1.125 
	ldso/ldso/powerpc/elfinterp.c:1.46->1.47 

---------------------
PatchSet 3570 
Date: 2004/10/07 14:06:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Put back ucontext.h, but omit function prototypes for getcontext(),
makecontext(), setcontext(), and swapcontext() which are marked as
obsolescent by SuSv3, and are not implemented by uClibc.

Members: 
	include/ucontext.h:1.4->1.5 

---------------------
PatchSet 3571 
Date: 2004/10/07 18:57:40
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Remove _dl_parse_copy_information() for CRIS per Peter Kjellerstedts request.

Members: 
	ldso/ldso/cris/elfinterp.c:1.12->1.13 

---------------------
PatchSet 3572 
Date: 2004/10/08 07:58:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
As noticed by egor duda, current_menu is declared as 'extern struct menu
*current_menu;' in scripts/config/lkc.h line 63, and this conflicts with
static definition in mconf.c.

Members: 
	extra/config/mconf.c:1.9->1.10 

---------------------
PatchSet 3573 
Date: 2004/10/08 10:50:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
link to uClibc++, minor FAQ updates

Members: 
	docs/uclibc.org/FAQ.html:1.28->1.29 
	docs/uclibc.org/header.html:1.3->1.4 

---------------------
PatchSet 3574 
Date: 2004/10/11 08:15:32
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Don't use ld.so.cache for SUID programs.

Members: 
	ldso/ldso/dl-elf.c:1.85->1.86 

---------------------
PatchSet 3575 
Date: 2004/10/11 20:57:11
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Undo previous change. Leave SUID programs alone until I know what to do
with them.

Members: 
	ldso/ldso/dl-elf.c:1.86->1.87 

---------------------
PatchSet 3576 
Date: 2004/10/12 10:48:28
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Mark Rakes writes:
without LDSO_CACHE_SUPPORT turned on, LDSO_CONF and LDSO_CACHE are
not defined anywhere, but still used by ldconfig.c This patch allows
ldconfig to build again, although there may be a cleaner way to fix
this????

Applied with minor modification.

Members: 
	ldso/include/dl-defs.h:1.1->1.2 

---------------------
PatchSet 3577 
Date: 2004/10/14 07:44:43
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Remove unused stuff. From Peter Mazinger.

Members: 
	libc/Makefile:1.35->1.36 

---------------------
PatchSet 3578 
Date: 2004/10/14 09:24:43
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Don't SEGV if library not found.

Members: 
	ldso/libdl/libdl.c:1.57->1.58 

---------------------
PatchSet 3579 
Date: 2004/10/14 09:53:15
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Peter Mazinger writes:
The attached patch is an updated version of an earlier sent patch
It solves the problem that the target utils (ldconfig/ldd/iconv, readelf
is not handled, but can be easily added) are not built w/ the newly
created [S]crt[01].o files.

Members: 
	Rules.mak:1.170->1.171 
	libpthread/Makefile:1.29->1.30 
	utils/Makefile:1.17->1.18 

---------------------
PatchSet 3580 
Date: 2004/10/14 10:08:00
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Peter Mazinger writes:
The attached patch generalizes the use of PIE (all archs are brought in
sync that use/mention it: x86/ppc/frv) and makes use of it building the
target utils.

Tested on x86, ppc should be tested, frv uses -fPIE at one location, but
at another place -fpie, I don't know which is correct (could be both) and
misses the target addition in Config.in.

The test for ppc (requires the earlier sent crt-correction patch to work
correctly):
enable UCLIBC_PIE_SUPPORT, build uClibc and utils, check:
file ./utils/ldd, it should show shared object (instead of executable)

Members: 
	libc/sysdeps/linux/frv/Makefile:1.6->1.7 
	libc/sysdeps/linux/i386/Makefile:1.67->1.68 
	libc/sysdeps/linux/powerpc/Makefile:1.32->1.33 
	utils/Makefile:1.18->1.19 

---------------------
PatchSet 3581 
Date: 2004/10/14 10:10:34
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
hmm, somehow cvs lost this file in the previous commit.

Members: 
	Rules.mak:1.171->1.172 

---------------------
PatchSet 3582 
Date: 2004/10/14 15:23:51
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
unmap ld.so.cache when dlopen() returns.

Members: 
	ldso/libdl/libdl.c:1.58->1.59 

---------------------
PatchSet 3583 
Date: 2004/10/15 08:25:34
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Rip out Peter's unacceptable "fix" and do the sane thing instead; build
the utils using the uClibc-targeted toolchain.

Members: 
	Rules.mak:1.172->1.173 
	libpthread/Makefile:1.30->1.31 
	utils/Makefile:1.19->1.20 

---------------------
PatchSet 3584 
Date: 2004/10/18 06:28:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
mention scratchbox and openembedded

Members: 
	docs/uclibc.org/header.html:1.4->1.5 

---------------------
PatchSet 3585 
Date: 2004/10/18 06:31:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Corrent HOWTO url

Members: 
	docs/uclibc.org/header.html:1.5->1.6 

---------------------
PatchSet 3586 
Date: 2004/10/19 19:24:13
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Atsushi Nemoto writes:

In a recent post to linux-mips ML (and libc-alpha ML), a problem with
inline syscalls was reported.

http://www.linux-mips.org/archives/linux-mips/2004-10/msg00142.html

It seems uClibc should be fixed also for newer gcc.  Here is a patch.

Members: 
	libc/sysdeps/linux/mips/bits/syscalls.h:1.7->1.8 

---------------------
PatchSet 3587 
Date: 2004/10/19 20:10:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Peter S. Mazinger writes:

Hello!

Would the attached patch be acceptable (maybe instead of
__libc_gettimeofday using __gettimeofday)

We have some issues, see

http://bugs.gentoo.org/show_bug.cgi?id=65892

Members: 
	include/sys/time.h:1.6->1.7 
	libc/inet/rpc/auth_unix.c:1.8->1.9 
	libc/inet/rpc/create_xid.c:1.3->1.4 
	libc/misc/time/clock_gettime.c:1.1->1.2 
	libc/misc/time/ftime.c:1.1->1.2 
	libc/misc/time/time.c:1.22->1.23 
	libc/misc/utmp/wtent.c:1.1->1.2 
	libc/sysdeps/linux/common/gettimeofday.c:1.1->1.2 
	libc/sysdeps/linux/common/time.c:1.1->1.2 
	libc/sysdeps/linux/common/utime.c:1.1->1.2 
	libpthread/linuxthreads/pthread.c:1.13->1.14 
	libutil/logout.c:1.2->1.3 
	libutil/logwtmp.c:1.3->1.4 

---------------------
PatchSet 3588 
Date: 2004/10/26 07:49:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
We don't need this README

Members: 
	libpthread/linuxthreads/README.Xfree3.2:1.1->1.2(DEAD) 

---------------------
PatchSet 3589 
Date: 2004/10/26 20:48:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Atsushi Nemoto writes:

>>>>> On Tue, 19 Oct 2004 13:28:34 -0600, Erik Andersen <andersen@codepoet.org> said:
>> BTW, top of uClibc TODO list is "Fix syscall() on mips".  What is a
>> problem?

andersen> It appears that uClibc's syscall() for mips works ok for
andersen> syscalls with a few arguments.  But as I recall, it does not
andersen> work properly with _syscall5, _syscall6, _syscall7, etc.
andersen> Perhaps there is some mistake in its assumptions about the
andersen> mips/linux ABI regarding which syscall arguments are passed
andersen> via register vs which syscall arguments are passed on the
andersen> stack.

Hmm... I found a old fix in uClibc ML archive.

http://www.uclibc.org/lists/uclibc/2002-September/004459.html

But it seems somewhat broken.  How about this fix instead?  I tested
mmap with syscall() in mips.  mips64 is not tested.

Members: 
	libc/sysdeps/linux/mips/syscall.S:1.2->1.3 

---------------------
PatchSet 3590 
Date: 2004/10/26 20:48:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update TODO list

Members: 
	TODO:1.56->1.57 

---------------------
PatchSet 3591 
Date: 2004/10/27 07:26:21
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Arrange to hide uClibc internals

Members: 
	include/features.h:1.59->1.60 

---------------------
PatchSet 3592 
Date: 2004/10/27 09:44:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix up __uClibc_init() for so that we prevent starting SUID
binaries where the standard file descriptors are not opened.
 -Erik

Members: 
	TODO:1.57->1.58 
	libc/misc/internals/__uClibc_main.c:1.42->1.43 

---------------------
PatchSet 3593 
Date: 2004/10/27 22:07:52
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Jocke's patch was almost right.  Just needed move the DT_MIPS_RLD_MAP test
up a bit.  Native and remote debugging of shared libs and threaded apps now
works on mips.

Members: 
	ldso/ldso/ldso.c:1.125->1.126 

---------------------
PatchSet 3594 
Date: 2004/10/30 01:07:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Revise TODO list for the upcoming release

Members: 
	TODO:1.58->1.59 

---------------------
PatchSet 3595 
Date: 2004/10/30 17:32:52
Author: pkj
Branch: HEAD
Tag: (none) 
Log:
Do not assume a fifth argument is used with syscall(). Allocate stack
for saving SRP separately.

Members: 
	libc/sysdeps/linux/cris/syscall.S:1.2->1.3 

---------------------
PatchSet 3596 
Date: 2004/10/30 17:56:00
Author: pkj
Branch: HEAD
Tag: (none) 
Log:
Synchronized with glibc (2.3.2).

Members: 
	include/net/if_arp.h:1.2->1.3 

---------------------
PatchSet 3597 
Date: 2004/10/31 19:22:58
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Revert Peter's __lib_gettimeofday patch.  There's the minor issue of
adding cruft to include/sys/time.h.  But also, there's no sense in
making changes like this until we decide how we're going to approach
the hidden symbol transition.

Members: 
	include/sys/time.h:1.7->1.8 
	libc/inet/rpc/auth_unix.c:1.9->1.10 
	libc/inet/rpc/create_xid.c:1.4->1.5 
	libc/misc/time/clock_gettime.c:1.2->1.3 
	libc/misc/time/ftime.c:1.2->1.3 
	libc/misc/time/time.c:1.23->1.24 
	libc/misc/utmp/wtent.c:1.2->1.3 
	libpthread/linuxthreads/pthread.c:1.14->1.15 
	libutil/logout.c:1.3->1.4 
	libutil/logwtmp.c:1.4->1.5 

---------------------
PatchSet 3598 
Date: 2004/10/31 20:23:02
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Revert Peter's __lib_gettimeofday patch.  There's the minor issue of
adding cruft to include/sys/time.h.  But also, there's no sense in
making changes like this until we decide how we're going to approach
the hidden symbol transition.

Members: 
	libc/sysdeps/linux/common/gettimeofday.c:1.2->1.3 
	libc/sysdeps/linux/common/time.c:1.2->1.3 
	libc/sysdeps/linux/common/utime.c:1.2->1.3 

---------------------
PatchSet 3599 
Date: 2004/11/02 07:14:44
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
- Remove dynamic_size from struct elf_resolve.
- Replace all open coded dynamic handling with a function. Reduces size.
- Fold special MIPS dynamic code into the dynamic_info item.
- Add RELRO support.
- Support linking with "-z now".
- prepare for DT_RELACOUNT/DT_RELCOUNT optimization.
- Add -z now to ld.so linking, this is what ld.so does anyway so
  let the linker know that.

Members: 
	ldso/include/dl-elf.h:1.17->1.18 
	ldso/ldso/mips/dl-startup.h:1.10->1.11 

---------------------
PatchSet 3600 
Date: 2004/11/02 08:14:45
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
- Remove dynamic_size from struct elf_resolve.
- Replace all open coded dynamic handling with a function. Reduces size.
- Fold special MIPS dynamic code into the dynamic_info item.
- Add RELRO support.
- Support linking with "-z now".
- prepare for DT_RELACOUNT/DT_RELCOUNT optimization.
- Add -z now to ld.so linking, this is what ld.so does anyway so
  let the linker know that.

Members: 
	ldso/include/dl-hash.h:1.8->1.9 
	ldso/ldso/Makefile:1.63->1.64 
	ldso/ldso/dl-elf.c:1.87->1.88 
	ldso/ldso/dl-hash.c:1.24->1.25 
	ldso/ldso/dl-startup.c:1.21->1.22 
	ldso/ldso/ldso.c:1.126->1.127 
	ldso/ldso/mips/dl-sysdep.h:1.12->1.13 
	ldso/ldso/mips/elfinterp.c:1.22->1.23 
	ldso/libdl/libdl.c:1.59->1.60 

---------------------
PatchSet 3601 
Date: 2004/11/02 14:15:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
struct ipc_perm, as used by shmctl() when soing shared memory stuff,
was incorrect in uClibc, and was 2 bytes too short.  This caused uClibc
shared memory stuff to not behave correctly since struct ipc_perm was
included as the first member of, i.e. struct msqid_ds, so the content
of that struct were all shifted by two bytes.  ugh.  Apparently, few
people have used shared memory, msgctl(), etc with uClibc thus far,
 -Erik

Members: 
	libc/sysdeps/linux/common/bits/ipc.h:1.3->1.4 

---------------------
PatchSet 3602 
Date: 2004/11/08 02:31:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
A patch included in glibc 2.3.2's libthread_db that helps remote
debugging not become confused,

Members: 
	libpthread/linuxthreads_db/td_ta_new.c:1.3->1.4 

---------------------
PatchSet 3603 
Date: 2004/11/08 02:34:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Some requested additional malloc entry points

Members: 
	include/malloc.h:1.5->1.6 
	libc/stdlib/malloc-standard/free.c:1.1->1.2 
	libc/stdlib/malloc-standard/mallinfo.c:1.1->1.2 

---------------------
PatchSet 3604 
Date: 2004/11/10 08:07:40
Author: solar
Branch: HEAD
Tag: (none) 
Log:
initial commit of uclibc equiv of glibc getent

Members: 
	docs/getent:INITIAL->1.1 

---------------------
PatchSet 3605 
Date: 2004/11/10 14:27:10
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Add RTLD_LOCAL support for dlopened libs. Reported by
Andrew de Quincey, who has been most helpful getting this sorted
out, thanks. Thanks also to Peter Mazinger who did alot of testing.

Removed all traces of dl_parse_copy_information() since it is no longer used.

Members: 
	ldso/include/dl-hash.h:1.9->1.10 
	ldso/ldso/arm/elfinterp.c:1.25->1.26 
	ldso/ldso/cris/elfinterp.c:1.13->1.14 
	ldso/ldso/i386/elfinterp.c:1.37->1.38 
	ldso/ldso/m68k/elfinterp.c:1.20->1.21 
	ldso/ldso/powerpc/elfinterp.c:1.47->1.48 
	ldso/ldso/sh/elfinterp.c:1.14->1.15 
	ldso/ldso/sh64/elfinterp.c:1.7->1.8 
	ldso/ldso/sparc/elfinterp.c:1.20->1.21 

---------------------
PatchSet 3606 
Date: 2004/11/10 15:27:10
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Add RTLD_LOCAL support for dlopened libs. Reported by
Andrew de Quincey, who has been most helpful getting this sorted
out, thanks. Thanks also to Peter Mazinger who did alot of testing.

Removed all traces of dl_parse_copy_information() since it is no longer used.

Members: 
	ldso/ldso/dl-hash.c:1.25->1.26 
	ldso/ldso/ldso.c:1.127->1.128 
	ldso/ldso/mips/elfinterp.c:1.23->1.24 
	ldso/libdl/libdl.c:1.60->1.61 

---------------------
PatchSet 3607 
Date: 2004/11/11 03:13:36
Author: solar
Branch: HEAD
Tag: (none) 
Log:
misc cleanups of __stack_smash_handler() function when ssp support is enabled. syslog() support should now work both inside and outside of chroots. erandom code left in but remains #ifdef out by default. May remove erandom completely in the future for uClibc unless the LFS guys and gals want to keep it.

Members: 
	libc/sysdeps/linux/common/ssp.c:1.3->1.4 
	libc/sysdeps/linux/common/ssp.c:1.2->1.3 

---------------------
PatchSet 3608 
Date: 2004/11/11 13:44:17
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
fix a few typos and clean up the spacing (no tabs)

Members: 
	INSTALL:1.5->1.6 

---------------------
PatchSet 3609 
Date: 2004/11/11 13:50:52
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
move getent to extra/scripts/ out of docs/

Members: 
	docs/getent:1.1->1.2(DEAD) 
	extra/scripts/getent:INITIAL->1.1 

---------------------
PatchSet 3610 
Date: 2004/11/11 14:48:24
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
misc touchups

Members: 
	README:1.19->1.20 

---------------------
PatchSet 3611 
Date: 2004/11/11 18:55:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix grammar

Members: 
	README:1.20->1.21 

---------------------
PatchSet 3612 
Date: 2004/11/17 08:36:39
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Add BIND NOW support to MIPS.

Mips did not honour the LD_BIND_NOW env. variable or the DT_BIND_NOW flag
in the dynamic section.

Members: 
	ldso/ldso/mips/dl-sysdep.h:1.13->1.14 
	ldso/ldso/mips/elfinterp.c:1.24->1.25 

---------------------
PatchSet 3613 
Date: 2004/11/17 09:36:38
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Add BIND NOW support to MIPS.

Mips did not honour the LD_BIND_NOW env. variable or the DT_BIND_NOW flag
in the dynamic section.

Members: 
	ldso/ldso/ldso.c:1.128->1.129 
	ldso/libdl/libdl.c:1.61->1.62 

---------------------
PatchSet 3614 
Date: 2004/11/17 11:29:10
Author: jocke
Branch: HEAD
Tag: (none) 
Log:
Make __builtin_return_address() return NULL at top of
stack frame. This will make backtracing possible.

Members: 
	libc/sysdeps/linux/powerpc/crt0.S:1.11->1.12 

---------------------
PatchSet 3615 
Date: 2004/11/25 19:10:39
Author: solar
Branch: HEAD
Tag: (none) 
Log:
update : $

Members: 
	libc/sysdeps/linux/common/ssp.c:1.4->1.5 

---------------------
PatchSet 3616 
Date: 2004/12/06 22:24:21
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add missing definition for O_DIRECT

Members: 
	libc/sysdeps/linux/powerpc/bits/fcntl.h:1.3->1.4 

---------------------
PatchSet 3617 
Date: 2004/12/08 08:24:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use PAGE_SIZE, not 4096

Members: 
	utils/ldconfig.c:1.7->1.8 

---------------------
PatchSet 3618 
Date: 2004/12/08 20:18:53
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Kill off ancient unused cruft

Members: 
	libc/sysdeps/linux/common/glibcstat.h:1.1->1.2(DEAD) 

---------------------
PatchSet 3619 
Date: 2004/12/08 22:31:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
libpthread can use the normal LDFLAGS (including -s to strip it), but
libthreaddb must not be stripped or gdb can't use it.

Members: 
	libpthread/Makefile:1.31->1.32 

---------------------
PatchSet 3620 
Date: 2004/12/09 23:18:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Don't use PAGE_SIZE, instead just a local BUFFER_SIZE define

Members: 
	utils/ldconfig.c:1.8->1.9 

---------------------
PatchSet 3621 
Date: 2004/12/11 11:23:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Partial commit of a patch from Alexandre Oliva:

Here's an updated version of the patch I posted about a month ago.  It
leaves -nostdinc alone, and uses -print-file-name=include instead of
-print-search-dirs to figure out where GCC's internal headers are.

Please let me know whether there are any portions of this patch you'd
like me to break into smaller pieces, to rework, or to give up trying
to get into uClibc :-)  Thanks,

Members: 
	include/elf.h:1.16->1.17 
	ldso/include/dl-string.h:1.10->1.11 
	ldso/ldso/frv/dl-inlines.h:1.1->1.2 
	ldso/ldso/frv/dl-startup.h:1.2->1.3 
	ldso/ldso/frv/dl-sysdep.h:1.6->1.7 
	ldso/ldso/frv/elfinterp.c:1.7->1.8 

---------------------
PatchSet 3622 
Date: 2004/12/11 12:05:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove some accumulated ugly junk

Members: 
	Makefile:1.248->1.249 

---------------------
PatchSet 3623 
Date: 2004/12/11 12:23:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Partial commit of a patch from Alexandre Oliva:

Here's an updated version of the patch I posted about a month ago.  It
leaves -nostdinc alone, and uses -print-file-name=include instead of
-print-search-dirs to figure out where GCC's internal headers are.

Please let me know whether there are any portions of this patch you'd
like me to break into smaller pieces, to rework, or to give up trying
to get into uClibc :-)  Thanks,

Members: 
	Rules.mak:1.173->1.174 
	extra/Configs/Config.frv.default:1.4->1.5 
	ldso/ldso/Makefile:1.64->1.65 
	ldso/libdl/Makefile:1.42->1.43 
	libc/sysdeps/linux/frv/Makefile:1.7->1.8 

---------------------
PatchSet 3624 
Date: 2004/12/11 12:28:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
That last patch had some garbage in it...  PIC != PIE

Members: 
	ldso/ldso/Makefile:1.65->1.66 

---------------------
PatchSet 3625 
Date: 2004/12/11 13:23:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
We can't strip libpthread or libthread_db can't help gdb debug ptheads

Members: 
	libpthread/Makefile:1.32->1.33 

---------------------
PatchSet 3626 
Date: 2004/12/12 04:02:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Paul Brook:

The Arm crt0.S contains non-PIC code for locating _init and _fini sections.
This caused problems on my uclinux system when static constructors were
enabled.

The attached patch implements a PIC version of this code.

Paul

Members: 
	libc/sysdeps/linux/arm/crt0.S:1.23->1.24 

---------------------
PatchSet 3627 
Date: 2004/12/13 19:33:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove whitespace

Members: 
	README:1.21->1.22 

---------------------
PatchSet 3628 
Date: 2004/12/16 16:28:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
On Thu Dec 16, 2004 at 03:49:31PM +0100, Johan Adolfsson wrote:
> What's the correct way of calling llseek/_llseek?
> The manpage I have indicates _llseek and thats what the version of
> util-linux
> I tried use as well so compiling for uClibc fails.
> Would the following patch fix it or is it the apps that needs fixing?

Members: 
	libc/sysdeps/linux/common/llseek.c:1.3->1.4 

---------------------
PatchSet 3629 
Date: 2004/12/19 23:10:51
Author: solar
Branch: HEAD
Tag: (none) 
Log:
- Added support for 13 new syscalls to allow more things to compile when using uClibc. mincore() and the ones for Extended Attributes setxattr(), lsetxattr(), fsetxattr(), getxattr(), lgetxattr(), fgetxattr(), listxattr(), llistxattr(), flistxattr(), removexattr(), lremovexattr(), fremovexattr() which are optional.

Members: 
	include/sys/xattr.h:INITIAL->1.1 
	libc/sysdeps/linux/common/mincore.c:INITIAL->1.1 

---------------------
PatchSet 3630 
Date: 2004/12/20 00:10:50
Author: solar
Branch: HEAD
Tag: (none) 
Log:
- Added support for 13 new syscalls to allow more things to compile when using uClibc. mincore() and the ones for Extended Attributes setxattr(), lsetxattr(), fsetxattr(), getxattr(), lgetxattr(), fgetxattr(), listxattr(), llistxattr(), flistxattr(), removexattr(), lremovexattr(), fremovexattr() which are optional.

Members: 
	extra/Configs/Config.in:1.57->1.58 
	libc/sysdeps/linux/common/Makefile:1.101->1.102 
	libc/sysdeps/linux/common/xattr.c:INITIAL->1.1 

---------------------
PatchSet 3631 
Date: 2004/12/20 17:23:24
Author: solar
Branch: HEAD
Tag: (none) 
Log:
- added LD_TRACE_LOADED_OBJECTS to be stripped from the env on suid exec

Members: 
	ldso/include/unsecvars.h:1.2->1.3 

---------------------
PatchSet 3632 
Date: 2004/12/20 18:16:49
Author: solar
Branch: HEAD
Tag: (none) 
Log:
- dont use dos format

Members: 
	ldso/include/unsecvars.h:1.1->1.2 

---------------------
PatchSet 3633 
Date: 2004/12/21 07:35:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add support for the Analog Devices Blackfin mmuless processor

Members: 
	extra/Configs/Config.bfin:INITIAL->1.1 
	libc/sysdeps/linux/bfin/README.bfin:INITIAL->1.1 
	libc/sysdeps/linux/bfin/__longjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/bfin/brk.c:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bsd-_setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bsdsetjmp.c:INITIAL->1.1 
	libc/sysdeps/linux/bfin/clone.c:INITIAL->1.1 
	libc/sysdeps/linux/bfin/crt0.S:INITIAL->1.1 
	libc/sysdeps/linux/bfin/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/bfin/crtn.S:INITIAL->1.1 
	libc/sysdeps/linux/bfin/setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/bfin/syscall.c:INITIAL->1.1 
	libc/sysdeps/linux/bfin/vfork.S:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bits/endian.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bits/fcntl.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bits/huge_val.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bits/kernel_stat.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bits/kernel_types.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bits/mman.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bits/setjmp.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bits/sigcontextinfo.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bits/stackinfo.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bits/syscalls.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/bits/wordsize.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/sys/elf.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/sys/io.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/sys/procfs.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/sys/reg.h:INITIAL->1.1 
	libc/sysdeps/linux/bfin/sys/ucontext.h:INITIAL->1.1 

---------------------
PatchSet 3634 
Date: 2004/12/21 08:35:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add support for the Analog Devices Blackfin mmuless processor

Members: 
	extra/Configs/Config.in:1.58->1.59 
	libc/sysdeps/linux/bfin/Makefile:INITIAL->1.1 

---------------------
PatchSet 3635 
Date: 2004/12/22 17:51:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger to consistantly use "ASFLAGS"
as the flags for all calls to 'as'

Members: 
	libc/string/arm/Makefile:1.1->1.2 
	libc/string/frv/Makefile:1.1->1.2 
	libc/string/mips/Makefile:1.1->1.2 
	libc/string/sh64/Makefile:1.2->1.3 
	libc/sysdeps/linux/alpha/Makefile:1.11->1.12 
	libc/sysdeps/linux/arm/Makefile:1.54->1.55 
	libc/sysdeps/linux/cris/Makefile:1.13->1.14 
	libc/sysdeps/linux/e1/Makefile:1.6->1.7 
	libc/sysdeps/linux/h8300/Makefile:1.12->1.13 
	libc/sysdeps/linux/i960/Makefile:1.8->1.9 
	libc/sysdeps/linux/m68k/Makefile:1.33->1.34 
	libc/sysdeps/linux/microblaze/Makefile:1.6->1.7 
	libc/sysdeps/linux/nios/Makefile:1.1->1.2 
	libc/sysdeps/linux/nios2/Makefile:1.1->1.2 
	libc/sysdeps/linux/sh/Makefile:1.34->1.35 
	libc/sysdeps/linux/sh64/Makefile:1.7->1.8 
	libc/sysdeps/linux/sparc/Makefile:1.19->1.20 
	libc/sysdeps/linux/v850/Makefile:1.19->1.20 
	libpthread/linuxthreads/sysdeps/sh64/Makefile:1.1->1.2 

---------------------
PatchSet 3636 
Date: 2004/12/22 17:58:09
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger to simplify PIE handling

Members: 
	libc/sysdeps/linux/frv/Makefile:1.9->1.10 
	libc/sysdeps/linux/i386/Makefile:1.69->1.70 
	libc/sysdeps/linux/powerpc/Makefile:1.34->1.35 

---------------------
PatchSet 3637 
Date: 2004/12/22 18:51:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger to consistantly use "ASFLAGS"
as the flags for all calls to 'as'

Members: 
	Rules.mak:1.174->1.175 
	ldso/ldso/Makefile:1.66->1.67 
	libc/sysdeps/linux/frv/Makefile:1.8->1.9 
	libc/sysdeps/linux/i386/Makefile:1.68->1.69 
	libc/sysdeps/linux/mips/Makefile:1.42->1.43 
	libc/sysdeps/linux/powerpc/Makefile:1.33->1.34 

---------------------
PatchSet 3638 
Date: 2004/12/22 18:53:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from psm, vapier, and solar, adding xattr syscalls

Members: 
	libc/sysdeps/linux/common/xattr.c:1.1->1.2 

---------------------
PatchSet 3639 
Date: 2004/12/22 18:58:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger to simplify PIE handling

Members: 
	Rules.mak:1.175->1.176 
	extra/Configs/Config.in:1.59->1.60 

---------------------
PatchSet 3640 
Date: 2004/12/22 19:11:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger:
rename UCLIBC_PIE_SUPPORT to UCLIBC_BUILD_PIE

Members: 
	Rules.mak:1.176->1.177 
	debian/config:1.7->1.8 
	extra/Configs/Config.frv.default:1.5->1.6 
	extra/Configs/Config.in:1.60->1.61 

---------------------
PatchSet 3641 
Date: 2004/12/22 19:53:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from psm, vapier, and solar, adding xattr syscalls

Members: 
	libc/sysdeps/linux/common/Makefile:1.102->1.103 

---------------------
PatchSet 3642 
Date: 2004/12/22 20:04:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleaned up patch from Peter S. Mazinger adding support for
-fstack-protector and -fno-stack-protector-all security
options

Members: 
	ldso/libdl/Makefile:1.43->1.44 
	libcrypt/Makefile:1.26->1.27 
	libintl/Makefile:1.6->1.7 
	libm/Makefile:1.41->1.42 
	libnsl/Makefile:1.7->1.8 
	libresolv/Makefile:1.17->1.18 
	libutil/Makefile:1.24->1.25 

---------------------
PatchSet 3643 
Date: 2004/12/22 20:14:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger:
rename UCLIBC_PROPOLICE to UCLIBC_HAS_SSP

Members: 
	debian/config:1.8->1.9 
	extra/Configs/Config.frv.default:1.6->1.7 
	libc/misc/internals/__uClibc_main.c:1.43->1.44 

---------------------
PatchSet 3644 
Date: 2004/12/22 20:34:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger:
Add UCLIBC_BUILD_NOEXECSTACK support.

Members: 
	ldso/ldso/Makefile:1.69->1.70 

---------------------
PatchSet 3645 
Date: 2004/12/22 20:40:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger:
Add pie support for mips

Members: 
	libc/sysdeps/linux/mips/Makefile:1.43->1.44 

---------------------
PatchSet 3646 
Date: 2004/12/22 20:55:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleanup for when LDSO_CACHE_SUPPORT is disabled

Members: 
	ldso/include/dl-defs.h:1.2->1.3 

---------------------
PatchSet 3647 
Date: 2004/12/22 20:57:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Make certain that the prototype for fgets_unlocked is defined

Members: 
	libc/unistd/usershell.c:1.3->1.4 

---------------------
PatchSet 3648 
Date: 2004/12/22 21:04:52
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleaned up patch from Peter S. Mazinger adding support for
-fstack-protector and -fno-stack-protector-all security
options

Members: 
	Rules.mak:1.177->1.178 
	ldso/ldso/Makefile:1.67->1.68 
	libpthread/Makefile:1.33->1.34 
	utils/Makefile:1.20->1.21 

---------------------
PatchSet 3649 
Date: 2004/12/22 21:14:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger:
rename UCLIBC_PROPOLICE to UCLIBC_HAS_SSP

Members: 
	Rules.mak:1.178->1.179 
	extra/Configs/Config.in:1.61->1.62 
	libc/sysdeps/linux/common/Makefile:1.103->1.104 

---------------------
PatchSet 3650 
Date: 2004/12/22 21:24:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger:
Seperate out security features into a separate menu

Members: 
	Rules.mak:1.179->1.180 
	extra/Configs/Config.in:1.62->1.63 
	ldso/ldso/Makefile:1.68->1.69 
	libpthread/Makefile:1.34->1.35 

---------------------
PatchSet 3651 
Date: 2004/12/22 21:34:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger:
Add UCLIBC_BUILD_NOEXECSTACK support.

Members: 
	Rules.mak:1.180->1.181 
	extra/Configs/Config.in:1.63->1.64 

---------------------
PatchSet 3652 
Date: 2004/12/22 21:40:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger:
Add pie support for mips

Members: 
	extra/Configs/Config.in:1.64->1.65 

---------------------
PatchSet 3653 
Date: 2004/12/22 21:55:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleanup for when LDSO_CACHE_SUPPORT is disabled

Members: 
	utils/ldconfig.c:1.9->1.10 

---------------------
PatchSet 3654 
Date: 2004/12/22 22:03:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove the obsolete XATTR option

Members: 
	extra/Configs/Config.in:1.65->1.66 

---------------------
PatchSet 3655 
Date: 2004/12/22 22:35:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix typo

Members: 
	libpthread/Makefile:1.35->1.36 

---------------------
PatchSet 3656 
Date: 2004/12/23 01:29:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix thinko

Members: 
	utils/ldconfig.c:1.10->1.11 

---------------------
PatchSet 3657 
Date: 2004/12/26 07:57:06
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
Peter S. Mazinger: use ASFLAGS when compiling asm files

Members: 
	libc/sysdeps/linux/bfin/Makefile:1.1->1.2 

---------------------
PatchSet 3658 
Date: 2004/12/26 08:00:59
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
Peter S. Mazinger: make sure the ld RELRO and NOW options are independent options

Members: 
	libpthread/Makefile:1.36->1.37 

---------------------
PatchSet 3659 
Date: 2004/12/27 18:43:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
clarify

Members: 
	docs/uclibc.org/FAQ.html:1.31->1.32 

---------------------
PatchSet 3660 
Date: 2004/12/27 19:28:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update FAQ, remove references to 'toolchain' and instead emphasize
'buildroot', which can do everything 'toolchain' could do and then
some.  And is actively maintained.
 -Erik

Members: 
	docs/uclibc.org/FAQ.html:1.29->1.30 

---------------------
PatchSet 3661 
Date: 2004/12/27 19:40:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
fix typo

Members: 
	docs/uclibc.org/FAQ.html:1.30->1.31 

---------------------
PatchSet 3662 
Date: 2005/01/01 20:25:05
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
Amir Shalem writes:

here are few patches for better compatability in ./Makefile:
make.diff - make should never called directly, change it to $(MAKE)

Members: 
	Makefile:1.249->1.250 

---------------------
PatchSet 3663 
Date: 2005/01/01 20:28:21
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
Amir Shalem writes:

here are few patches for better compatability in ./Makefile:
cp.diff   - use portable (POSIX) way to specfic --no-dereference (-d)

Members: 
	Makefile:1.250->1.251 

---------------------
PatchSet 3664 
Date: 2005/01/05 22:10:56
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
fix eriks e-mail address

Members: 
	ldso/ldso/dl-elf.c:1.88->1.89 
	ldso/ldso/dl-hash.c:1.26->1.27 
	ldso/ldso/dl-startup.c:1.22->1.23 
	ldso/ldso/ldso.c:1.129->1.130 
	ldso/ldso/arm/dl-startup.h:1.9->1.10 
	ldso/ldso/arm/dl-sysdep.h:1.10->1.11 
	ldso/ldso/i386/dl-startup.h:1.6->1.7 
	ldso/ldso/i386/dl-sysdep.h:1.12->1.13 
	libc/sysdeps/linux/common/__rt_sigtimedwait.c:1.1->1.2 
	libc/sysdeps/linux/common/__socketcall.c:1.1->1.2 
	libc/sysdeps/linux/common/__syscall_fcntl.c:1.1->1.2 
	libc/sysdeps/linux/common/__syscall_fcntl64.c:1.1->1.2 
	libc/sysdeps/linux/common/__syscall_ipc.c:1.1->1.2 
	libc/sysdeps/linux/common/__syscall_rt_sigaction.c:1.1->1.2 
	libc/sysdeps/linux/common/__syscall_sigaction.c:1.1->1.2 
	libc/sysdeps/linux/common/_exit.c:1.2->1.3 
	libc/sysdeps/linux/common/access.c:1.1->1.2 
	libc/sysdeps/linux/common/acct.c:1.1->1.2 
	libc/sysdeps/linux/common/adjtimex.c:1.1->1.2 
	libc/sysdeps/linux/common/alarm.c:1.1->1.2 
	libc/sysdeps/linux/common/bdflush.c:1.1->1.2 
	libc/sysdeps/linux/common/capget.c:1.1->1.2 
	libc/sysdeps/linux/common/capset.c:1.1->1.2 
	libc/sysdeps/linux/common/chdir.c:1.1->1.2 
	libc/sysdeps/linux/common/chmod.c:1.1->1.2 
	libc/sysdeps/linux/common/chown.c:1.1->1.2 
	libc/sysdeps/linux/common/chroot.c:1.1->1.2 
	libc/sysdeps/linux/common/close.c:1.1->1.2 
	libc/sysdeps/linux/common/delete_module.c:1.2->1.3 
	libc/sysdeps/linux/common/dup.c:1.1->1.2 
	libc/sysdeps/linux/common/dup2.c:1.1->1.2 
	libc/sysdeps/linux/common/execve.c:1.1->1.2 
	libc/sysdeps/linux/common/fchdir.c:1.1->1.2 
	libc/sysdeps/linux/common/fchmod.c:1.1->1.2 
	libc/sysdeps/linux/common/fchown.c:1.1->1.2 
	libc/sysdeps/linux/common/fdatasync.c:1.2->1.3 
	libc/sysdeps/linux/common/flock.c:1.1->1.2 
	libc/sysdeps/linux/common/fork.c:1.1->1.2 
	libc/sysdeps/linux/common/fstat.c:1.1->1.2 
	libc/sysdeps/linux/common/fstat64.c:1.1->1.2 
	libc/sysdeps/linux/common/fstatfs.c:1.1->1.2 
	libc/sysdeps/linux/common/fsync.c:1.1->1.2 
	libc/sysdeps/linux/common/ftruncate.c:1.1->1.2 
	libc/sysdeps/linux/common/get_kernel_syms.c:1.2->1.3 
	libc/sysdeps/linux/common/getegid.c:1.1->1.2 
	libc/sysdeps/linux/common/geteuid.c:1.1->1.2 
	libc/sysdeps/linux/common/getgid.c:1.1->1.2 
	libc/sysdeps/linux/common/getgroups.c:1.1->1.2 
	libc/sysdeps/linux/common/getitimer.c:1.1->1.2 
	libc/sysdeps/linux/common/getpgid.c:1.1->1.2 
	libc/sysdeps/linux/common/getpgrp.c:1.1->1.2 
	libc/sysdeps/linux/common/getpid.c:1.1->1.2 
	libc/sysdeps/linux/common/getppid.c:1.1->1.2 
	libc/sysdeps/linux/common/getpriority.c:1.1->1.2 
	libc/sysdeps/linux/common/getresgid.c:1.2->1.3 
	libc/sysdeps/linux/common/getresuid.c:1.2->1.3 
	libc/sysdeps/linux/common/getrlimit.c:1.1->1.2 
	libc/sysdeps/linux/common/getrusage.c:1.1->1.2 
	libc/sysdeps/linux/common/getsid.c:1.1->1.2 
	libc/sysdeps/linux/common/gettimeofday.c:1.3->1.4 
	libc/sysdeps/linux/common/getuid.c:1.1->1.2 
	libc/sysdeps/linux/common/init_module.c:1.2->1.3 
	libc/sysdeps/linux/common/ioctl.c:1.2->1.3 
	libc/sysdeps/linux/common/ioperm.c:1.1->1.2 
	libc/sysdeps/linux/common/iopl.c:1.1->1.2 
	libc/sysdeps/linux/common/kill.c:1.1->1.2 
	libc/sysdeps/linux/common/klogctl.c:1.1->1.2 
	libc/sysdeps/linux/common/lchown.c:1.1->1.2 
	libc/sysdeps/linux/common/link.c:1.1->1.2 
	libc/sysdeps/linux/common/llseek.c:1.4->1.5 
	libc/sysdeps/linux/common/lseek.c:1.1->1.2 
	libc/sysdeps/linux/common/lstat.c:1.1->1.2 
	libc/sysdeps/linux/common/lstat64.c:1.1->1.2 
	libc/sysdeps/linux/common/madvise.c:1.2->1.3 
	libc/sysdeps/linux/common/mkdir.c:1.1->1.2 
	libc/sysdeps/linux/common/mknod.c:1.5->1.6 
	libc/sysdeps/linux/common/mlock.c:1.1->1.2 
	libc/sysdeps/linux/common/mlockall.c:1.1->1.2 
	libc/sysdeps/linux/common/mmap.c:1.2->1.3 
	libc/sysdeps/linux/common/modify_ldt.c:1.2->1.3 
	libc/sysdeps/linux/common/mount.c:1.1->1.2 
	libc/sysdeps/linux/common/mprotect.c:1.1->1.2 
	libc/sysdeps/linux/common/mremap.c:1.1->1.2 
	libc/sysdeps/linux/common/msync.c:1.1->1.2 
	libc/sysdeps/linux/common/munlock.c:1.1->1.2 
	libc/sysdeps/linux/common/munlockall.c:1.1->1.2 
	libc/sysdeps/linux/common/munmap.c:1.1->1.2 
	libc/sysdeps/linux/common/nanosleep.c:1.1->1.2 
	libc/sysdeps/linux/common/nice.c:1.1->1.2 
	libc/sysdeps/linux/common/open.c:1.1->1.2 
	libc/sysdeps/linux/common/pause.c:1.1->1.2 
	libc/sysdeps/linux/common/personality.c:1.1->1.2 
	libc/sysdeps/linux/common/pipe.c:1.1->1.2 
	libc/sysdeps/linux/common/pivot_root.c:1.1->1.2 
	libc/sysdeps/linux/common/prctl.c:1.1->1.2 
	libc/sysdeps/linux/common/query_module.c:1.2->1.3 
	libc/sysdeps/linux/common/quotactl.c:1.1->1.2 
	libc/sysdeps/linux/common/read.c:1.1->1.2 
	libc/sysdeps/linux/common/readlink.c:1.1->1.2 
	libc/sysdeps/linux/common/readv.c:1.1->1.2 
	libc/sysdeps/linux/common/reboot.c:1.1->1.2 
	libc/sysdeps/linux/common/rename.c:1.1->1.2 
	libc/sysdeps/linux/common/rmdir.c:1.1->1.2 
	libc/sysdeps/linux/common/sched_get_priority_max.c:1.1->1.2 
	libc/sysdeps/linux/common/sched_get_priority_min.c:1.1->1.2 
	libc/sysdeps/linux/common/sched_getparam.c:1.1->1.2 
	libc/sysdeps/linux/common/sched_getscheduler.c:1.1->1.2 
	libc/sysdeps/linux/common/sched_rr_get_interval.c:1.1->1.2 
	libc/sysdeps/linux/common/sched_setparam.c:1.1->1.2 
	libc/sysdeps/linux/common/sched_setscheduler.c:1.1->1.2 
	libc/sysdeps/linux/common/sched_yield.c:1.1->1.2 
	libc/sysdeps/linux/common/select.c:1.1->1.2 
	libc/sysdeps/linux/common/sendfile.c:1.1->1.2 
	libc/sysdeps/linux/common/setdomainname.c:1.1->1.2 
	libc/sysdeps/linux/common/setfsgid.c:1.1->1.2 
	libc/sysdeps/linux/common/setfsuid.c:1.1->1.2 
	libc/sysdeps/linux/common/setgid.c:1.1->1.2 
	libc/sysdeps/linux/common/setgroups.c:1.1->1.2 
	libc/sysdeps/linux/common/sethostname.c:1.1->1.2 
	libc/sysdeps/linux/common/setitimer.c:1.1->1.2 
	libc/sysdeps/linux/common/setpgid.c:1.1->1.2 
	libc/sysdeps/linux/common/setpriority.c:1.1->1.2 
	libc/sysdeps/linux/common/setregid.c:1.1->1.2 
	libc/sysdeps/linux/common/setresgid.c:1.2->1.3 
	libc/sysdeps/linux/common/setresuid.c:1.2->1.3 
	libc/sysdeps/linux/common/setreuid.c:1.1->1.2 
	libc/sysdeps/linux/common/setrlimit.c:1.1->1.2 
	libc/sysdeps/linux/common/setsid.c:1.1->1.2 
	libc/sysdeps/linux/common/settimeofday.c:1.1->1.2 
	libc/sysdeps/linux/common/setuid.c:1.3->1.4 
	libc/sysdeps/linux/common/sigaltstack.c:1.1->1.2 
	libc/sysdeps/linux/common/sigpending.c:1.1->1.2 
	libc/sysdeps/linux/common/sigprocmask.c:1.1->1.2 
	libc/sysdeps/linux/common/sigsuspend.c:1.1->1.2 
	libc/sysdeps/linux/common/stat.c:1.1->1.2 
	libc/sysdeps/linux/common/stat64.c:1.1->1.2 
	libc/sysdeps/linux/common/statfs.c:1.1->1.2 
	libc/sysdeps/linux/common/stime.c:1.1->1.2 
	libc/sysdeps/linux/common/swapoff.c:1.1->1.2 
	libc/sysdeps/linux/common/swapon.c:1.1->1.2 
	libc/sysdeps/linux/common/symlink.c:1.1->1.2 
	libc/sysdeps/linux/common/sync.c:1.1->1.2 
	libc/sysdeps/linux/common/syscalls.h:1.1->1.2 
	libc/sysdeps/linux/common/sysctl.c:1.1->1.2 
	libc/sysdeps/linux/common/sysfs.c:1.1->1.2 
	libc/sysdeps/linux/common/sysinfo.c:1.1->1.2 
	libc/sysdeps/linux/common/time.c:1.3->1.4 
	libc/sysdeps/linux/common/times.c:1.1->1.2 
	libc/sysdeps/linux/common/truncate.c:1.1->1.2 
	libc/sysdeps/linux/common/ulimit.c:1.1->1.2 
	libc/sysdeps/linux/common/umask.c:1.1->1.2 
	libc/sysdeps/linux/common/umount.c:1.1->1.2 
	libc/sysdeps/linux/common/umount2.c:1.1->1.2 
	libc/sysdeps/linux/common/uname.c:1.1->1.2 
	libc/sysdeps/linux/common/unlink.c:1.1->1.2 
	libc/sysdeps/linux/common/uselib.c:1.1->1.2 
	libc/sysdeps/linux/common/ustat.c:1.2->1.3 
	libc/sysdeps/linux/common/utime.c:1.3->1.4 
	libc/sysdeps/linux/common/utimes.c:1.1->1.2 
	libc/sysdeps/linux/common/vhangup.c:1.1->1.2 
	libc/sysdeps/linux/common/wait4.c:1.1->1.2 
	libc/sysdeps/linux/common/write.c:1.1->1.2 
	libc/sysdeps/linux/common/writev.c:1.1->1.2 
	libc/sysdeps/linux/frv/fstat.c:1.1->1.2 
	libc/sysdeps/linux/frv/fstat64.c:1.1->1.2 
	libc/sysdeps/linux/frv/lstat.c:1.1->1.2 
	libc/sysdeps/linux/frv/lstat64.c:1.1->1.2 
	libc/sysdeps/linux/frv/stat.c:1.1->1.2 
	libc/sysdeps/linux/frv/stat64.c:1.1->1.2 

---------------------
PatchSet 3665 
Date: 2005/01/05 23:11:01
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
fix eriks e-mail address

Members: 
	ldso/libdl/libdl.c:1.62->1.63 

---------------------
PatchSet 3666 
Date: 2005/01/06 02:06:48
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
Justin Cormack <justin@street-vision.com> writes:
Here is a small patch to add epoll support to uclibc.

The only thing I am not sure about is what needs to be done (if anything)
to make it work on 2.4/2.2 kernels (are the syscall numbers defined but
give errors when called or not?).

Tested on 2.6, though some other issues prevent more extensive testing at
the minute.

Mike Frysinger:
cleaned up patch and added checks to make sure that the syscall actually
exists, returning ENOSYS in cases where it doesn't.

Members: 
	include/sys/epoll.h:INITIAL->1.1 
	libc/sysdeps/linux/common/Makefile:1.104->1.105 
	libc/sysdeps/linux/common/epoll.c:INITIAL->1.1 

---------------------
PatchSet 3667 
Date: 2005/01/06 03:02:00
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
Document more things inet_aton() 'should' support but actually doesn't.
Most of the time, no one ever notices, so there's not point eh ?  Also
standardize tab usage.

Members: 
	libc/inet/addr.c:1.15->1.16 

---------------------
PatchSet 3668 
Date: 2005/01/09 07:19:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Bump version number

Members: 
	Rules.mak:1.181->1.182 

---------------------
PatchSet 3669 
Date: 2005/01/10 19:46:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup function prototypes to match definitions in include/dlfcn.h

Members: 
	ldso/libdl/libdl.c:1.63->1.64 

---------------------
PatchSet 3670 
Date: 2005/01/11 06:39:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove the no-longer-needed #include <sys/user.h>

Members: 
	utils/ldconfig.c:1.11->1.12 

---------------------
PatchSet 3671 
Date: 2005/01/11 08:41:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Paul Mundt (lethal) adding an initial librt implementation.
I then reworked the syscall handling and made minor cleanups.  With luck
I've not completely broken his patch...

Members: 
	include/mqueue.h:INITIAL->1.1 
	librt/Makefile:INITIAL->1.1 
	librt/kernel-posix-timers.h:INITIAL->1.1 
	librt/mq_close.c:INITIAL->1.1 
	librt/mq_getsetattr.c:INITIAL->1.1 
	librt/mq_notify.c:INITIAL->1.1 
	librt/mq_open.c:INITIAL->1.1 
	librt/mq_receive.c:INITIAL->1.1 
	librt/mq_send.c:INITIAL->1.1 
	librt/mq_unlink.c:INITIAL->1.1 
	librt/timer_create.c:INITIAL->1.1 
	librt/timer_delete.c:INITIAL->1.1 
	librt/timer_getoverr.c:INITIAL->1.1 
	librt/timer_gettime.c:INITIAL->1.1 
	librt/timer_settime.c:INITIAL->1.1 

---------------------
PatchSet 3672 
Date: 2005/01/11 08:55:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
minor doc update

Members: 
	docs/Glibc_vs_uClibc_Differences.txt:1.16->1.17 

---------------------
PatchSet 3673 
Date: 2005/01/11 08:58:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
update prior to release

Members: 
	TODO:1.59->1.60 

---------------------
PatchSet 3674 
Date: 2005/01/11 09:15:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Why is this here?

Members: 
	Changelog.full.last:1.3->1.4(DEAD) 

---------------------
PatchSet 3675 
Date: 2005/01/11 09:41:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Paul Mundt (lethal) adding an initial librt implementation.
I then reworked the syscall handling and made minor cleanups.  With luck
I've not completely broken his patch...

Members: 
	Makefile:1.251->1.252 

---------------------
PatchSet 3676 
Date: 2005/01/11 09:58:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Do not use portable (POSIX) 'cp -PRf' but instead use 'cp -dRf' since
busybox does not yet support 'cp -P'

Members: 
	Makefile:1.252->1.253 

---------------------
PatchSet 3677 
Date: 2005/01/11 10:08:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Jan Lana writes:

uClibc resolver doesn't lookup all search domains.
For example, if you have computer 'jenda.prague.my.cz' and resolv.conf:
search my.cz
nameserver xx.xx.xx.xx

try this:
ping jenda.prague.my.cz         #works
ping jenda.prague               #unknown host

libc/inet/resolv.c doesn't want to try search domains if the domain name
contains '.'. I don't find any reason for the behaviour in literature
and it is inconsistent with the glibc.

Patch is attached.

regards,
- jenda

Members: 
	libc/inet/resolv.c:1.58->1.59 

---------------------
PatchSet 3678 
Date: 2005/01/11 10:25:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Bernardo Innocenti:
Remove use of cast-as-l-value extension, removed in GCC 3.5.

Members: 
	libc/sysdeps/linux/m68k/ptrace.c:1.3->1.4 

---------------------
PatchSet 3679 
Date: 2005/01/11 10:31:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Jean writes:

Hello,

under some circumstances the following small example prints lots of
garbage onto the console and into the syslog:

#include <syslog.h>
int main ()
{
        openlog("foo", LOG_CONS|LOG_NDELAY|LOG_PID|LOG_PERROR, LOG_DAEMON);
        syslog (LOG_WARNING, "mlock: %m");
        return 1;
}

The reason is, that sprintf returns with -1 and vsyslog dumps the
complete buffer onto stderr and the syslogd socket. The following
patch would fix the problem:

Members: 
	libc/misc/syslog/syslog.c:1.13->1.14 

---------------------
PatchSet 3680 
Date: 2005/01/11 16:01:53
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
dont bother including sysctl.h unless we need it

Members: 
	libc/sysdeps/linux/common/ssp.c:1.5->1.6 

---------------------
PatchSet 3681 
Date: 2005/01/11 16:02:22
Author: vapier
Branch: HEAD
Tag: (none) 
Log:
newer linux headers define __cast__ in compiler.h so lets fake it too

Members: 
	include/features.h:1.60->1.61 

---------------------
PatchSet 3682 
Date: 2005/01/12 00:22:59
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
cleanup, and prevent failures due to including architecture specific
header files into ldconfig when building for the host.

Members: 
	utils/Makefile:1.21->1.22 
	utils/ldconfig.c:1.12->1.13 
	utils/readsoname.c:1.2->1.3(DEAD) 
	utils/readsoname.h:1.2->1.3(DEAD) 

